Wprowadzenie

Ten system pomocy przeznaczony jest dla tych, którzy chcą za pomocą programu WebSite X5 od razu rozpocząć tworzenie własnej witryny, blogu lub sklepu internetowego. Znajdziesz tu dokładny opis interfejsu programu, wyjaśnienie działania wszystkich poleceń i opcji, które można napotkać w menu, panelach i oknach dialogowych.
Każdy może pracować w programie WebSite X5 dzięki wyczerpującemu systemowi pomocy, odrobinie intuicji i wyświetlanemu w czasie rzeczywistym podglądowi na każdym etapie pracy. Masz niepowtarzalną możliwość utworzenia w krótkim czasie przyciągającej uwagę i profesjonalnie wyglądającej witryny!
Ten system pomocy programu WebSite X5 odnosi się do programu WebSite X5 Evolution, wersja 9 i zawiera szczegółowe wyjaśnienia wszystkich funkcji oferowanych przez program.

Podręcznik ten wprawdzie może być pomocny dla użytkowników innych wersji programu Incomedia WebSite X5, ale należy pamiętać, że niektóre funkcje w poszczególnych wersjach mogą się różnić lub w najnowszych wydaniach być zastąpione innymi.

Ten podręcznik składa się z następujących części:
- | Praca w programie WebSite X5 Tu znajdziesz opis działania programu wraz z objaśnieniami działania poszczególnych okien, które pojawiają sie podczas opracowywania i publikowania witryny.
- | Podręcznik Podręczniki opisują krok po kroku wykonanie poszczególnych zadań, takich jak tworzenie formularza danych lub ustawiania obszaru użytkownika wraz z loginem i hasłem dostępu.
- | Dodatkowe informacje Zawierają dalsze opisy konkretnych ustawień związanych z tworzeniem witryny.
- | Integracja z Google Tu znajdziesz informacje dotyczące narzędzi Google, które pomogą ci zoptymalizować pracę twojej witryny.

Ostatnia aktualizacja: wersja 9.0.0


WebSite X5

Zaledwie w 5 krokach zbuduj witrynę, sklep internetowy oraz blog

WebSite X5 jest idealnym narzędziem do budowania takich witryn, o jakich marzysz.
Korzystanie z niego nie wymaga żadnej wiedzy programistycznej. Interfejs programu WebSite X5 jest całkowicie intuicyjny i w każdej chwili możesz sprawdzić efekt swoich działań, wyświetlając na bieżąco uaktualniany podgląd.
Na każdym etapie pracy WebSite X5 wyświetla podpowiedzi i rady. Gwarantując łatwość użycia zapewnia jednocześnie elastyczność i duże możliwości dostosowawcze, począwszy od wyboru wzorca graficznego, a skończywszy na publikowaniu w sieci.

Cechy profesjonalnej witryny

Program WebSite X5 oferuje profesjonalne narzędzia:

- | Sklep internetowy z możliwością płatności kartą kredytową | - | Powiększanie i panoramowanie obrazu
- | Blog z transmisją dźwięku i obrazu | - | Galerie obrazów i video
- | Wewnętrzny mechanizm wyszukiwania | - | Strefę użytkownika z loginem i hasłem dostępu
- | Formularze e-mail z filtrami antyspamowymi | - | Zarządzanie reklamami
- | Kanał RSS z najnowszymi wiadomościami | - | Witryny wielojęzyczne

WSZYSTKO W JEDNYM PROGRAMIE

Oszczędzaj czas i pieniądze. WebSite X5 ma wszystko, czego potrzebujesz:

- | Edytor pozwalający modyfikować wzorce graficzne witryny | - | Ponad 1 500 profesjonalnych szablonów graficznych witryn
- | Edytor graficzny do modyfikowania obrazów | - | 6 000 darmowych obrazów
- | Automatycznie tworzone mapy witryny oraz menu | - | Biblioteki przycisków i grafik
- | Mechanizm FTP potrzebny do publikowania witryny | - | Gadżety i kod HTML

WebSite X5 odniósł sukces, ponieważ działa kompleksowo i jest prosty: jest doskonałym narzędziem dla każdego, kto chce budować witryny.


Wprowadzenie do Incomedia WebSite X5

Incomedia WebSite X5 pozwala szybko i łatwo tworzyć witryny internetowe, sklepy internetowe, blogi, foto albumy oraz prezentacje interaktywne. Projekty powstają zgodnie ze strukturą sieci i wyposażone w wielopoziomowe menu, Dzięki temu do witryny można wstawić nieograniczoną liczbę stron.

Użytkownik określa wygląd poszczególnych stron i wstawia do nich rozmaite obiekty oferowane przez program: tekst, obrazy, tabele, animacje Flash™, filmy, dźwięk, galeria obrazów, obiekty HTML, lub formularze -mail.

W programie WebSite X5 dostępnych jest wiele ciekawych narzędzi do edytowania obrazów, dzięki czemu nie trzeba sięgać do zewnętrznych programów graficznych. Ponieważ obrazy zapisywane są w formacie skompresowanym, użytkownik nie musi optymalizować zdjęć przed wstawieniem ich na stronę.

Bogate archiwum wzorców graficznych, wbudowany edytor przycisków trójwymiarowych, duże możliwości modyfikacji grafiki, strona wstępna, wyświetlanie witryny w wielu językach, strefa użytkownika, bloki, kanał RSS, sklep internetowy z możliwością płatności kartą kredytową - to wszystko masz do dyspozycji, by zbudować w pełni funkcjonującą, bogatą witrynę.

Na zakończenie jeszcze jeden ważny wyróżnik programu WebSite X5: pozwala on publikować gotowy projekt w Internecie bez konieczności korzystania z zewnętrznego programu obsługi FTP (File Transfer Protocol).

Praca z programem WebSite X5

WebSite X5 został zaprojektowany w postaci kreatora, który przeprowadza użytkownika przez kolejne ekrany, na których podaje się informacje potrzebne do zbudowania i opublikowania całej, w pełni działającej, profesjonalnej witryny. Program przeprowadza użytkownika przez pięć podstawowych etapów, od prostego pomysłu do profesjonalnej witryny:

1. | Ustawienia ogólne Po wybraniu projektu i podaniu kilku ogólnych informacji na temat witryny, takich jak opis, słowa kluczowe potrzebne wyszukiwarkom do indeksowania, należy wybrać wzorzec graficzny witryny. Wzorzec graficzny wybiera się spośród 1 500 oferowanych przez program albo można utworzyć własny. W każdym z wybranych wzorców można ponadto zmodyfikować górny baner i stopkę stron witryny.
2. | Planowanie witryny Program automatycznie wstawia do witryny stronę główną, natomiast wszystkie następne strony trzeba utworzyć samemu. Przed utworzeniem witryny trzeba najpierw zastanowić się, jakie informacje mają się znaleźć na jej stronach i jak je zaprezentować. Gdy już wiadomo co i jak, można przystąpić do tworzenia mapy witryny. Mapa witryny może składać się z nieograniczonej liczby poziomów i stron. Na podstawie mapy witryny program automatycznie utworzy menu nawigacji. Mapę witryny w każdej chwili można zmodyfikować.
3. | Tworzenie stron Tworzenie stron jest prostym procesem polegającym na przeciąganiu i upuszczaniu w komórkach tabeli układu strony dostępnych obiektów: tekstu, obrazów, animacji Flash™, filmów, dźwięków, tabel, galerii, formularzy e-mail, list produktów, kodu HTML oraz rozmaitych gadżetów. Każdy obiekt można następnie dostosowywać i modyfikować oraz wstawiać wewnętrzne i zewnętrzne łącza. W programie dostępny jest edytor grafiki pozwalający dostosować odpowiednio obrazy bez konieczności sięgania do edytorów zewnętrznych.
4. | Ustawienia zaawansowane Kiedy już zasadnicza część witryny jest gotowa, można zająć się wyglądem takich elementów, jak menu tekst, styl pokazów albo formularzy e-mail. Za pomocą wbudowanego edytora grafiki można tworzyć przyciski trójwymiarowe, które zmieniają się po najechaniu na nie wskaźnikiem myszy. Poza dopracowaniem stylu stron w ustawieniach zaawansowanych są jeszcze dodatkowe narzędzia pozwalające wstawić do witryny na przykład wielojęzyczną stronę wstępną z podkładem muzycznym, strefę użytkownika, blog czy sklep internetowy.
5. | Eksport Kiedy witryna jest już gotowa, można opublikować ją w Internecie korzystając z FTP. WebSite X5 obsługuje bezpieczne połączenia i umożliwia sporą oszczędność czasu dzięki możliwości wielosesyjnej publikacji, gdy eksportowane są tylko ostatnie zmiany wprowadzone w projekcie. Poza publikowaniem witryny w Internecie, istnieje też możliwość wyeksportowania całego jej projektu albo do innego miejsca na tym samym komputerze, albo na inny komputer w celu utworzenia kopii zapasowej.


Dostępne wersje programu

Program WebSite X5 jest dostępny w kilku wersjach, w tym w wersji Evolution oraz Compact.

Objaśnienia różnic między poszczególnymi wersjami WebSite X5 znajdziesz pod adresem: http://www.websitex5.com/compare


Środowisko robocze

WebSite X5 został tak zaprojektowany, żeby przeprowadzić użytkownika przez wszystkie etapy tworzenia witryny – każdemu etapowi odpowiada inne okno, a w nim znajduje sie czytelna informacja, co należy zrobić, żeby uzyskać kompletną, działającą, atrakcyjną graficznie witrynę internetową, gotową do opublikowania w Internecie.

Wszystkie okna programu mają taki sam interfejs graficzny z przyciskami na górze, na dole i z boku. Zmienia się tylko centralny obszar okna: miejsce właściwej pracy, które zmienia się w zależności od tego, na którym etapie pracy nad witryną jesteś i jakie informacje na tym etapie należy podać.

Górny pasek przycisków

-

Pomoc: Przycisk Pomoc otwiera elektroniczny podręcznik. Kliknięcie strzałki po lewej stronie przycisku Pomoc powoduje rozwinięcie menu z poleceniami:
- | Pomoc ogólna: także otwiera ten podręcznik.
- | Przewodnik multimedialny: uruchamia prezentację multimedialną ilustrującą korzystanie z programu.
- | WebSite X5 Gallery: daje dostęp do galerii witryn utworzonych w programie WebSite X5 przez użytkowników, którzy postanowili podzielić się z innymi swoją pracą.
- | WebSite X5 Templates: daje dostęp do galerii wzorców; niektóre z nich są udostępniane przez Incomedia, inne zostały utworzone i udostępnione przez użytkowników programu. Niektóre wzorce można pobrać i modyfikować.
- | Pomoc techniczna: daje dostęp do pomocy technicznej, umożliwia przeszukanie FAQ (najczęściej zadawanych pytań) albo wysłanie zapytania.
- | www.websitex5.com: daje dostęp do witryny internetowej programu.
- | O programie WebSite X5: wyświetla informacje o programie.

-

Zapisz [CTRL + S]: służy do zapisywania aktualnie opracowywanego projektu. Projekt zapisywany jest w folderze projektów, który określa się w oknie dialogowym Preferencje.

Jeśli nie chcesz zapisywać projektu, tylko wykonać jego kopię, zamiast polecenia Zapisz użyj polecenia Duplikuj dostępnego w oknie Wybór projektu.

-

Podgląd: wyświetla podgląd offline witryny, korzystając z wbudowanej przeglądarki.

Jeśli w oknie Preferencje zostawisz zaznaczoną opcję Aktualizuj strony podczas modyfikowania projektu, wtedy po każdym zatwierdzeniu zmian (przyciskiem OK lub Dalej) program będzie aktualizował wszystkie elementy witryny, na które miały wpływ wprowadzone zmiany. Dzięki temu podgląd witryny offline jest stale aktualizowany i może zostać szybko wyświetlony.
Zaznaczenie w oknie Preferencje opcji Zapisz przy każdym wyświetleniu podglądu sprawia, że po każdym kliknięciu przycisku Podgląd program wykonuje kopię projektu.
Taki sam efekt uzyskuje się przytrzymując klawisz CTRL podczas klikania przycisku Podgląd.

Boczny pasek przycisków

W programie WebSite X5 witryny buduje się w pięciu krokach. Przyciski po lewej stronie okna programu są zawsze widoczne i wskazują, na jakim etapie jest budowanie witryny. Pomiędzy poszczególnymi etapami można przechodzić w dowolnej kolejności.

 | Wybór projektu
1. | Ustawienia ogólne
2. | Planowanie witryny
3. | Tworzenie stron
4. | Ustawienia zaawansowane
5. | Eksport

Dolny pasek przycisków

- | Wstecz: kliknięcie tego przycisku powoduje przejście do poprzedniego kroku budowy witryny.
- | Dalej: kliknięcie tego przycisku powoduje przejście do następnego kroku budowy witryny.


Witamy w Incomedia WebSite X5!

Tak zatytułowane jest okno powitalne programu WebSite X5, wyświetlone zaraz po jego uruchomieniu. Zawiera ono kilka hiperłączy do zasobów dostępnych online i oraz materiały pomocne podczas pracy z programem. Hiperłącza wyświetlane są w postaci przycisków po lewej stronie okna:

Podręcznik multimedialny
Z podręcznika multimedialnego można nauczyć się posługiwania programem WebSite X5.

Galeria
Odwiedź galerię i zobacz w archiwum witryny opracowane przez innych użytkowników WebSite X5, którzy zechcieli się podzielić swoimi pomysłami.

Ściągnij nowe wzorce
Kliknięcie tego hiperłącza przenosi do X5 Templates, będącego częścią oficjalnej witryny internetowej WebSite X5, skąd można ściągnąć nowe wzorce i dodać je do tych, które są już dostępne w programie.

Pomoc
Odwiedź stronę pomoc technicznej, gdzie możesz przejrzeć odpowiedzi na najczęściej zadawane pytania albo wystosować własne zapytanie. Pomoc techniczna jest dostępna w językach włoskim, angielskim i niemieckim.

Preferencje
Kliknięcie tej pozycji otwiera okno dialogowe Preferencje, gdzie można określić pewne ogólne ustawienia dotyczące pracy programu.

Sprawdź dostępność aktualizacji
Kliknięcie tego przycisku powoduje sprawdzenie, czy w sieci dostępne są aktualizacje WebSite X5 dla zainstalowanej wersji programu.

Poza tymi przyciskami okno powitalne zawiera także inne treści aktualizowane na bieżąco (gdy aktywne jest połączenie z Internetem). Są wśród nich informacje o stanie aktualizacji zainstalowanej wersji programu, nowinki, nowe podręczniki i oferty specjalne.

 Jeśli komputer nie jest połączony z Internetem okno powitalne zawiera standardową treść. Standardowe okno powitalne będzie wyświetlane także wtedy, gdy w oknie dialogowym Preferencje zostanie usunięte zaznaczenie pola wyboru Podczas uruchamiania programu sprawdź aktualizacje.

Po przejrzeniu treści okna powitalnego można kliknięciem przycisku Start przystąpić do budowania własnej witryny.


Preferencje

To okno dialogowe otwiera się po kliknięciu przycisku Preferencje po lewej stronie okna Witamy w Incomedia WebSite X5!. Można w nim ustawić ogólne parametry działania programu.

Oto wybór opcji:

-

Folder projektów: podaj nazwę folderu, w którym będą zapisywane pliki projektów (Project.IWP) - zarówno nowych, jak i importowanych (patrz Wybór projektu | Import Projektu). Jeżeli podczas opracowywania witryny naciśniesz przycisk Zapisz, jej projekt zostanie automatycznie zapisany w folderze podanym w tym oknie.

-

Podczas uruchamiania sprawdź aktualizacje: ta opcja jest domyślnie zaznaczona i powoduje, że podczas uruchamiania program automatycznie sprawdza, czy istnieją dostępne dla niego aktualizacje. Program szuka aktualizacji łącząc się z serwerem firmy Incomedia.

Zaleca się pozostawienie tej opcji aktywnej, gdyż daje gwarancję pracy w najnowszej wersji programu WebSite X5.

-

Zapisz przy każdym wyświetleniu podglądu: jeśli zaznaczysz tę opcję, projekt będzie zapisywany za każdym razem, gdy wyświetlisz podgląd witryny offline za pomocą wbudowanej przeglądarki (czyli wyświetlisz podgląd witryny przed jej opublikowaniem w Internecie).

-

Twórz kopię zapasową po każdym zapisaniu: ta opcja jest domyślnie aktywna i powoduje tworzenie kopii zapasowej projektu (Backup.IWP) zanim plik projektu zostanie zapisany wraz z wprowadzonymi doń zmianami.

-

Każdorazowo podczas aktualizacji twórz kopię zapasową: ta opcja powoduje automatyczne tworzenie kopii zapasowej projektu przy każdym publikowaniu witryny w Internecie. Kopia zapasowa jest zapisywana w pliku Uploaded_data_czas.IWP, gdzie "data_czas:określa dokładną datę i czas utworzenia kopii zapasowej (patrz Publikacja witryny w Internecie).

W zależności od tego, które opcje zostały zaznaczone, kopia zapasowa projektu dotyczy zawartości witryny przed ostatnim zapisaniem lub przed ostatnią publikacją (jest to kopia bez najnowszych wprowadzonych zmian). Kopia zapasowa jest zapisywana jako Backup.IWP lub Uploaded_data_czas.IWP w folderze projektów.
Jeśli chcesz odtworzyć kopię zapasową, usuń plik Project.IWP i zmień nazwę pliku Backup.IWP lub Uploaded_data_czas.IWP na Project.IWP.

-

Aktualizuj strony podczas modyfikowania projektu: ta opcja jest domyślnie aktywna i oznacza, że wszystkie strony witryny są aktualizowane w miarę wprowadzania w projekcie zmian.

Za każdym razem, gdy potwierdzisz zmianę (kliknięciem przycisku OK lub Dalej), program zaktualizuje wszystkie części projektu, na które zmiana ta miała wpływ. To gwarancje, że podgląd offline witryny będzie stale aktualizowany i może być wyświetlany natychmiast.

-

Maks. liczba równoczesnych procesów: możesz tu określić, ile procesów (wątków) uruchomionych przez program może być obsługiwanych przez komputer jednocześnie.

Technika dzielenia procesów na kilka podprocesów, które wykonywane są w tym samym czasie nosi nazwę wykonania wielowątkowego. Oczywiście komputer musi mieć możliwość obsługi procesów wielowątkowych. Wielowątkowość jest cechą systemu operacyjnego i dotyczy wykonywania w jednym czasie różnych części programu, zwanych wątkami. Program zaprojektowany w taki sposób, by wszystkie wątki mogły być wykonywane równocześnie i nie przeszkadzały sobie na wzajem, znacznie poprawia efektywność pracy komputera - w taki sposób zaprojektowany jest WebSite X5.
Żeby czerpać korzyści z wielowątkowości, dobrze, jeśli użytkownik jest w stanie poprawnie określić możliwości komputera. Zacznij od 5 równoczesnych procesów i zwiększaj ich liczbę, dopóki będziesz obserwować wyraźną poprawę wydajności przetwarzania.

-

Typ skryptu formularza e-mail: daje możliwość wyboru skryptu używanego do wysyłania wiadomości e-mail, przez formularz e-mail albo sklep internetowy. Domyślnie używany jest Skrypt standardowy: jeśli ten skrypt nie działa z powodu konfiguracji serwera, spróbuj zmienić ustawienie na Skrypt niskiego poziomu lub Skrypt serwerowy niskiego poziomu.

-

Wysyłanie danych formularza e-mail: możesz wybrać, w jaki sposób dane formularza e-mail są wysyłane. Domyślnie stosowana jest metoda POST, ale niektóre serwety mogą jej nie obsługiwać i wtedy można użyć metody GET.

Protokół HTTP (Hypertext Transfer Protocol) jest najbardziej rozpowszechnioną metodą transferu informacji w Internecie. Protokół ten opiera się na mechaniźmie żądania i odpowiedzi, gdzie klient wysyła żądanie, a serwer odpowiada na nie. Na ogół klientem jest przeglądarka, a serwerem witryna.
Komunikaty HTTP żądanie/odpowiedź są budowane zgodnie z określoną składnią. Żądanie musi określić metodę - najczęściej używanymi są GET i POST.
Metoda GET służy do otrzymywania treści z zasobu wskazanego jako obiekt żądania (na przykład strona witryny do wyświetlenia).
Metoda POST jest zazwyczaj używana do wysyłania informacji na serwer (na przykład danych formularza).
Jeśli chodzi o formularze e-mail, prawidłową metodą jest POST, ale jeśli serwer nie obsługuje tej metody WebSite X5 pozwala w zamian użyć metody GET.


Wybór projektu

Kiedy uruchomisz program WebSite X5, na początku wyświetlane jest okno Witamy w Incomedia WebSite X5!, a po nim okno Wybór projektu, gdzie należy określić, nad którym projektem chcesz pracować.

Możesz utworzyć nowy projekt lub wybrać któryś z istniejących.

-

Otwórz nowy projekt: wybierz tę opcję, aby rozpocząć budowanie projektu witryny od początku. Musisz podać nazwę nowego projektu: wpisz ją w pole opatrzone etykietą Podaj nazwę nowego projektu. Nowy projekt w każdej chwili możesz zapisać, klikając przycisk Zapisz zawsze widoczny na górnym pasku narzędzi.

Zapisując projekt, nie musisz zawsze podawać pełnej ścieżki dostępu do niego, ponieważ WebSite X5 automatycznie zapisze go w folderze projektów określonym w oknie dialogowym Preferencje.

-

Edytuj istniejący projekt: wybierz tę opcję, żeby otworzyć istniejący projekt witryny i kontynuować pracę nad nim lub zaktualizować jego treść.

Nazwy wszystkich istniejących projektów są podane na liście. Jeśli chcesz, możesz zmienić wygląd listy: możesz wyświetlić [image] duże ikony, [image] tytuły, [image] listę lub [image] szczegóły. Możesz także pogrupować projekty, używając opcji [image] Wyświetl grupy zgodnie z datą ostatniej edycji.

W stosunku do listy projektów na liście można zastosować następujące opcje:
- | Importuj: otwiera okno dialogowe Import projektu pozwalające zaimportować projekt utworzony i wyeksportowany w w programie WebSite X5 na innym komputerze (patrz Eksportuj projekt).
- | Zmień nazwę: zmienia nazwę zaznaczonego projektu.
- | Duplikuj: tworzy kopię zaznaczonego projektu.
- | Usuń: usuwa zaznaczony projekt.

Zagadnienia pokrewne:
- | Import projektu
- | Eksport projektu


Wybór projektu | Import projektu

To okno dialogowe otwiera się po kliknięciu przycisku Importuj w oknie Wybór projektu i pozwala zaimportować projekt utworzony na innym komputerze i wyeksportowany poleceniem Eksportuj projekt. To polecenie generuje pojedynczy skompresowany plik (w formacie .IWZIP), który zawiera zarówno oryginalny plik projektu (w formacie .IWP), jak i pliki z nim związane (na przykład obrazy, filmy, czy animacje).

W oknie dialogowym Import projektu znajdują są następujące elementy:
- | Plik projektu do zaimportowania: wybierz plik .IWZIP zawierający projekt, który chcesz zaimportować.
- | Kopiuj wszystkie pliki związane z projektem z tego folderu: podaj ścieżkę dostępu do folderu, gdzie należy skopiować pliki związane z projektem. To pozwala mieć kontrolę nad lokalizacją dołączonych plików, gdyby zaszła potrzeba wykorzystania ich w przyszłości.

Co trzeba zrobić?

Wyobraź sobie, że na komputerze A masz utworzony projekt i chcesz go przenieść do komputera B:

-

Na komputerze A
- | Otwórz projekt i w oknie Krok 5 - Eksport wybierz opcję Eksportuj projekt.
- | Podaj nazwę katalogu docelowego, gdzie projekt zostanie skopiowany i zdecyduj, czy chcesz zoptymalizować obrazy, czy nie.

-

Przenieś wynikowy skompresowany plik (mójProjekt.iwzip, gdzie "mójProjekt" jest nazwą oryginalnego projektu) z komputera A na komputer B.

-

Na komputerze B
- | Uruchom program WebSite X5 i przejdź do okna Wybór projektu. Kliknij przycisk Importuj i w oknie dialogowym Import projektu wybierz skompresowany plik (mójProjekt.iwzip), który wcześniej został wyeksportowany i skopiowany do komputera B.
- | Będąc nadal w oknie dialogowym Importuj projekt podaj nazwę folderu, gdzie zapisywane są projekty.
- | Gdy projekt zostanie pomyślnie zaimportowany, zaznacz go na liście, kliknij przycisk Dalej i kontynuuj pracę nad witryną.

Wynikowy plik .IWZIP powstały w wyniku eksportu jest skompresowany, zawiera oryginalny plik projektu oraz wszystkie pliki dołączone do witryny. Podczas importu plik ten jest automatycznie rozpakowywany:

-

Plik projektu .IWP jest zapisywany w folderze projektów określonym w oknie dialogowym Preferencje, a jego nazwa pojawia się na liście projektów okna Wybór projektu;

-

Pliki związane z projektem są zapisywane we wskazanym folderze i zorganizowane w następujące podfoldery:
- | General: ten podfolder zawiera pliki zdefiniowane w ustawieniach ogólnych, takie jak ikona witryny i obrazy lub animacje wykorzystywane we wzorcu niestandardowym lub niestandardowym banerze witryny.
- | ObjImage, ObjVideo, ObjFlash itd.: te podfoldery zawierają pliki wykorzystywane do tworzenia różnych obiektów pojawiających sie na stronach witryny.
- | Advanced: ten podfolder zawiera pliki zdefiniowane w ustawieniach zaawansowanych, na przykład kształty wskaźnika myszy, obrazy wyróżników elementów podmenu, ikony używane w sklepie internetowym, obrazy flag dla witryn wielojęzycznych i inne.
- | Links: ten podfolder zawiera pliki związane z linkami użytymi w witrynie.
- | Aspect: ten podfolder zawiera pliki służące do zdefiniowania wyglądu komórek w tabeli układu strony.

Zagadnienia pokrewne:
- | Wybór projektu
- | Eksport projektu


Ustawienia ogólne

Jest to pierwsze okno w 1. kroku budowania witryny. Informacje podane w polach tego okna określają ogólne ustawienia parametrów witryny, nad którą pracujesz.

Ważne jest, by podać tu pewne informacje, na przykład tytuł witryny i adres URL. Należy określić także język, w którym będziesz pracować nad projektem. Jeśli chcesz skorzystać z dodatkowych usług, takich jak statystyka witryny, musisz wpisać jeszcze dodatkowy kod lub metatagi.

Możesz podać te parametry na początku pracy, albo potem.

Kontrolki w oknie są rozmieszczone na dwóch kartach:
- | Podstawowe
- | Zaawansowane


Ustawienia ogólne | Podstawowe

Na karcie Podstawowe okna Ustawienia ogólne należy podać następujące informacje:

-

Tytuł witryny: wpisz nazwę, która będzie stanowić tytuł witryny. Tytuł pojawi się na pasku tytułu przeglądarki internetowej dokładnie w takiej postaci, jak zostanie tu wypisany - jest istotnym parametrem dla gości odwiedzających witrynę oraz dla wyszukiwarek internetowych indeksujących witrynę.
Domyślnie w tym polu pojawia się nazwa, która została nadana projektowi (patrz Wybór projektu). Możesz ją w każdej chwili zmienić, na przykład z powodu zmiany treści witryny albo po to, by goście witryny mogli ja łatwiej znaleźć.

-

Autor witryny: podaj autora witryny. Może to być imię i nazwisko, nazwa firmy lub organizacji. Nazwa autora witryny pojawi się w kodzie HTML stron witryny w metatagu <author>. Jest to sposób na elektroniczne podpisanie swojej pracy.

-

Adres URL witryny: podaj adres URL witryny, pod którym witryna będzie opublikowana w Internecie (na przykład http://www.mojawitryna.com). Ten adres jest bardzo ważny dla poprawnego działania kanału RSS, klepu internetowego i pliku mapy witryny. WebSite X5 generuje plik mapy witryny (SiteMap) automatycznie i tworzy łącza do poszczególnych stron witryny.

-

Opis witryny: w tym polu wpisz krótki opis witryny. Opis powinien być zwięzły i treściwy,ponieważ zostanie wstawiony w kodzie HTML witryny do metatagu <description>, a wyszukiwarki internetowe będą do niego sięgać w poszukiwaniu witryny. Dobry opis ułatwi witrynie zajęcie wysokiego miejsca w wynikach wyszukiwania.

-

Słowa kluczowe: wpisz słowa kluczowe rozdzielone przecinkami - są to określenia ważne dla witryny i związane z jej treścią. Słowa kluczowe w kodzie HTML są wpisywane w metatagu <keywords> i są wykorzystywane przez wyszukiwarki do znalezienia witryny.

Opis witryny i słowa kluczowe są automatycznie przyłączane do kodu strony głównej witryny.
Optymalnym rozwiązaniem jest dodanie opisu i słów kluczowych do każdej strony witryny, albo chociaż do tych najważniejszych. W tym celu przejdź do kroku Planowanie witryny, zaznacz stronę i kliknij na pasku tytułu przycisk Właściwości strony.

-

Język treści: wybierz język, w jakim będziesz tworzyć witrynę. Wybrany język zostanie użyty we wszystkich tekstach automatycznie wstawianych przez program: linków do elementów wbudowanych, etykietach formularzy e-mail, etykietach i tekstach sklepu internetowego, tekstach pojawiających się w mapie witryny.

Jeśli chcesz zmienić język tekstu wstawianego przez program automatycznie lub dodać nowy język, kliknij przycisk [image] po prawej stronie pola Język treści i ustaw odpowiednio opcje w oknie Zarządzanie treścią w danym języku (patrz Automatyczne zarządzanie tekstem).

-

Ikona witryny: jako ikonę stron witryny możesz wybrać plik z rozszerzeniem (.ico lub .png). Ikona będzie widoczna po lewej stronie adresu URL na pasku tytułu przeglądarki.

Ikony przypisane witrynie nazywa się czasem favicons (od ang. favorite icon). Obrazy ikon mogą być zapisane w formacie .ICO, .PNG, .GIF i .JPG. Pliki .ICO są wykorzystywane w takiej postaci, jak są zapisane, ale jeśli podasz plik z rozszerzeniem .PNG, .GIF lub .JPG dowolnej wielkości, WebSite X5 automatycznie przekształci go na plik obrazu .PNG wielkości 16x16 pikseli i użyje tej kopii jako ikony witryny.

Zagadnienia pokrewne:

-

Zarządzanie treścią w danym języku


Ustawienia ogólne | Zaawansowane

Na karcie Zaawansowane okna Ustawienia ogólne należy podać następujące informacje:

-

Wpisz kod modyfikujący nagłówek HEAD witryny: wpisz kod HTML, który zostanie wstawiony do tagu <head> każdej strony. Ta funkcja przydaje się, gdy chcesz włączyć do witryny wewnętrzne lub zewnętrzne biblioteki lub arkusze stylów (CSS).

-

Kod metatagu dla Narzędzi webmasterów Google: Wpisz odpowiedni metatag weryfikacyjny, który będzie używany przez Narzędzia webmasterów Google.

Aby dowiedzieć się, jak otworzyć konto i innych szczegółów, kliknij ikonę [image], by przejść do Centrum dla webmasterów Google znajdującym się pod adresem http://www.google.com/webmasters/.

-

Kod dla statystyki witryny: wpisz stosowny kod dla narzędzi statystycznych, takich jak Google Analytics, dzięki uzyskasz dokładne raporty na temat liczby odwiedzających witrynę.

Aby dowiedzieć się, jak otworzyć konto i innych szczegółów, kliknij ikonę [image], by przejść do oficjalnej witryny http://www.google.com/analytics/.

-

Automatycznie twórz plik mapy witryny: ta opcja jest domyślnie aktywna. Plik mapy witryny tworzony jest automatycznie.

Aby plik mapy witryny został poprawnie utworzony i dobrze działał, należy w oknie Ustawienia ogólne na karcie Podstawowe prawidłowo podać Adres URL witryny.

-

Włącz ochronę kodu HTML:wybranie tej opcji uniemożliwia gościom witryny użycie prawego przycisku myszy w celu uzyskania dostępu do kodu źródłowego witryny lub kopiowania obrazów.

Zagadnienia pokrewne:
- | Jak korzystać z narzędzi webmasterów Google?
- | Jak zweryfikować witrynę dla takich usług, jak Google Analytics?
- | Jak utworzył link do pliku SiteMap witryny?


Wybór wzorca

Jeden z kluczy do sukcesu witryny, to jej atrakcyjny wygląd. Liczy się pierwsze wrażenie - nowy gość witryny wyrabia sobie opinię na temat witryny w dużej mierze na podstawie jej układu graficznego, jeszcze zanim zacznie cokolwiek czytać. Dopracowanie i profesjonalny wygląd robią wrażenie dobrej jakości witryny i rodzą myśl, ze warto się jej lepiej przyjrzeć.

WebSite X5 oferuje bogaty wybór ponad 1 500 wzorców, które są gotowe do użycia w takiej formie, w jakiej są lub po zmodyfikowaniu. Możesz też wypróbować własnych sił w projektowaniu wzorca według własnego pomysłu.

Każdy z naszych gotowych wzorców jest profesjonalnie zaprojektowany i wygląda perfekcyjnie. Każdy wzorzec jest dostępny w 4 różnych stylach, więc można go dostosować do swoich określonych potrzeb. Jeśli chcesz dokonać jakiś zmian w gotowym wzorcu, zrobisz to bez trudu korzystając z wbudowanego edytora wzorców.

Ale zanim zrobisz cokolwiek, wybierz jedną z następujących opcji określających wygląd witryny:
- | Wzorzec własny: wybierz tę opcję, żeby zdefiniować własny wzorzec od nowa.
- | Wzorzec domyślny: wybierz tę opcję, aby skorzystać z gotowego, przygotowanego wcześniej wzorca.

Jeśli zdecydujesz się na wzorzec domyślny, możesz wybrać go z listy wzorców. Wzorce są podzielone na kategorie tematyczne, co ułatwia wybranie któregoś z bogatej zaoferowanej listy. Kiedy otworzysz jakąś kategorię, na liście pojawią się wzorce do niej należące. Kliknij miniaturę wzorca, aby wyświetlić jego podgląd.

Kiedy już zdecydujesz, jakiego wzorca użyć, możesz wybrać następujące opcje:

-

Typ menu: te opcje określają położenie głównego menu witryny. Możesz wybrać Menu poziome lub Menu pionowe.

We wcześniejszych wersjach programu WebSite X5 wyboru między menu poziomym a menu pionowym należało dokonać w oknie Wybór menu. W 9. wersji programu tego okna już nie ma.

-

Style: to cztery różne propozycje stylu wzorca. Aby wyświetlić podgląd wybranego stylu lub wybrać go, kliknij jego miniaturę.

W programie WebSite X5 w wersji 8., każdy wzorzec był dostępny w czterech wersjach kolorystycznych. Teraz nowe opcje stylu obejmują nie tylko różną kolorystykę, ale także różne efekty graficzne.

-

Dostosowanie koloru: Kolorystykę stylu wzorca zmienia się przeciągając suwak Dostosowanie koloru w prawo lub w lewo. Dzięki takiemu rozwiązaniu liczba dostępnych stylów jest praktycznie nieograniczona.

Kolorystyka wzorców domyślnych jest zoptymalizowana do wyświetlania w rozdzielczości 1024 x 768 pikseli. Jeśli bierzesz pod uwagę wyświetlanie witryny w innej rozdzielczości, skorzystaj z opcji Wzorzec własny.

Zagadnienia pokrewne:
- | Jak domyślne wzorce są zapisane w folderze Templates?
- | Gdzie szukać wzorców graficznych dla witryn WebSite X5?


Jak domyślne wzorce są zapisane w folderze Templates?

Jeśli chcesz zmodyfikować wzorzec domyślny lub dodać do listy domyślnych wzorzec stworzony przez siebie, warto wiedzieć, jak zostały one zapisane podczas instalacji programu WebSite X5.

Wszystkie pliki graficzne domyślnych wzorców są zapisywane w folderze instalacyjnym programu w podfolderze /Templates.

Na przykład pliki wzorca "Citi" w kategorii "2. Travel" można znaleźć w następujących podfolderach:
- | /Templates/2.Travel/City/Hor - wzorce z poziomym menu nawigacyjnym;
- | /Templates/2.Travel/City/Ver - wzorce z pionowym menu nawigacyjnym;
Foldery /Hor i /Ver zawierają inne podfoldery z numerami w nazwach od 1 do 4. Każdy z tych czterech podfolderów odpowiada innemu stylowi wzorca. Kiedy w oknie Wybór wzorca najedziesz wskaźnikiem myszy na miniaturę Style, pojawi się wskazówka ekranowa z numerem odpowiedniego podfolderu.

W podfolderze wzorca (/Templates/2.Travel/City/) znajduje się także plik settings.xml. Jest to plik tekstowy zawierający podstawowe informacje, takie jak wartości ContentHorWidth i ContentVerWidth (szerokość zawartości witryny z menu odpowiednio poziomym i pionowym), MenuHorWidth (szerokość menu poziomego), MenuHorHeight (wysokość menu poziomego). Wartości są wyrażone w pikselach.

Rozmaite pliki obrazów .JPG wykorzystywane we wzorcu są zapisane w folderach #1, #2, #3 i #4.

Podobnie jak cztery podfoldery wspomniane powyżej, foldery /Hor i /Ver także zawierają następujące pliki dla każdego z czterech stylów:
- | index.html: ten plik definiuje podstawową strukturę wzorca.
- | template.css: jest to arkusz stylów definiujący podstawowe ustawienia wyświetlania treści.

Zagadnienia pokrewne:

-

Wybór wzorca


Gdzie szukać wzorców graficznych dla witryn WebSite X5?

Jeśli szukasz nowych wzorców do zbudowania witryny albo zmiany stylu juz istniejącej, mnóstwo pomysłów znajdziesz na stronie WebSite X5 Templates oficjalnej witryny programu WebSite X5 pod adresem www.websitex5.com/templates.

Strona WebSite X5 Templates zawiera mnóstwo graficznych wzorców witryn - wszystkie zostały zaprojektowane albo przez firmę Incomedia, albo stworzone przez użytkowników programu WebSite X5. Niektóre wzorce są darmowe i wolno je modyfikować, inne dostępne są za drobna opłatą. Można je pobrać bezpośrednio z witryny.

Ty też możesz na pomóc wzbogacić bibliotekę! Jeśli zajmujesz się projektowaniem witryn, może chcesz się podzielić z nami swoimi pomysłami, wysłać nam witrynę, byśmy mogli ja obejrzeć? Autorzy najbardziej utalentowani zostaną docenieni - wyślij swój projekt do biblioteki i zarabiaj pieniądze! Więcej szczegółów znajdziesz pod adresem www.websitex5.com/templates/affiliates .

Odwiedzaj naszą stronę WebSite X5 Templates jak najczęściej i sprawdzaj, co nowego się tam pojawiło. Możesz także subskrybować kanał RSS i otrzymywać na bieżąco informacje o nowościach.

Zagadnienia pokrewne:

-

Wybór wzorca


Wzorzec własny

W programie WebSite X5 możesz samodzielnie stworzyć od podstaw własny wzorzec: W oknie dialogowym Wybór wzorca wybierz opcję Wzorzec własny i kliknij przycisk Dalej.

Aby ułatwić pracę, w oknie Wzorzec własny widoczny jest Podgląd układu strony. Z listy Sekcja strony wybierz fragment wzorca, który chcesz opracować, lub kliknij odpowiedni obszar na podglądzie. Następnie możesz korzystać z dostępnych opcji i od razu obejrzeć rezultat na podglądzie.

Najpierw określ Typ menu, to znaczy zdecyduj, gdzie będzie się znajdowało menu nawigacyjne i jak będzie położone względem innych elementów na stronie.
Do wyboru jest: Poziome - menu powyżej nagłówka [image] Poziome - menu poniżej nagłówka [image] Pionowe - menu po lewej

 We wcześniejszych wersjach programu WebSite X5 wyboru między menu poziomym a menu pionowym należało dokonać w oknie Wybór menu: w wersji 9. nie ma już tego okna.

Kiedy zdecydujesz, jakiego rodzaju ma być menu, wybierz Sekcję strony, nad którą chcesz w danej chwili pracować.

Strony są podzielone na następujące sekcje:

 Tło strony: jest to obszar otaczający stronę witryny. Jest ono widoczne wtedy, gdy okno przeglądarki jest większe niż rozmiar strony.

Nagłówek: nagłówek, inaczej baner górny, służy na ogół do wyświetlania obrazów, tytułu lub podtytułu witryny, logo firmy, pola Szukaj albo łączy do mapy witryny lub wyboru języka wyświetlania witryny.

Menu: ta sekcja zawiera menu główne witryny, na którym widoczny jest pierwszy poziom elementów menu nawigacyjnego witryny i jest widoczne na każdej stronie. Położenie sekcji menu zależy od wyboru typu menu (patrz powyżej).

Zawartość strony: ten obszar zawiera właściwą treść strony i ewentualnie podmenu.

Stopka: podobnie, jak nagłówek najczęściej zawiera jakiś obraz. Zadaniem stopki jest zasygnalizowanie gościowi witryny, że już doszedł do samego dołu strony. Ponadto w stopce zwyczajowo w stopce znajdują się różne uwagi, ostrzeżenia, informacje o prawach autorskich, numer NIP itp.

Tło stopki: jest to obszar tła strony odpowiadający wysokością stopce. Jeśli ustawisz kolor tła stopki Przezroczysty, wtedy tło stopki będzie takie samo, jak Tło strony. Gdy chcesz, żeby stopka zajmowała całą szerokość okna przeglądarki, ustaw Tło stopki inne niż Tło strony.

Dla każdej sekcji strony możesz ustawić następujące opcje:
- | Kolor: korzystając z palety kolorów wybierz kolor tła danej sekcji strony.
- | Plik obrazu: wybierz obraz (.jpg, .gif lub .png), który będzie widoczny w tle danej sekcji strony. W Nagłówku lub Stopce, możesz wstawić animację Flash (.swf).
- | Powtórzenie: zdecyduj, czy obraz tła ma być powtarzany. Obraz może być powielany w poziomie, w pionie, w obu kierunkach albo zajmować całe dostępne miejsce. Obraz umieszczony w tle strony może zostać także rozciągnięty i dopasowany do okna. Należy jednak pamiętać, że przy rozciąganiu obraz jest zniekształcany.
- | Wyrównanie: określ położenie wstawionego obrazu w sekcji strony.

Dla sekcji Tło strony dostępne są następujące opcje:

-

Nieruchome tło: zaznacz tę opcję, jeśli chcesz, żeby tło strony było nieruchome podczas przewijania strony.

Dla sekcji Nagłówek i Menu dostępne są następujące opcje:

-

Szerokość: jest to wyrażona w pikselach szerokość wybranej sekcji strony. Szerokość dla nagłówkapionowego menu po lewej jest domyślnie ustawiona na 960 pikseli, a dla Menu 130 pikseli, ale wartości te można zmienić. Jeśli wybierzesz menu poziome, wtedy Szerokość sekcji Nagłówek jest automatycznie stosowana także do sekcji Menu, Zawartość strony i Stopka.

Domyślna szerokość jest obliczona tak, by strona była dobrze wyświetlana w rozdzielczości 1024 x 768 pikseli.

Dla sekcji Nagłówek, Menu (tylko poziome) i Stopka dostępne są następujące opcje:

-

Wysokość: jest to wyrażona w pikselach wysokość wybranej sekcji strony.

Dla sekcji Tło strony, Menu i Zawartość strony dostępne są następujące opcje:

-

Margines wewnętrzny / Góra i Dół: pozwala określić w pikselach szerokość górnego i dolnego marginesu. Margines jest odstępem między zewnętrzną krawędzią sekcji a jego zawartością.

Dla sekcji Menu i Zawartość strony dostępne są następujące opcje:

-

Margines wewnętrzny / Lewy i Prawy: pozwala określić w pikselach szerokość lewego i prawego marginesu.

Prawdziwa szerokość stron witryny zadana jest przez szerokość sekcji Zawartość strony (ta z kolei zależy od szerokości sekcji Nagłówek) minus lewy i prawy margines.

W nagłówku wzorca witryny można umieścić tekst, obrazy, animację Flash, pokaz slajdów, pole Szukaj i hiperłącza. Te opcje są dostępne w oknie Edytor wzorca. Żeby do niego przejść, kliknij przycisk Dalej.

Zagadnienia pokrewne:
- | Wybór wzorca
- | Edytor wzorca


Edytor wzorca

Kiedy już dokonasz wyboru w oknie Wybór wzorca lub utworzysz własny nowy wzorzec, w oknie Wzorzec własny, przechodzisz do okna Edytor wzorca. Możesz zmodyfikować Nagłówek i Stopkę wzorca, wstawiając tekst, obrazy, animację Flash, pokaz slajdów, kod HTML, pole Szukaj albo hiperłącze.

 Polecenia i opcje modyfikacji nagłówka i stopki są takie same.

Animacje Flash wstawione w tle nagłówka lub stopki nie mogą być modyfikowane w oknie Edytor wzorca.

W edytorze grafiki poniżej paska narzędzi automatycznie wyświetlany jest obraz tła nagłówka lub stopki wybranego wzorca (domyślnego lub własnego). Obraz wyświetlany jest w skali 1:1 i jeśli nie jest widoczny w całości, można go przewijać. Wszelkie zmiany obrazu wyświetlane są w czasie rzeczywistym.

Na pasku stanu poniżej podglądu podane są:
- | Pozycja: położenie względem osi X i Y lewego górnego narożnika zaznaczonego obiektu.
- | Rozmiar: jest to wyrażona w pikselach szerokość i wysokość zaznaczonego obiektu.

Obiekty wstawia się za pomocą przycisków dostępnych na pasku narzędzi. Kiedy juz obiekt zostanie wstawiony, można go zaznaczyć i zmodyfikować za pomocą opcji widocznych w dolnej części okna. Etykieta dolnej części okna odzwierciedla rodzaj zaznaczonego obiektu; może to być Nagłówek / Stopka, Tekst, Obraz, Animacja Flash, Pokaz slajdów, Kod HTML lub Pole Szukaj.

W stosunku do tekstu, obrazu lub pokazu slajdów można zastosować Efekty specjalne.

Zagadnienia pokrewne:
- | Wybór wzorca
- | Wzorzec własny


Edytor wzorca | Pasek narzędzi

Pasek narzędzi okna Edytor wzorca zawiera następujące polecenia:

 Wytnij[CTRL+X] - Kopiuj [CTRL+C] - Wklej[CTRL+V]
Służą do wycinania, kopiowania i wklejania zaznaczonego obiektu.

Cofnij [CTRL+Z]
Wycofuje ostatnią operację.

Przenieś na wierzch - Przenieś na spód
Przenosi zaznaczony obiekt na wierzch innych, na które zachodzi - przenosi zaznaczony obiekt na sam spód innych, na które zachodzi.

Dopnij link do tego obiektu
Dołącza hiperłącze do zaznaczonego tekstu, obrazu lub obrazów pokazu slajdów. Ustawienia łącza definiuje się w oknie dialogowym Link.

Położenie i rozmiar
Pozwala określić współrzędne położenia i wielkość zaznaczonego obiektu. Opcja Zachowaj współczynnik kształtu daje gwarancję, że przy zmianie rozmiaru obiektu zostaną zachowane jego proporcje. Ta opcja jest domyślnie aktywna.

Wstaw tekst - Wstaw obraz - Wstaw animację Flash - Wstaw pokaz slajdów - Wstaw kod HTML - Wstaw pole Szukaj
Wstawia odpowiednio tekst, obraz, animację, pokaz slajdów, kod HTML lub pole Szukaj.
Pokaz slajdów bardzo przydaje się na banerze górnym, w szczególnosci, jeśli chce się wyświetlić reklamy.
Mając odpowiedni kod HTML, można wstawić na banerze górnym dowolny element. To polecenie daje ogromne możliwości.
Program WebSite X5 ma wbudowany mechanizm wyszukiwania, który przegląda treść całej witryny w poszukiwaniu frazy wpisanej w pole Szukaj.

Animacje Flash i obiekty zapisane w kodzie HTML są widoczne tylko wtedy, gdy witryna jest wyświetlana w przeglądarce.

Zagadnienia pokrewne:

-

Edytor wzorca


Edytor wzorca | Nagłówek / Stopka

Kiedy w oknie Edytor wzorca kliknie się obraz znajdujący się w tle nagłówka lub stopki obraz zostanie zaznaczony, a poniżej pojawią się następujące opcje opatrzone wspólną etykietą Nagłówek lub Stopka:
- | Plik obrazu: W tym polu podana jest ścieżka dostępu do obrazu wyświetlonego w tle. Obraz możesz zamienić na inny, wpisując ścieżkę dostępu do innego pliku. Dozwolone jest wstawianie obrazów o następujących formatach: JPG, GIF, PNG, BMP, PSD, TIF, DIB, PCX, RLE, TGA, WMF.
- | Zapisz jako obraz JPG: Podczas budowania witryny obiekty tekstowe i obrazy wstawione w nagłówku lub stopce zostaną połączone z obrazem tła i zapisane razem w postaci nowego pliku PNG. Format PNG pozwala zachować wszystkie ustawienia przezroczystości. Jeśli żaden fragment obrazu nie był ustawiany jako przezroczysty, zaznacz pole wyboru Zapisz jako obraz JPG, żeby zredukować wielkość wynikowego pliku obrazu banera górnego.

 Znajomość ścieżki dostępu do pliku zawierającego obraz tła nagłówka lub stopki przydaje się, bo łatwiej jest go znaleźć, gdy chce się w nim wykonać jakieś modyfikacje korzystając z innego edytora graficznego, albo zachować oryginalny obraz przed jego zastąpieniem.

Zagadnienia pokrewne:

-

Edytor wzorca


Edytor wzorca | Tekst

Kiedy w oknie Edytor wzorca kliknie się obiekt tekstowy wstawiony w nagłówku lub stopce tekst, zostanie zaznaczony, a poniżej pojawią się następujące opcje opatrzone wspólną etykietą Tekst:
- | Treść: w to pole wpisz tekst.
- | Czcionka: wybierz styl oraz rozmiar czcionki, jaka ma być zastosowana w tekście.
- | Kolor tekstu / Kolor tła: z palety kolorów wybierz kolor liter i kolor tła tekstu.

Zagadnienia pokrewne:

-

Edytor wzorca


Edytor wzorca | Animacja Flash

Kiedy w oknie Edytor wzorca kliknie się animacje Flash wstawioną w nagłówku lub stopce animacja, zostanie zaznaczona, a poniżej pojawią się następujące opcje opatrzone wspólną etykietą Animacja Flash:
- | Plik animacji: wybierz plik SWF zawierający animację, którą chcesz wstawić.
- | Przezroczyste tło: zaznacz tę opcję, by tło animacji było przezroczyste.

Zagadnienia pokrewne:

-

Edytor wzorca


Edytor wzorca | Pokaz slajdów

Kiedy w oknie Edytor wzorca kliknie się obiekt pokazu slajdów wstawiony w nagłówku lub stopce pokaz, zostanie zaznaczony, a poniżej pojawią się następujące opcje opatrzone wspólną etykietą Pokaz slajdów:

- | Lista obrazów: lista wyliczająca obrazy wyświetlane w pozie. Na liście podane są ścieżki dostępu do wszystkich plików obrazu, efekty zastosowane do poszczególnych z nich oraz związane z nimi hiperłącza. Aby obejrzeć podgląd obrazu, wystarczy kliknąć go na liście. Chcąc zaznaczyć kilka plików, trzymaj podczas klikania wciśnięty klawisz CTRL lub SHIFT.
- | Dodaj / Usuń: te przyciski służą do wstawiania pliku do pokazu slajdów lub usuwania z listy niechcianego obrazu. W oknie Wybór pliku można wybrać kilka plików do wstawienia.
- | W górę / W dół: te przycisku służą do zmiany kolejności obrazów w pokazie slajdów. Zaznacz obraz na liście obrazów i klikając przycisk przesuń go w górę lub w dół. Każde kliknięcie przesuwa obraz o jedno miejsce.
- | Efekt: ten przycisk otwiera okno dialogowe Właściwości efektu, gdzie możesz wybrać rodzaj efektu, powiększenie i położenie obrazu w pokazie slajdów oraz ustawić łącze do innych stron, gdzie można obejrzeć dany obraz.
- | Autoodtwarzanie: to pole wyboru jest domyślnie zaznaczone, co powoduje automatyczne odtwarzanie pokazu slajdów.
- | Kolejność losowa: zaznaczenie tego pola wyboru powoduje, że obrazy z listy pojawiają się w pokazie w kolejności losowej.

Zagadnienia pokrewne:
- | Edytor wzorca
- | Właściwości efektów


Edytor wzorca | Kod HTML

Kiedy w oknie Edytor wzorca kliknie się obiekt kodu HTML wstawionego w nagłówku lub stopce obiekt, zostanie zaznaczony, a poniżej pojawią się następujące opcje opatrzone wspólną etykietą Kod HTML:

- | Kod HTML: w to pole należy wpisać kod HTML obiektu, który ma zostać wstawiony.
- | Pokaż paski przewijania: zaznaczenie tego pola wyboru powoduje zaopatrzenie obiektu w paski przewijania.

Kliknięcie przycisku [image] Dodaj wstawkę pozwala na wybranie kodu jednej z gotowych wstawek:
- | Data publikacji [DATE]: automatycznie wstawia datę opublikowania strony. Możesz na przykład napisać "Ostatnia aktualizacja strony [DATE]."
- | Aktualna godzina [HOUR]: automatycznie wstawia bieżącą godzinę. Możesz na przykład napisać "Teraz jest [HOUR]."
- | Aktualna data [NOW]: automatycznie wstawia aktualną datę. Możesz na przykład napisać "Dzisiaj jest [NOW]."
- | Wyloguj z obszaru chronionego [LOGOUT]: automatycznie wstawia na stronie słowo Logout z hiperłączem, które przenosi użytkownika do Strefy użytkownika (patrz Zarządzanie dostępem) i wraca na stronę główną witryny. Hiperłącze Logout pojawia się tylko wtedy, gdy użytkownik wcześniej był zalogowany.

 Słowo "Logout" można zmienić na inne w oknie Zarządzanie treścią w danym języku.

Zagadnienia pokrewne:

-

Edytor wzorca


Edytor wzorca | Pole Szukaj

Kiedy w oknie Edytor wzorca kliknie się pole Szukaj wstawione w nagłówku lub stopce pole, zostanie zaznaczone, a poniżej pojawią się następujące opcje opatrzone wspólną etykietą Pole Szukaj:
- | Etykieta przycisku: możesz wpisać tekst, który będzie widoczny na przycisku uruchamiającym przeszukiwanie.
- | Czcionka: w oknie, które się otworzy wybierz rodzaj, styl i rozmiar czcionki dla etykiety przycisku.
- | Kolory pola: na palecie kolorów możesz wybrać kolor tekstu wpisywanego jako fraza do wyszukania oraz kolor tła pola.
- | Kolory przycisków: na palecie kolorów możesz wybrać kolor tekstu na przycisku oraz kolor samego przycisku.

 Wyniki przeszukiwania stron witryny są wyświetlane na stronie automatycznie generowanej przez program zgodnie z ustawieniami stylu tekstu (patrz Style i modele w oknie Krok 4 - Ustawienia zaawansowane).

Zagadnienia pokrewne:
- | Edytor wzorca
- | Jak działa wewnętrzny mechanizm wyszukiwania w programie WebSite X5?


Edytor wzorca | Efekty

Kiedy w oknie Edytor wzorca zaznaczy się kliknięciem obiekt tekstowy, obraz lub pokaz slajdów, w dolnej części okna w grupie Efekty dostępne są następujące opcje.

-

Rodzaj efektu: możesz wybrać jeden lub kilka efektów, które zostaną zastosowane do zaznaczonego obiektu.

W stosunku do obiektów tekstowych, obrazów i pokazu slajdów można stosować po kilka efektów na raz i dla każdego efektu określić inne ustawienia:

Efekt | Ustawienia
Cień | - | Dyfuzja: określ intensywność koloru cienia rzucanego przez obiekt.
 | - | Kolor: z palety kolorów wybierz kolor cienia.
 | - | Współrzędna X / Współrzędna Y: te wartości określają długość i kierunek cienia względem obiektu. Wartości dodatnie rzucają cień w prawo i w dół, natomiast ujemne w górę i w lewo.
Lustro | - | Dyfuzja: określ wielkość lustrzanego odbicia obiektu (jako procent wielkości oryginału).
 | - | Odległość: określ odległość lustra od obiektu.
Kolorowa krawędź | - | Grubość: określ w pikselach grubość krawędzi wokół obiektu.
 | - | Kolor: z palety kolorów wybierz kolor krawędzi.
Poświata | - | Dyfuzja: określ intensywność poświaty obiektu.
 | - | Kolor: z palety kolorów wybierz kolor poświaty.
Wypukłość | - | Głębokość: określ głębokość wypukłości.
 | - | Dyfuzja: określ wygładzenie krawędzi wypukłości.
 | - | Kąt: podaj kąt nachylenia wypukłości.
Obrócenie | - | Kąt: określ kąt obrócenia obiektu zgodnie z kierunkiem wskazówek zegara.
Krycie | - | Krycie: określ stopień nieprzezroczystości obiektu w skali od 0 do 100. Wartości bliskie 0 dają obiekt przezroczysty.
Rozmycie | - | Dyfuzja: określ stopień rozmycia obiektu.
Fala | - | Dyfuzja: określ amplitudę fali.
 | - | Częstotliwość: określ długość fali - większa częstotliwość, krótsza fala.
Perspektywa | - | Poziomo: określ efekt skrócenia obiektu w perspektywie na prawo (wartości dodatnie) lub na lewo (wartości ujemne).
 | - | Pionowo: określ efekt skrócenia obiektu w perspektywie w dół (wartości dodatnie) lub w górę (wartości ujemne).
Przekrzywienie | - | Poziomo: określ odległość pochylenia obiektu w poziomie w prawo (wartości dodatnie) lub w lewo (wartości ujemne).
 | - | Pionowo: określ odległość pochylenia obiektu w pionie do dołu (wartości dodatnie) lub do góry (wartości ujemne).

Zagadnienia pokrewne:

-

Edytor wzorca


Planowanie witryny

Witryna jest zbiorem stron uporządkowanym w określoną strukturę. Kiedy planuje się witrynę, bardzo ważny jest klarowny plan jej struktury, tak by była logicznie zbudowana i by gość witryny mógł bez trudu się po niej poruszać.
Kiedy poruszasz się po dobrze skonstruowanej witrynie, nie gubisz się i nie tracisz orientacji, gdzie jesteś: żądane informacje muszą być łatwe do odnalezienia. Nieprawidłowo zbudowana witryna jest irytująca i denerwuje użytkownika, a w najgorszym wypadku przekierowuje go do miejsc niepożądanych.

Okno Tworzenie mapy witryny jest miejscem planowania jej struktury. Tu możesz wstawić wszystkie strony, pogrupować je w poziomy i podpoziomy. Kiedy już zdefiniujesz strukturą witryny i nadasz stronom odpowiednie tytułu, możesz przystąpić do wypełniania poszczególnych stron treścią.

Okno zawiera kilka elementów:
- | Drzewo mapy witryny;
- | Pasek narzędzi widoczny nad drzewem;
- | Polecenia tworzenia mapy witryny i określania jej struktury.


Drzewo mapy witryny

Najwięcej miejsca w oknie Tworzenie mapy witryny zajmuje drzewo, będące schematyczną reprezentacją mapy witryny.

Domyślnie proponowany jest schemat podstawowy. Składa się on ze Strony głównej oraz folderu Menu zawierającego trzy strony. Za pomocą narzędzi służących do definiowania schematu mapy witryny, można wstawiać do Menu poziomy i strony.
Jeżeli w witrynie utworzy się stronę wstępną, blog, strefę użytkownika (wystarczy jedna zastrzeżona strona) lub sklep internetowy, wtedy automatycznie tworzony jest folder Strony specjalne zawierający następujące elementy: Strona wstępna, Blog, Strona logowania i Sklep.

Poza drzewem mapy witryny w oknie widoczne są inne informacje dotyczące wstawionych stron, na przykład Rozszerzony tytuł strony oraz Opis. Te informacje definiuje się w oknie dialogowym Właściwości strony.

W drzewie witryny można wykonać następujące operacje:
- | Zmienić nazwę poziomu lub strony, włącznie ze stroną główną; w tym celu zaznacz stronę lub poziom i kliknij jeszcze raz (nie dwukrotnie, pojedynczo) albo kliknij przycisk Zmień nazwę. Nie można zmienić nazw stron specjalnych, ale można zmienić ich aliasy w folderze Menu.
- | Jeśli chcesz zmienić tekst, zaznacz stronę lub poziom i kliknij w kolumnie Rozszerzony tytuł strony lub Opis. (Jeśli w kolumnach Rozszerzony tytuł strony lub Opis jest pusto, to znaczy, że właściwości te nie zostały jeszcze zdefiniowane w oknie dialogowym Właściwości strony. Aby je zdefiniować, na pasku narzędzi kliknij przycisk Właściwości strony).
- | Dwukrotne kliknięcie poziomu wyświetla lub ukrywa wszystkie zawarte w nim strony; taki sam efekt daje kliknięcie przycisków Rozwiń i Zwiń. Innym sposobem rozwijania i zwijania poziomów jest kliknięcie strzałki znajdującej się po lewej stronie nazwy.
- | Dwukrotne kliknięcie strony przenosi do okna Tworzenie strony, gdzie na strony wstawia się zawartość.
- | Dwukrotne kliknięcie którejś ze stron specjalnych przenosi do okna Krok 4 - Ustawienia zaawansowane, gdzie otwarte są już ustawienia danej strony; można je wtedy zdefiniować lub zaktualizować.
- | Zaznaczony poziom można przeciągnąć w nowe miejsce w menu. Wszystkie strony należące do danego poziomu zostaną przeniesione wraz z nim. Zamiast przeciągać poziom, można użyć przycisków W górę i W dół.
- | Po zaznaczeniu kilku stron można je przeciągnąć w nowe miejsce w menu (albo użyć w tym celu przycisków W górę i W dół). W celu zaznaczenia kilku elementów przytrzymaj podczas klikania klawisz CTRL (+kliknięcie) lub SHIFT (+kliknięcie w celu zaznaczenia kilku elementów sąsiadujących).
- | Strony specjalne także można zaznaczać i przenosić w nowe miejsce w folderze Menu. Przy tej operacji tworzony jest automatycznie nowy poziom będący skrótem do strony specjalnej. Poziom ten będzie miał taką samą nazwę, jak strona specjalna i będzie łączem do niej. Dzięki tej opcji możesz w dowolnym miejscu menu wstawiać skróty do blogu, strony wstępnej, strony logowania albo sklepu.
- | Zaznacz jedną lub kilka stron w celu skopiowania ich i wklejenia w inne miejsce tego samego projektu albo do innego projektu otwartego w innym oknie programu. Jest kilka alternatywnych sposobów wykonania tej operacji: kliknięcie na pasku narzędzi przycisków Kopiuj i Wklej, klikniecie prawym przyciskiem myszy i wybranie poleceń z menu kontekstowego lub użycie kombinacji klawiszy CTRL+C i CTRL+V. Poleceń Kopiuj i Wklej nie można stosować do stron specjalnych.

Zagadnienia pokrewne:
- | Planowanie witryny
- | Drzewo mapy witryny
- | Pasek narzędzi mapy witryny


Pasek narzędzi mapy witryny

Pasek narzędzi mapy witryny widoczny jest w oknie Tworzenie mapy witryny bezpośrednio nad drzewem mapy witryny. Znajdują się na nim następujące narzędzia:

 Wytnij [CTRL+X] - Kopiuj [CTRL+C] - Wklej [CTRL+V]
Za ich pomocą możesz odpowiednio wycinać, kopiować lub wklejać zaznaczone strony w obrębie danego projektu lub z i do innego projektu. Te same polecenia są dostępne w menu kontekstowym, które pojawia się po kliknięciu elementu mapy witryny prawym klawiszem myszy.

Ukryj stronę
Zaznacz tę opcję, jeśli dana strona lub poziom mają być niewidoczne w menu witryny. Jeśli ukryty jest poziom, wszystkie strony do niego należące także są niewidoczne. Ukryte strony przydają się, gdy na jakiejś stronie jest tylko krótka informacja na dany temat, a chcąc dowiedzieć się więcej, trzeba kliknąć link do strony niewidocznej w menu. Pamiętaj, że do strony ukrytej musi istnieć przynajmniej jedno łącze na innych stronach.

Stronę główną także można ukryć, ale tylko wtedy, gdy na innych stronach witryny na przykład w nagłówku istnieją łącza do niej prowadzące.

Chroń stronę hasłem
Ten przycisk otwiera okno dialogowe Chroń stronę hasłem, gdzie można ją zablokować, zaznaczając pole wyboru Ustaw stronę jako zablokowaną - chronioną hasłem. Potem trzeba określić grupę użytkowników lub pojedynczych użytkowników, którzy będą mieli dostęp do zablokowanej strony, w tym celu należy kliknąć ich nazwy na liście poniżej. Nadanie prawa dostępu grupie nie jest tym samym, co nadanie prawa dostępu wszystkim użytkownikom grupy: jeśli do grupy dodaje się nowych użytkowników, będą oni mieli automatyczny dostęp do zablokowanej strony tylko wtedy, gdy grupa będzie miała do niej dostęp.
Aby utworzyć nową grupę lub użytkownika, przejdź do okna Krok 4 - Ustawienia zaawansowanei tam otwórz Zarządzanie dostępem .

Właściwości strony
Ten przycisk jest dostępny wtedy, gdy w drzewie mapy witryny jest zaznaczona strona. Otwiera się nim okno dialogowe Właściwości strony, gdzie można określić indywidualne ustawienia strony, odrębna grafikę lub wstawić kod HTML.

W oknie dialogowym Właściwości strony dostępne są trzy karty:
- | Ogólne
- | Grafika
- | Zaawansowane

Właściwości poziomu
Ten przycisk jest dostępny wtedy, gdy w drzewie mapy witryny jest zaznaczony poziom. Otwiera on okno dialogowe Właściwości poziomu, gdzie można określić następujące ustawienia:

-

Ukryj menu rozwijane dla tego poziomu: zaznacz tę opcję, jeśli nie chcesz, by po najechaniu na poziom wskaźnikiem myszy pojawiało się menu rozwijane.

-

Link, który zostanie wykonany po kliknięciu tego elementu: tu należy określić działanie, jakie zostanie podjęte po kliknięciu poziomu - robi się to w oknie dialogowym Link.

Użycie opcji Ukryj menu rozwijane dla tego poziomu i zdefiniowanie linku, który zostanie wykonany po kliknięciu tego elementu przydaje się na przykład wtedy, gdy trzeba utworzyć jako element menu hiperłącze do zewnętrznej witryny, albo jeśli zamiast podmenu z bardzo dużą liczbą elementów chce się wyświetlić stronę zawierającą listę linków do tych elementów, z których każdy prowadzi do odpowiedniej strony.

-

Ikona elementu menu: możesz wybrać obraz (w formacie .JPG, .GIF lub .PNG), który będzie wyświetlany w menu witryny jako jego ikona.

Jeśli w oknie Krok 4 - Ustawienia zaawansowane w witrynie zostanie zdefiniowana Strona wstępna , Blog , Strefa użytkownika (wystarczy, że wstawi się jedną stronę zablokowaną) lub Sklep , , w mapie witryny pojawi się folder Strony specjalne zawierający nazwy odpowiednich elementów. Pamiętaj, jednak, że polecenia dostępne na pasku narzędzi mapy witryny nie działają w wypadku stron specjalnych.

Zagadnienia pokrewne:
- | Planowanie witryny
- | Drzewo mapy witryny
- | Polecenia tworzenia mapy witryny


Tworzenie mapy witryny | Właściwości strony | Ogólne

Opcje na karcie Ogólne okna dialogowego Właściwości strony służą do określania wartości rozmaitych ustawień potrzebnych do optymalizacji strony:
- | Rozszerzony tytuł strony: możesz nadać stronie tytuł inny niż wyświetlany w mapie witryny. Nazwa strony nadana w mapie witryny jest wykorzystywana w menu nawigacyjnym; rozszerzony tytuł podany we właściwościach strony jest pełną nazwą strony wyświetlaną w witrynie po publikacji. Gdy wyświetlana jest strona główna, jej tytuł nie jest podawany, mimo to istnieje możliwość nadania stronie głównej tytułu rozszerzonego. Będzie on przypisany jako wartość tagu <title> w kodzie HTML strony.
- | Opis strony: tu możesz wpisać opis strony. Musi być zwięzły i konkretny. Będzie wartością metatagu <description> kodu HTML strony i posłuży wyszukiwarkom internetowym do indeksowania witryny.
- | Słowa kluczowe: tu możesz wpisać słowa kluczowe dotyczące strony. Będą one wartością metatagu <keywords> kodu HTML strony i posłuży wyszukiwarkom internetowym do indeksowania witryny.
- | Nazwa pliku: tu możesz określić nazwę pliku HTML tej strony. Domyślnie nazwa pliku HTML jest nadawana stronie podczas tworzenia mapy witryny. Jeśli zdecydujesz się ją zmienić, użyj nazwy krótkiej i dobrze opisującej stronę, żeby adres był prosty i łatwy do zapamiętania. To także pomaga wyszukiwarkom w indeksowaniu. Ta opcja nie jest dostępna dla strony głównej.

Zagadnienia pokrewne:
- | Planowanie witryny
- | Właściwości strony


Tworzenie mapy witryny | Właściwości strony | Grafika

Opcje na karcie Grafika okna dialogowego Właściwości strony służą do określania kilku ważnych ustawień opracowywanej strony:
- | Ikona elementu menu: możesz wybrać obraz (w formacie .JPG, .GIF lub .PNG), który będzie wyświetlony w menu nawigacyjnym obok nazwy strony.
- | Obraz tła strony internetowej: możesz wybrać obraz (.JPG, .GIF, .PNG) i umieścić go w tle strony zamiast obrazu lub jednolitego tła określonego we wzorcu (patrz Wybór wzorca).
- | Tło treści strony: możesz wybrać obraz (w formacie .JPG, .GIF lub .PNG), który będzie wyświetlony jako tło zawartości strony. Obraz ten będzie wyświetlany na wierzchu koloru lub obrazu określonego we wzorcu (patrz Wybór wzorca).
- | Powtórzenie: zdecyduj, czy obraz tła strony będzie powielany. Obraz może być powielany w poziomie, w pionie, w obu kierunkach albo zajmować całe dostępne miejsce.
- | Wyrównanie:zdecyduj, jak obraz tła strony będzie wyrównany.
- | Utwórz stronę bez użycia wzorca: możesz zdecydować, że wzorzec wybrany dla witryny (patrz Wybór wzorca) nie będzie stosowany do tej konkretnej strony. Jeśli zaznaczysz tę opcję, strona będzie utworzona tylko na podstawie wstawionej do niej treści bez graficznych elementów wzorca ani menu nawigacyjnego.
- | Szerokość strony / Kolor tła: te opcje są dostępne tylko wtedy, gdy zaznaczone zostanie pole wyboru Utwórz stronę bez użycia wzorca. Możesz określić w pikselach szerokość strony i wybrać kolor jej tła.

Zagadnienia pokrewne:
- | Planowanie witryny
- | Właściwości strony
- | Wybór wzorca


Tworzenie mapy witryny | Właściwości strony | Zaawansowane

Opcje na karcie Zaawansowane okna dialogowego Właściwości strony są wykorzystywane do tworzenia pliku mapy witryny i ręcznej edycji kodu HTML generowanego dla opracowywanej strony:

-

Format nazwy pliku: możesz wybrać format, w jakim strona zostanie zapisana. Domyślnym rozszerzeniem jest .html, ale można też wybrać .php, .asp, .cfm albo .jsp. Plik index.html zawierający stronę główną także może zostać zapisany w innym formacie. Taki sam format zostanie użyty dla strony wstępnej. Nie można zmieniać formatu stosowanego do generowania strony zablokowanej, ponieważ wymagany jest format .php (patrz, przycisk [image] Chroń stronę hasłem na pasku narzędzi mapy witryny).

-

Dodaj tę stronę do pliku SiteMap: ta opcja jest domyślnie zaznaczona, dzięki czemu opracowywana strona będzie uwzględniana w pliku mapy witryny witryny.

-

Częstotliwość aktualizacji: możesz wybrać, jak często strona będzie aktualizowana w pliku mapy witryny. Ten parametr zostanie zapisany w pliku SiteMap podczas jego tworzenia.

-

Priorytet treści: możesz przypisać stronie priorytet, uwzględniając jej pozycję względem innych stron. Ten parametr zostanie zapisany w pliku SiteMap podczas jego tworzenia.

-

Kod niestandardowy: tu możesz dopisać kod HTML do kodu strony. Z listy możesz wybrać miejsce, gdzie niestandardowy kod będzie wstawiony: Przed tagiem <HTML>, Przed tagiem </HEAD>, Wewnątrz tagu <BODY> (czyli jako część tagu <BODY>, na przykład: <BODY onload="alert('Hello!')">), Przed tagiem </BODY>, Po tagu </BODY>. Kiedy zdecydujesz, gdzie wstawić niestandardowy kod, możesz wpisać klub wkleić kod w pole Kod niestandardowy.

Opcja Kod niestandardowy przydaje się na przykład w wypadku dołączania do strony arkusza stylów (CSS) lub gdy podczas wczytywania strony ma zostać wykonane jakieś działanie. Aby niektóre skrypty Javy działały poprawnie, w pliku HTML strony trzeba dodać kilka linii kodu do tagów <HEAD> and <BODY> (Skrypty Javy instaluje się na stronie, wstawiając obiekt HTML i gadżety).

Zagadnienia pokrewne:
- | Planowanie witryny
- | Właściwości strony
- | Jak utworzył link do pliku SiteMap witryny?


Definiowanie struktury mapy witryny

W programie WebSite X5 mapa witryny ma typową strukturę drzewiastą. Zazwyczaj zaczyna się od strony głównej poniżej której pojawiają się poszczególne strony lub grupy stron połączone w poziomy.

Do definiowania struktury mapy witryny służą następujące narzędzia:

-

Nowy poziom [CTRL+L]: wstawia nowy poziom menu. Nie ma ograniczenia liczby wstawianych poziomów i podpoziomów.

-

Nowa strona [CTRL+P]: wstawia nową stronę, która automatycznie jest umieszczana na bieżącym poziomie.

-

Separator: wstawia separator wizualnie rozdzielający elementy mapy witryny. Separator może być pusty albo zawierać jakiś nagłówek; separatory przydają się podczas tworzenia wielokolumnowych map witryny (patrz Styl menu rozwijanego | Elementy menu w oknie Krok 4 - Ustawienia zaawansowane).

-

Usuń [DEL]: usuwa zaznaczoną stronę lub poziom (kiedy usuwa się poziom, kasowane są wszystkie strony do niego należące).

-

Zmień nazwę [F2]: pozwala zmienić nazwę zaznaczonego poziomu lub strony, włącznie ze stroną główną. Ważne jest, by poziomom i stronom nadawać poprawne nazwy, ponieważ później pojawią się one w menu nawigacyjnym witryny jako tytułu poszczególnych stron. Są również wykorzystywane jako nazwy plików HTML tworzonych automatycznie dla każdej ze stron (chyba że inna nazwa zostanie nadana w oknie Właściwości strony).

-

W górę [CTRL+U] / W dół [CTRL+D]: te przyciski służą do zmiany kolejności stron i poziomów w strukturze mapy witryny; przesuwają poziom lub stronę o jedną pozycję w górę lub w dół.

Jeśli chcesz zmienić kolejność stron lub poziomów możesz także zrobić to bezpośrednio w drzewie mapy witryny przez przeciągnięcie ich w wybrane miejsce i upuszczenie tam. Chcąc zaznaczyć kilka elementów, trzymaj podczas klikania wciśnięty klawisz CTRL lub SHIFT.

-

Rozwiń / Zwiń: te przyciski służą do pokazywania i ukrywania stron należących do poziomu.

Jeśli w oknie Krok 4 - Ustawienia zaawansowane w witrynie zostanie zdefiniowana Strona wstępna , Blog , Strefa użytkownika (wystarczy, że wstawi się jedną stronę zablokowaną) lub Sklep , , w mapie witryny pojawi się folder Strony specjalne zawierający nazwy odpowiednich elementów. Pamiętaj, że przyciski Usuń, Zmień nazwę, W górę, W dół, Rozwiń oraz Zwiń są niedostępne dla stron specjalnych. Natomiast przycisków Usuń, Zmień nazwę, W górę i W dół można używać w stosunku do aliasów będących skrótami do strony wstępnej, blogu, strony logowania lub sklepu, ponieważ aliasy nie są stronami specjalnymi, a jedynie linkami do nich w mapie witryny. (Aliasy tworzy się, przeciągając stronę specjalną w inne miejsce w mapie witryny).

Kiedy skończysz tworzenie struktury mapy witryny, WebSite X5 przejdzie do każdej ze stron w celu wypełnienia jej treścią. Są dwie możliwości, możesz w drzewie mapy witryny kliknąć dwukrotnie stronę, z którą chcesz pracować, albo zaznaczyć stronę i kliknąć przycisk Dalej.

Zagadnienia pokrewne:
- | Planowanie witryny
- | Pasek narzędzi mapy witryny
- | Polecenia tworzenia mapy witryny


Mapa witryny a plik SiteMap

Plik SiteMap (mapa witryny) jest generowany automatycznie na podstawie mapy witryny utworzonej w kroku 2. Elementami pliku mapy witryny są łącza do poszczególnych stron witryny. Mapa witryny pomaga osobie odwiedzającej witrynę zorientować się w jej strukturze. Gałęzie drzewa mapy witryny wyświetla się i ukrywa za pomocą przycisków Rozwiń i Zwiń.
Istnieje możliwość umieszczenia na dowolnej stronie tekstu lub obrazu z linkiem otwierającym mapę witryny (patrz, akcja Mapa witryny w oknie Link) albo automatycznego umieszczenia linku do mapy witryny w stopce strony (gdy w oknie Style i modele | Tekst dla elementu strony Menu w stopce zostanie zaznaczona opcja Widoczne).

Nawet, jeśli nie zdecydujesz się umieścić nigdzie linku do mapy witryny, program utworzy plik SiteMap w formacie XML, który będzie połączony z kodem HTML poszczególnych stron przez metatag <sitemap>. Mapa witryny i plik SiteMap są zasadniczo tym samym: mapa witryny to jest to, co użytkownik widzi w witrynie, a plik mapy witryny (SiteMap) jest wersją XML, zawierającą listę stron witryny i ma za zadanie zapewnienie wyszukiwarkom internetowym skanowanie wszystkich stron witryny. Za pośrednictwem pliku mapy witryny możesz dostarczyć wyszukiwarkom kilka przydatnych informacji na temat stron witryny:
- | Jak często strona jest aktualizowana,
- | Kiedy strony były ostatnio edytowane,
- | Priorytet poszczególnych stron w witrynie (ten parametr, nie ma znaczenia dla wyników wyszukiwania).

Plik mapy witryny (SiteMap) zostanie wygenerowany automatycznie, gdy zaznaczy się pole wyboru Automatycznie twórz plik mapy witryny w oknie Ustawienia ogólne | Zaawansowane. Jeśli chcesz podać informację o częstotliwości aktualizacji i priorytecie strony, użyj opcji w oknie Właściwości strony | Zaawansowane, które otwiera się z okna Tworzenie mapy witryny.

Zagadnienia pokrewne:
- | Planowanie witryny
- | Jak utworzyć link do pliku SiteMap witryny?


Tworzenie stron

Kiedy już zdefiniujesz w projekcie mapę witryny, możesz przystąpić do tworzenia poszczególnych stron wchodzących w skład witryny. W tym oknie tworzy się poszczególne strony witryny, wstawiając do nich rozmaite obiekty.

Ścieżka dostępu oraz tytuł strony są podane po etykiecie Bieżąca strona.

Okno jest podzielone na kilka części:
- | Schematyczna reprezentacja strony, gdzie definiuje się jej układ.
- | Lista wszystkich dostępnych obiektów, które można umieścić na stronie.
- | Podgląd, gdzie widać, jak obiekt będzie wyglądał po umieszczeniu na stronie.


Tabela układu strony

WebSite X5 wykorzystuje do zaprezentowania układu strony tabelę. Domyślnie jest to tabela 2 na 2, czyli składa się z 4 komórek. Chcąc stworzyć stronę (wstawić jej zawartość), wystarczy przeciągnąć obiekt z listy dostępnych obiektów i upuścić go w komórce. Jedna komórka może zawierać tylko jeden obiekt.

Do domyślnej tabeli można dodawać kolumny i wiersze, zwiększając dostępną liczbę komórek zawierających obiekty. Można także zmieniać szerokość poszczególnych kolumn. Możność modyfikowania tabeli układu strony i wstawiania obiektów, tak, że mogą zajmować kilka komórek w pionie lub w poziomie, daje nieograniczone możliwości uzyskania dowolnie skomplikowanego układu.

Uwaga: Tabela układu strony nie jest widoczna, gdy strona jest wyświetlana w przeglądarce internetowej. Zasadniczym zadaniem tabeli układu strony jest pomoc w rozmieszczeniu jej zawartości i uzyskaniu optymalnego efektu. Tabela układu strony nie jest "konwertowana" na tabelę w kodzie HTML strony (z wyjątkiem nielicznych wypadków bardzo skomplikowanego układu).

Jak wspomniano wcześniej jedna komórka tabeli układu strony może zawierać jeden obiekt, ale jeden obiekt może zajmować kilka komórek i mieć fizycznie większą szerokość niż sama strona.

Sposób wyświetlania komórek tabeli układu strony zależy od ich stanu:
- | Jeżeli w komórce znajduje się pusty obiekt, jego ikona jest widoczna na tle szarych ukośnych pasków.
- | Jeżeli w komórce znajduje się obiekt coś zawierający, jego ikona jest widoczna na błękitnym tle.
- | Jeżeli obiekt w komórce jest zaznaczony, wokół niego widoczne są uchwyty.

Przyciski na pasku narzędzi służą do modyfikowania tabeli układu strony i ustawień komórek:

 Wstaw zawartość wybranego obiektu: ten przycisk jest dostępny wtedy, gdy do komórki jest wstawiony obiekt. Kliknięcie go powoduje otwarcie okna, gdzie obiekt wypełnia się właściwą treścią. Otwierane okno zależy od rodzaju obiektu.

Format komórki: ten przycisk jest dostępny wtedy, gdy do komórki jest wstawiony obiekt. Otwiera on okno dialogowe Format komórki, gdzie można zdefiniować wygląd bieżącej komórki.

Margines komórki: ten przycisk jest dostępny wtedy, gdy do komórki jest wstawiony obiekt. Otwiera on okno Margines komórki, gdzie można w pikselach określić wielkość Zewnętrznego i wewnętrznego marginesu bieżącej komórki. Możesz też zaznaczyć pole wyboru Margines niestandardowy i zdefiniować inaczej margines z każdej strony: Górny, Prawy, Dolny i Lewy (patrz Model komórki w programie WebSite X5).

Wyrównanie: ten przycisk jest dostępny wtedy, gdy do komórki jest wstawiony obiekt. Obiekt można wyrównać w komórce w pionie Góra/Środek/Dół i w poziomie Lewa/Środek/Prawa.

Wstaw wiersz / Usuń wiersz: nowy wiersz można wstawić przed przed wierszem zawierającym zaznaczoną komórkę, a usunąć można wiersz zawierający zaznaczoną komórkę. Tabela może mieć do 64 wierszy.

Wstaw kolumnę / Usuń kolumnę: nową kolumnę można wstawić przed przed zawierającą zaznaczoną komórkę, a usunąć można kolumnę zawierającą zaznaczoną komórkę. Tabela może mieć do 12 kolumn.

Jeśli zaznaczysz pustą komórkę, nowy wiersz lub kolumna zostaną wstawione przed nią. Jeśli zaznaczysz obiekt, nowe wiersze lub kolumny zostaną wstawione przed pierwszą komórką zajmowaną przez obiekt. Jeśli nie zaznaczysz żadnej komórki ani obiektu, nowe wiersze lub kolumny zostaną wstawione na końcu tabeli.

Domyślnie wszystkie wiersze i komórki w tabeli układu strony mają tę samą szerokość i wysokość. Istnieje możliwość zmiany szerokości kolumny przez przeciągnięcie znaczników znajdujących się między kolumnami na dole tabeli.
- | Kliknij i przeciągnij znacznik, by zmienić szerokość kolumny. Podczas przeciągania znacznika, wyświetlana jest szerokość kolumny w pikselach i w procentach. Aby przeciągnąć znacznik szerokości kolumny z dokładnością do piksela, przytrzymaj wciśnięty klawisz CTRL. W przeciwnym wypadku krawędź będzie przesuwana około 10% dostępnej szerokości.
- | Kliknij znacznik szerokości kolumny prawym przyciskiem myszy i z menu kontekstowego wybierz polecenie Ustaw szerokość kolumny, aby móc określić szerokość kolumny w pikselach.
- | Kliknij znacznik szerokości kolumny prawym przyciskiem myszy i z menu kontekstowego wybierz polecenie Ustaw równą szerokość kolumn, aby wyrównać wszystkie kolumny.

Zagadnienia pokrewne:
- | Tworzenie stron
- | Obiekty dostępne do wstawienia na stronie
- | Model komórki w programie WebSite X5


Obiekty dostępne do wstawienia na stronie

Aby wstawić obiekt na stronę, zaznacz jego ikonę na liście dostępnych obiektów, przeciągnij go i upuść w komórce tabeli układu strony.

W tabeli układu strony można upuścić tylko jeden obiekt w jednej komórce, ale obiekt może zajmować kilka komórek, rozciągając się w pionie i w poziomie.
Przeciągnij ikonę obiektu tak, by wypadał na krawędzi między komórkami, a obiekt zajmie komórki sąsiadujące. Innym sposobem jest "rozciągnięcie" obiektu za pomocą uchwytów na jego obwodzie tak, by zajął kilka komórek.

Jeżeli obiekt zajmuje kilka komórek i postanowisz przeciągnąć go w inne miejsce na stronie, jego rozmiar jest minimalizowany tak, by nie powstał konflikt z obiektami w innych komórkach (pamiętaj: jedna komórka może zawierać tylko jeden obiekt). W pracy z tabela układu strony można używać klawiszy strzałek:
- | klawisze strzałek: zmieniają zaznaczoną komórkę w tabeli układu strony.
- | CTRL + klawisze strzałek: ta kombinacja klawiszy przesuwa zaznaczony obiekt z jednej komórki do drugiej (minimalizując jego rozmiar).
- | SHIFT + klawisze strzałek: ta kombinacja klawiszy zmienia rozmiar zaznaczonego obiekt, zmniejszając lub powiększając jego wielkość na sąsiednie komórki.

Kiedy klikniesz prawym przyciskiem myszy ikonę obiektu w komórce albo pustą komórkę, pojawi się menu kontekstowe z następującymi opcjami: Wytnij, Kopiuj, Wklej, Usuń, Styl komórki, Wstaw wiersz, Wstaw kolumnę, Usuń wiersz, Usuń kolumnę.
Za pomocą tych poleceń można na przykład skopiować obiekt z komórki i wkleić go do innej komórki albo na inną stronę. Można też usunąć obiekt wstawiony do komórki. Usunąć obiekt można także przeciągając go poza tabelę układu strony lub zaznaczając i naciskając klawisz DEL. Kiedy wstawi się obiekt do komórki zawierającej inny obiekt, ten poprzedni zostaje automatycznie usunięty i zastąpiony nowym. Jeśli przeciągniesz obiekt z jednej komórki do innej zawierającej już obiekt, obiekty zostaną zamienione miejscami.

Gdy w menu kontekstowym najedzie się na opcję Styl komórki, pojawi się podmenu z poleceniami Kopiuj i Wklej. Te polecenia służą do zastosowania ustawień zdefiniowanych w jednej komórce do innej komórki; ustawienia określa się w oknie Format komórki.

Kiedy wstawisz już obiekt do komórki, możesz określić jego zawartość: dwukrotnie kliknij komórkę zawierającą obiekt lub zaznacz obiekt i kliknij przycisk [image] Wstaw zawartość wybranego obiektu. Rodzaj okna, które zostanie otwarte zależy od obiektu, jaki był wstawiony w komórce. Może zostać otwarte jedno z okien: Tekst, Tabela, Obraz, Animacja Flash, Wideo/Dźwięk, Galeria obrazów, Formularz e-mail, Lista produktów, HTML i gadżety.

Nie wszystkie komórki tabeli układu strony muszą być wypełnione. Pamiętaj jednak, że puste komórki oznaczają puste miejsce na opublikowanej stronie.

Chcąc najlepiej wykorzystać możliwości układu strony, pamiętnej, że program działa w następujący sposób:
- | Szerokość strony jest zdeterminowana we wzorcu.
- | Szerokość kolumny w tabeli układu strony jest obliczana przez podzielenie szerokości strony na zadaną liczbę kolumn. Domyślnie wszystkie kolumny mają tę samą szerokość, ale można to zmienić.
- | Wszystkie komórki w jednym wierszu siatki układu strony mają tę samą wysokość. Wysokość wiersza jest równa wysokości największego obiektu w wierszu.
- | Rozmiar wstawianych obiektów jest dopasowywany automatycznie do rozmiaru komórek w tabeli układu strony.

Zagadnienia pokrewne:
- | Tworzenie stron
- | Tabela układu strony


Tekst

Tekst jest bardzo ważnym elementem treści strony internetowej. Poza obrazami, filmami, animacjami, większość treści stron stanowi tekst.

Pisanie tekstu do publikacji w sieci różni się od pisania do druku: Internet ma inną specyfikę, sposób wyświetlania tekstu (na ekranie komputera lub urządzenia przenośnego) determinuje sposób czytania (bardziej przypominający przeglądanie, niż uważne studiowanie tekstu) i potencjalnie istnieje nieograniczona liczba alternatyw (pomyśl tylko, ile witryn dotyczy tego samego tematu).

Aby przyciągnąć uwagę gościa witryny i zachęcić go do czytania, należy go przekonać, że ma się mu coś ważnego do zaoferowania - tekst musi być dedykowany publikacji elektronicznej. To, co piszesz musi być interesujące i na temat. Dziel tekst na krótkie zdania i akapity, żeby łatwiej go było czytać i objąć wzrokiem. Zwróć szczególną uwagę na formatowanie: używaj pogrubienia, kursywy, tytułów i podtytułów ostrożnie i z umiarem.

Goście chętniej odwiedzają witryny, które są schludnie wykończone: Nic tak nie zniechęca czytelnika do dalszego przeglądania witryny lub odwiedzenia jej ponownie, jak błędy w pisowni, nieciekawy układ graficzny, czy skomplikowany tekst.

W programie WebSite X5 tekst wpisuje się w wewnętrznym edytorze, gdzie można znaleźć wszystkie potrzebne narzędzia formatujące. Teksty napisane w innych programach można wstawić metodą kopiowania i wklejania.

Co należy zrobić?

Dwukrotnie kliknij obiekt tekstowy w tabeli układu strony, żeby otworzyć okno Tekst. Znajdziesz się we wbudowanym edytorze, gdzie możesz wpisać i sformatować tekst.

Edytor tekstowy wygląda tak:

W oknie można użyć następujących poleceń:

 Wytnij[CTRL+X] - Kopiuj [CTRL+C] - Wklej[CTRL+V]
Służą do wycinania, kopiowania i wklejania zaznaczonego tekstu. Wklejony tekst traci wszelkie formatowanie (pogrubienie, kursywę itd.), które było zastosowane w oryginalnym dokumencie.

Wklej specjalnie
Tej opcji użyj wtedy, gdy chcesz zachować oryginalne formatowanie wyciętego lub skopiowanego tekstu.

Za pomocą poleceń Wytnij, Kopiuj i Wklej możesz wstawiać tekst utworzony pierwotnie w innych edytorach.

Cofnij [CTRL+Z] - Powtórz [ALT+CAPSLOCK+BACKSPACE]
Pierwsze polecenie anuluje efekt ostatniego działania, a drugie przywraca działanie cofnięte.

Wstaw link [CTRL+L]
Ten przycisk otwiera okno dialogowe Link, gdzie można zdefiniować hiperłącze dla zaznaczonego tekstu lub słowa.

Wstaw obraz
Możesz wstawić w tekście obraz (w formacie .JPG, .GIF, .PNG lub .BMP). Obrazy wstawiane w tekście mają automatycznie zmieniany rozmiar z uwzględnieniem wielkości komórki tabeli układu strony. Jeśli chcesz zmienić wielkość obrazu, zaznacz go i przeciągnij uchwyty na jego brzegach. Z uwagi na specyfikę układu strony, lepiej jest wstawiać obrazy jako obiekty w oknie Obraz.

Włącz kod HTML
Kliknij ten przycisk, jeśli chcesz wstawić bezpośrednio na stronie kod HTML. Kiedy pracuje się w trybie HTML, znaki < i > nie są interpretowane jako symbole "większy nią" oraz 'większy niż" - każdy tekst ujęty w nawiasy kątowe traktowany jest jako tag kodu HTML.

Ustawienia przewijania
Zastosowanie tego efektu pozwala na przewijanie tekstu pola. Wszystkie ustawienia określa się w oknie dialogowym Przewijanie.

Dopasuj zawartość do szerokości komórki
Ta opcja pozwala widzieć, jak tekst będzie wyglądał po wstawieniu do komórki o określonej szerokości.

Tło jasne lub ciemne
Tu możesz wybrać, czy w oknie edytora tekst ma być wyświetlany na jasnym, czy na ciemnym tle. Ta opcja przydaje się przy pracy z tekstem na przykład wtedy, gdy tekst jest pisany białą czcionką.

Czcionka - Rozmiar czcionki
Tu możesz wybrać z listy rodzaj czcionki oraz określić rozmiar liter.

Na liście rozwijanej widoczne są wszystkie czcionki dostępne w komputerze. Jeśli wybierzesz czcionkę, która nie jest zainstalowana na komputerze gościa witryny, zostanie ona automatycznie zastąpiona inną, podobnie wyglądającą.

Pogrubienie [CTRL+B] - Kursywa [CTRL+I] - Podkreślenie [CTRL+U]
Zaznaczony tekst można pogrubić, pochylić albo podkreślić.

Kolor tekstu - Kolor tła tekstu
Z palety kolorów możesz wybrać kolor zaznaczonego tekstu oraz kolor tła zaznaczonego tekstu.

Lista punktowana
Ten przycisk włącza i wyłącza tryb tworzenia listy z punktorami.

Usuń wcięcie / Wcięcie
Za pomocą tych przycisków możesz zwiększyć lub zmniejszyć wcięcie akapitu.

Wyrównaj do lewej - Wyśrodkuj - Wyrównaj do prawej - Justuj
Zaznaczony tekst można wyrównać do lewej, wyśrodkować, wyrównać do prawej lub wyjustować.

Tekst po prawej - Domyślnie - Tekst po lewej
Te trzy opcje są aktywne, gdy w tekście wstawiony jest obraz. Możesz wybrać normalne usytuowanie obrazu, jak słowa w tekście (domyślnie), albo rozmieścić tekst wokół obrazu po prawej lub po lewej stronie.

Klikniecie prawym przyciskiem myszy wyświetla menu kontekstowe, w którym dostępne są polecenia Cofnij, Wytnij, Kopiuj, Wklej, Wklej specjalnie i Zaznacz wszystko.

Zagadnienia pokrewne:
- | Tabela układu strony
- | Dostępne obiekty
- | Wstaw link
- | Ustawienia przewijania


Ustawienia przewijania

To okno otwiera się przyciskiem [image] dostępnym w oknie edytoraTekst. W oknie tym określa się ustawienia efektu przewijania tekstu.
Najpierw trzeba zaznaczyć pole wyboru Włącz przewijanie, następnie w grupie Rodzaj określić sposób przewijania tekstu:

-

Przewijanie: Z listy można wybrać jeden z czterech możliwych kierunków przewijania tekstu. Może to być:

Brak - pokaż pasek przewijania: tekst nie jest przewijany, ale ponieważ wysokość komórki jest stała (patrz wartośćWysokość), gdy tylko okaże się, że nie jest ona wystarczająca do wyświetlenia całego tekstu, automatycznie pojawi się pasek przewijania.

Jeden raz: tekst przewijany jest w określonym kierunku aż do końca i zatrzymuje się.

Przewijaj ciągle: tekst przewijany jest w określonym kierunku aż do końca, a potem przeskakuje na początek i znów jest przewijany.

Przewijaj w tę i z powrotem: tekst przewijany jest w określonym kierunku aż do końca, a potem wraca w przeciwnym kierunku.

Przewijaj po kawałku: tekst jest podzielony na kawałki wyznaczone przez Wysokość i przewijany po kawałku. Przewijanie zaczyna się od pierwszego kawałka i po jakimś czasie, pojawia się następny kawałek. Takie przewijanie trwa aż do końca tekstu, a potem zaczyna się od początku. Ten efekt działa najlepiej, gdy tekst jest odpowiednio sformatowany i daje się podzielić na fragmenty równej wysokości.

-

Kierunek: Pozwala wybrać kierunek przewijania tekstu - Góra, Dół, Lewa lub Prawa.

W grupie Opcje znajdują się następujące ustawienia:
- | Efekt: dla wszystkich sposobów przewijania z wyjątkiem przewijania ciągłego możesz wybrać rodzaj ruchu Liniowy, Z cofaniem i Huśtawka.
- | Wysokość: tu podaj wysokość komórki zaweirającej tekst.
- | Czas (sek.): tu należy określić czas trwania efektu. Jeśli wybrane zostało przewijanie Jeden raz, Przewijanie ciągłe lub Przewijaj w tę i z powrotem, czas dotyczy wykonania całego efektu, zanim rozpocznie się od nowa. W wypadku Przewijaj po kawałku, czas określa wyświetlanie jednego kawałka, zanim zostanie wyświetlony następny.
- | Zatrzymaj po najechaniu myszą: przewijanie zostanie zatrzymane, po najechaniu na tekst wskaźnikiem myszy.

 Pole Wysokość jest dostępne tylko wtedy, gdy wybrany jest jeden z pionowych kierunków przewijania. (Góra lub Dół). Jeśli tekst przewijany jest w poziomie ( Prawa lub Lewa), efekt wygląda najlepiej wtedy, gdy tekst zajmuje całą wysokość wiersza tabeli układu strony.

Zagadnienia pokrewne:
- | Tekst
- | Tabela


Obraz

Obrazy są chyba najczęściej wstawianymi elementami na stronach internetowych. Stosowane są do przekazu jakiegoś pomysłu, zareklamowana produktu, przekazania informacji albo po prostu, żeby pokazać coś ładnego. Niezależnie od pobudek umieszczania obrazów, są one ważne, bo pomagają tworzyć ogólne wrażenie i przyciągają uwagę, są zatem istotne w profesjonalnej witrynie.

W programie WebSite X5 możesz wstawiać obrazy we wszystkich głównych znanych formatach, masz też do dyspozycji wbudowany edytor graficzny, w którym możesz dopracować zdjęcia: kadrować, obracać, robić korektę, ustawiać maski, filtry i ramki. Możesz też ze swoich obrazów robić niezwykłe panoramy i zbliżenia.

Twórcy programu WebSite X5 doskonale zdają sobie sprawę z problemu nieautoryzowanego kopiowania obrazów w Internecie. Dlatego wbudowany system pozwala chronić obrazy przed kopiowaniem oryginalnych plików, umożliwia oznaczenie ich znakiem wodnym i copyrightem.

 Jeśli planujesz zamieszczać w swojej witrynie obrazy wysokiej jakości, przejdź do panelu sterowania w my.websitex5.com: znajdziesz tam wybór 6 000 bezpłatnych obrazów.

Co należy zrobić?

Dwukrotnie kliknij obiekt obrazu w tabeli układu strony, żeby otworzyć okno Obraz. Tu możesz wybrać plik obrazu do wstawienia, zdefiniować jego właściwości, ustawić powiększenie i orientację, zdecydować, czy ma zostać umieszczony w pliku mapy witryny i jeśli tak, podać potrzebne informacje.

Opcje wstawiania obrazu są rozmieszczone na trzech kartach:
- | Ogólne
- | Wyświetlanie
- | Mapa witryny

Zagadnienia pokrewne:
- | Tabela układu strony
- | Dostępne obiekty
- | Wbudowany edytor grafiki


Obraz | Ogólne

Na karcie Ogólne okna dialogowego Obraz znajdują się opcje wstawiania i edycji obrazu.

W programie WebSite X5 możesz wykorzystywać wszystkie najważniejsze formaty (.JPG, .GIF, .PNG, .PSD, .BMP, .TIF, .DIB, .PCX, .RLE, .TGA, .WMF), wystarczy wybrać plik obrazu zapisany na komputerze albo gdzieś w Internecie.

Po prawej stronie w oknie Podgląd widać wstawiany obraz. Kliknięcie przycisku Edytuj znajdującego się poniżej podglądu otwiera okno wbudowanego edytora graficznego.

Dla wstawianego obrazu można określić wiele właściwości:

-

Tytuł: jest to nazwa nadawana obrazowi; w kodzie HTML strony pojawi się jako atrybut title tagu <img>.

-

Tekst alternatywny: jest to tekst, który zostanie wyświetlony, gdy z jakiegoś powodu nie można wyświetlić obrazu. Tekst alternatywny w kodzie HTML strony umieszczany jest w atrybucie alt tagu <img>.

Atrybuty Tytuł i Tekst alternatywny należy dobierać z rozwagą, ponieważ są one istotne dla dostępności strony i optymalizacji.

-

Link: obrazowi można przypisać hiperłącze. Kliknij przycisk [image] i w oknie dialogowym Link wybierz działanie, jakie ma być podjęte po kliknięciu obrazu oraz ustaw odpowiednie opcje.

-

Jakość: możesz wybrać jakość obrazu, jaka zostanie zachowana, gdy obraz będzie zapisany w formacie .JPG.
Wszystkie importowane obrazy są automatycznie konwertowane na format .JPG albo, jeśli włączona jest przezroczystość, na format .PNG. W wypadku plików .JPG wysoki współczynnik kompresji daje gorszą jakość obrazu.

Pliki graficzne najlepiej wstawiać w formatach .GIF lub .JPG. Wszystkie obrazy w formacie innym niż .JPG, .GIF lub .PNG są automatycznie konwertowane na .JPG zgodnie z podanym współczynnikiem kompresji. Wszystkie pliki obrazu większe niż komórka tabeli układu strony te, których obraz jest edytowany we wbudowanym edytorze graficznym są konwertowane na format .JPG (lub .PNG, jeśli włączona jest przeźroczystość dla obrazu).
W pozostałych wypadkach obraz jest kopiowany bez kompresji. To gwarantuje, że efekt przezroczystości zastosowany w plikach .GIF zostanie zachowany.

Na zakończenie możesz zaznaczyć pola wyboru w grupie Ochrona, co zapobiegnie nieuprawnionemu kopiowaniu obrazu:
- | Chroń obraz przed skopiowaniem: jeśli zaznaczysz tę opcję, goście witryny nie będą w stanie skopiować obrazu za pomocą polecenia Zapisz jako, gdyż nie będzie ono dostępne w menu kontekstowym przeglądarki. Obraz jest publikowany jako obiekt Flash i dlatego nie może być kopiowany i, co ważniejsze, nazwa pliku oryginalnego obrazu nie jest widoczna w kodzie HTML strony.
- | Wstaw znak wodny i copyright: ta opcja oferuje dalszą ochronę i, jeśli zostanie wybrana, na obrazie pojawia się znak wodny. Wstawiana jest informacja o prawie autorskim: tekst copyrightu zawiera nazwę Autor witryny z okna kroku 1. Ustawienia ogólne | Ogólne.

 Oto kilka słów na temat działania systemu ochrony obrazu:
- | Kiedy system ochrony jest aktywny, obrazy są publikowane jako obiekty Flash. To oznacza, że wartości Tytuł i Tekst alternatywny nie są podawane w kodzie HTML, zatem nie są wykorzystywane przy optymalizacji strony.
- | Aby zachować najlepszą wydajność systemu ochrony, chronione obrazy nie są uwzględniane w pliku mapy witryny. Gdyby były, goście witryny mogliby wyśledzić nazwę oryginalnego pliku obrazu w pliku XML mapy witryny, a następnie ściągnąć obraz.
- | Jeśli nie chcesz włączać systemu ochrony programu WebSite X5, ale chcesz w jakiś sposób chronić obraz przed kopiowaniem, możesz umieścić na obrazie znak wodny korzystając z wbudowanego edytora grafiki.

Zagadnienia pokrewne:
- | Obraz
- | Edytor obrazów


Obraz | Wyświetlanie

Na karcie Wyświetlanie okna Obraz możesz zdefiniować ustawienia panoramowania obrazu z powiększeniem i efektami ruchu.

Oto wybór opcji:

 Automatycznie zmień rozmiar obrazu: ta opcja jest domyślnie aktywna. Rozmiar obrazu jest automatycznie dostosowywany do wielkości komórki w tabeli układu strony, gdzie został wstawiony.

Powiększony obraz przesuwaj ręcznie: jeśli wybierzesz tę opcję, możesz kliknięciem powiększyć obraz. Maksymalny rozmiar obrazu jest określony przez powiększenie. Powiększony obraz możesz przesuwać tak, by widoczny był interesujący fragment. Kliknij obraz i przeciągaj, aż uzyskasz właściwe położenie.
Aby uzyskać ten efekt, obraz jest najpierw zmniejszany do rozmiaru komórki tabeli układu strony, a następnie powiększany zgodnie z podanym współczynnikiem Maks. powiększenie (jeśli jako Rodzaj przesuwania wybierzesz Ruch dowolny) lub proporcjonalnie do wysokości komórki (jeśli jako Rodzaj przesuwania wybierzesz Panorama pozioma lub Panorama pionowa). Wynikowy obraz będzie większy niż obszar wyświetlania i będzie można go przesuwać uwidaczniając poszczególne fragmenty.

Powiększony obraz przesuwaj automatycznie: jest to prawie taka sama opcja, jak poprzednia, z wyjątkiem sposobu przesuwania obrazu - tu wystarczy najechać wskaźnikiem mysz na krawędź obrazu.

Kiedy wybierzesz opcję Powiększony obraz przesuwaj ręcznie lub Powiększony obraz przesuwaj automatycznie możesz określić ustawienia powiększenia:

-

Rodzaj przesuwania: tu możesz określić, w jakim kierunku obraz będzie przesuwany ręcznie lub automatycznie.

-

Ruch dowolny obraz można przesuwać zarówno w pionie, jak i w poziomie. Określ wartość Maks. powiększenie: na przykład współczynnik 200% spowoduje wyświetlenie obrazu dwa razy większego niż w oryginale.

przed ... | ... po

-

Panorama pozioma: obraz można przesuwać w poziomie. Ten efekt wygląda najlepiej, gdy szerokość obrazu jest dużo większa od wysokości. W pole Wysokość wpisz w pikselach wysokość obrazu.

przed ... | ... po

-

Panorama pionowa obraz można przesuwać w pionie. Ten efekt wygląda najlepiej, gdy wysokość obrazu jest dużo większa od szerokości. Wartość Wysokość określa wyrażoną w pikselach wysokość, jaka ma zostać zachowana dla komórki tabeli układu strony.

przed ... | ... po

-

Maks. powiększenie: ta opcja jest dostępna tylko dla rodzaju przesuwania Ruch dowolny. Możesz ustawić takie powiększenie obrazu, żeby był większy od dostępnego obszaru. Jeśli obraz nie będzie powiększony, nie będzie potrzeby przesuwania go.

-

Wysokość: ta opcja jest dostępna dla rodzaju przesuwania Panorama pozioma oraz Panorama pionowa. W pierwszym wypadku możesz określić wysokość obrazu (w pikselach), a w drugim wysokość komórki tabeli układu strony, do której został wstawiony obraz.

-

Włącz powiększenie obrazu: ta opcja jest domyślnie aktywna. Obraz można kliknięciem powiększyć lub zmniejszyć. Zaraz po otwarciu strony obraz jest wyświetlany w swoim oryginalnym rozmiarze, a ikona w jego prawym dolnym rogu sugeruje, że można go powiększyć. Kliknięcie obrazu myszą powiększa go o określony współczynnik.

-

Pokaż pasek powiększenia: ta opcja jest dostępna tylko wtedy, gdy zaznaczone jest pole wyboru Włącz powiększenie obrazu. W oknie obrazu można wyświetlić pasek powiększenia, który pozwala użytkownikowi regulować powiększenie za pomocą suwaka.

-

Pokaż nawigację: jeśli zaznaczysz to pole wyboru, użytkownik będzie widział małe okno wewnątrz obrazu, a w nim miniaturę samego obrazu. To jest właśnie okienko nawigacji. Na miniaturze widać cały obraz z podświetlonym detalem aktualnie wyświetlanym w polu obrazu.
Można wtedy podjąć jedno z następujących działań:
- | Kliknięcie pola i przeciągnięcie go w nowe położenie. To daje taki sam efekt, co ręczne przesuwanie obrazu.
- | Klikniecie miniatury nawigatora poza podświetlonym detalem powoduje wyświetlenie innego powiększonego fragmentu.
- | Kliknięcie prawego dolnego rogu nawigatora i przeciągnięcie go powoduje zmianę wielkości nawigatora.
Kiedy przeciągniesz myszą poza oknem obrazu, nawigator zniknie za najbliższą krawędzią.

-

Włącz automatyczne przesunięcie ciągłe: jeśli zaznaczysz tę opcję, obraz będzie przesuwany w oknie wyświetlania w sposób ciągły. To daje gościowi witryny sugestie, że można zobaczyć więcej i że obraz można powiększyć. Gość może przejąć kontrolę nad przesuwaniem obrazu zbliżając wskaźnik myszy do krawędzi obrazu. Jedno kliknięcie powiększa obraz, a drugie przywraca mu oryginalną wielkość.

Zagadnienia pokrewne:
- | Obraz
- | Edytor obrazów


Obraz | Mapa witryny

Opcje dostępne na karcie Mapa witryny okna Obraz służą do podawania na temat obrazu dodatkowych informacji, które będą umieszczone w pliku SiteMap witryny.

Najpierw zaznacz pole wyboru Dodaj obraz do pliku mapy witryny. Informacje o obrazie zostaną dodane do pliku SiteMap, który program WebSite X5 generuje automatycznie (patrz Automatycznie twórz plik mapy witryny w kroku 1. Ustawienia ogólne | Zaawansowane). Następnie można zdefiniować następujące ustawienia:
- | Tytuł: możesz zatytułować obraz (opcjonalne).
- | Nagłówek: możesz patrzeć obraz nagłówkiem lub krótkim opisem (opcjonalne).
- | Położenie geograficzne: możesz podać informacje identyfikujące obraz, takie jak adres, miasto, kraj (opcjonalne).
- | Adres URL licencji: możesz podać adres URL, gdzie można znaleźć plik zawierający licencję dotyczącą obrazu (opcjonalnie).

 Obrazy zabezpieczone przed nieuprawnionym kopiowaniem nie mogą być dodawane do pliku SiteMap (patrz, grupa opcji Ochrona w oknie Obraz | Ogólne).

Zagadnienia pokrewne:
- | Obraz
- | Edytor obrazów
- | Jak utworzyć link do pliku SiteMap witryny?


Table Object

Tabela

Tabele doskonale nadają się do prezentowania zorganizowanych danych.

Dane w tabeli są łatwiejsze do odczytania niż dane podane w długim nudnym tekście. Jeśli na przykład chcesz podać listę cen pokoi hotelowych i zestawić ich koszt w poszczególnych porach rodu, zestawienie ich w tabeli jest o wiele czytelniejsze niż w ciągłym tekście podającym takie same informacje.

W tabelach można umieszczać elementy graficzne przełamujące monotonię długiego tekstu, dzięki którym strona jest bardziej atrakcyjnie.

Jeśli postanowisz zaprezentować swoje dane w tabeli, zastanów się, czy jej struktura nie będzie zbyt skomplikowana - dane muszą być czytelne i logiczne, a tabela łatwa do odczytania i ciekawa.

Co należy zrobić?

Dwukrotnie kliknij obiekt tabeli w tabeli układu strony, żeby otworzyć okno Tabela. W oknie tym znajduje się edytor pozwalający zbudować tabelę.

Domyślna tabela składa się z dwóch wierszy i trzech kolumn i zajmuje całą szerokość komórki, do której została wstawiona. Wiersze i kolumny można wstawiać, usuwać, zmieniać ich rozmiar, scalać i dzielić komórki zależnie od potrzeb.

W oknie można użyć następujących poleceń:

 Wytnij[CTRL+X] - Kopiuj [CTRL+C] - Wklej[CTRL+V]
Służą do wycinania, kopiowania i wklejania zaznaczonego tekstu. Wklejony tekst traci wszelkie formatowanie (pogrubienie, kursywę itd.), które było zastosowane w oryginalnym tekście.

Wklej specjalnie
Tej opcji użyj wtedy, gdy chcesz zachować oryginalne formatowanie wyciętego lub skopiowanego do tabeli tekstu.

Cofnij [CTRL+Z] - Powtórz [ALT+CAPSLOCK+BACKSPACE]
Pierwsze polecenie anuluje efekt ostatniego działania, a drugie przywraca działanie cofnięte.

Wstaw link [CTRL+L]
Ten przycisk otwiera okno dialogowe Link, gdzie można zdefiniować hiperłącze dla zaznaczonego tekstu lub słowa albo do obrazu.

Wstaw obraz
Możesz wstawić do tabeli obraz (w formacie .JPG, .GIF, .PNG lub .BMP). Jeśli obraz wymaga zmniejszenia, zaznacz go i przeciągnij uchwyty wokół niego.

Włącz kod HTML
Kliknij ten przycisk, jeśli chcesz wstawić kod HTML bezpośrednio w tabeli. Kiedy pracuje się w trybie HTML, znaki < i > nie są interpretowane jako symbole "większy nią" oraz "większy niż" - każdy tekst ujęty w nawiasy kątowe traktowany jest jako tag kodu HTML.

Ustawienia przewijania
Zastosowanie tego efektu pozwala na przewijanie tekstu. Wszystkie ustawienia określa się w oknie dialogowym Przewijanie.

Tło jasne lub ciemne
Tu możesz wybrać, czy w oknie edytora tabeli tekst ma być wyświetlany na jasnym, czy na ciemnym tle. Ta opcja przydaje się na przykład wtedy, gdy tekst jest pisany białą czcionką.

Wstaw wiersz / Usuń wiersz / Wstaw kolumnę / Usuń kolumnę
Możesz wstawić nową kolumnę na prawo od tej, w której znajduje się kursor, lub nowy wiersz poniżej bieżącego, albo usunąć bieżącą kolumnę lub wiersz.

Scal komórki - Podziel komórki
Możesz połączyć sąsiadujące komórki w jedną albo podzielić komórkę na dwie sąsiadujące w poziomie.

Czcionka - Rozmiar czcionki
Tu możesz wybrać z listy rodzaj czcionki oraz określić rozmiar liter.

Na liście rozwijanej widoczne są wszystkie czcionki dostępne w komputerze. Jeśli wybierzesz czcionkę, która nie jest zainstalowana na komputerze gościa witryny, zostanie ona automatycznie zastąpiona inną, podobnie wyglądającą.

Pogrubienie [CTRL+B] - Kursywa [CTRL+I] - Podkreślenie [CTRL+U]
Zaznaczony tekst można pogrubić, pochylić albo podkreślić.

Kolor tekstu - Kolor tła tekstu
Z palety kolorów możesz wybrać kolor zaznaczonego tekstu oraz kolor tła zaznaczonej komórki.

Kolor krawędzi komórki
W oknie dialogowym możesz wybrać styl krawędzi bieżącej komórki. Należy określić kolor i grubość krawędzi kolumn i wierszy.

Lista punktowana
Ten przycisk włącza i wyłącza tryb tworzenia listy z punktorami.

Wyrównaj do lewej - Wyśrodkuj - Wyrównaj do prawej - Justuj
Tekst można wyrównać do lewej, wyśrodkować, wyrównać do prawej lub wyjustować.

Tekst po prawej - Domyślnie - Tekst po lewej
Te trzy opcje są aktywne, gdy w komórce wstawiony jest obraz. Możesz wybrać normalne usytuowanie obrazu, jak słowa w tekście (domyślnie), albo rozmieścić tekst wokół obrazu po prawej lub po lewej stronie.

Wyrównaj do góry - Wyrównaj do środka - Wyrównaj do dołu
Możesz wybrać wyrównanie treści komórki w pionie - do góry, na środku lub do dołu.

Klikniecie prawym przyciskiem myszy wyświetla menu kontekstowe, w którym dostępne są polecenia Cofnij, Wytnij, Kopiuj, Wklej, Wklej specjalnie i Zaznacz wszystko oraz dwa dodatkowe polecenia:

-

Wysokość wiersza
Możesz określić wysokość wiersza wyrażoną w pikselach. Wartość 0 powoduje, że wiersz będzie miał minimalną wysokość potrzebną do wyświetlenia jego zawartości.

-

Szerokość kolumny
Możesz określić szerokość kolumny wyrażoną w pikselach.

Rozmiar wierszy i kolumn pojedynczej komórki można zmieniać, przeciągając krawędzie za pomocą myszy (przy wciśniętym jej lewym klawiszu). Aby zmiana szerokości miała wpływ tylko na jedną komórkę, jej zawartość musi być zaznaczona.

Tabela nie zawierająca żadnego tekstu nie jest wyświetlana.

Zagadnienia pokrewne:
- | Tabela układu strony
- | Dostępne obiekty
- | Wstaw link
- | Ustawienia przewijania


Animacja Flash

Program WebSite X5 obsługuje rozmaite rodzaje animacji i efektów specjalnych, dzięki którym twoja witryna zyskuje na atrakcyjności.

W witrynie można umieścić każdy rodzaj animacji (w formacie SWF) od prostych banerów z tekstem i obrazem do skomplikowanych interaktywnych filmików zapisanych na lokalnym komputerze albo publikowanych już w Internecie.

Wszystkie pliki potrzebne do prawidłowego wyświetlania animacji można podać na karcie Zaawansowane.

Co należy zrobić?

Dwukrotnie kliknij obiekt animacji Flash w tabeli układu strony, żeby otworzyć okno Animacja Flash. Tu możesz podać nazwę pliku do wstawienia na stronie, zdefiniować właściwości animacji i dodać dołączone do niej pliki.

Polecenia do pracy z animacją Flash rozmieszczone są na dwóch kartach:
- | Ogólne
- | Zaawansowane

Zagadnienia pokrewne:
- | Tabela układu strony
- | Dostępne obiekty


Animacja Flash | Ogólne

Za pomocą opcji na karcie Ogólne okna Animacja Flash możesz wybrać plik animacji do wstawienia.

Plik animacji Flash może być zapisany na lokalnym komputerze albo może być pobrany z Internetu. Jeśli plik znajduje się na twoim komputerze, wybierz opcję Plik lokalny na komputerze: kliknij przycisk [image] i przeszukaj dostępne pliki SWF. Jeśli plik ma być pobrany z Internetu, wybierz opcję Plik internetowy i wpisz adres d miejsca, gdzie jest zapisany.

Zaznacz pole wyboru Podgląd, żeby móc zobaczyć animację.

 Aby obejrzeć na swoim komputerze animacje Flash, dotyczy to także podglądu, trzeba mieć zainstalowany program Macromedia Flash Player.

Dla wstawionej animacji należy określić następujące Właściwości:
- | Tekst alternatywny: wpisz tekst, który będzie wyświetlony, jeśli z jakiś powodów animacja nie będzie mogła być odtworzona.
- | Szerokość: podaj w pikselach szerokość okienka animacji Flash. Maksymalna dopuszczalna szerokość jest podana w nawiasach i zależy od ustawień tabeli układu strony.
- | Wysokość: podaj w pikselach wysokość okienka animacji Flash.
- | Wersja prog. Player: określ, którą wersję programu Flash Player musi mieć użytkownik, żeby móc odtworzyć animację. Jeśli użytkownik nie będzie miał właściwej wersji, zostanie wyświetlone żądanie aktualizacji programu.
- | Przezroczyste tło: zaznacz tę opcję, jeśli chcesz, żeby animacja miała przezroczyste tło.

Zagadnienia pokrewne:

-

Animacja Flash


Animacja Flash | Zaawansowane

Na karcie Zaawansowane okna Animacja Flash można podać listę plików, które są potrzebne do prawidłowego wyświetlania animacji Flash.

Wszystkie pliki dołączone do animacji są wymienione w tabeli. Podana jest nazwa dołączonego pliku i Względna ścieżka dostępu na serwerze.

Dołączonych plików dotyczą następujące polecenia:
- | Dodaj: możesz dodać do listy nowy plik korzystając z okna dialogowego Ładowanie dołączonego pliku.
- | Edytuj: możesz zmienić ustawienia zaznaczonego na liście pliku, korzystając z okna dialogowego Ładowanie dołączonego pliku.
- | Usuń: możesz usunąć z listy zaznaczony plik.

Dostępna jest też opcja:

-

Ścieżka dostępu do aktualizacji pliku Flash: możesz podać ścieżkę dostępu do folderu, do którego ładowany jest plik SWF animacji Flash.

Zagadnienia pokrewne:

-

Animacja Flash


Filmy i dźwięk

W programie WebSite X5 możesz wprowadzić do swojej witryny ruchomy obraz i dźwięk.

Dla filmów jest teraz istne Eldorado: prawie każdy może nagrać film, skopiować go do komputera, poddać obróbce i opublikować w Internecie. Dzięki programowi WebSite X5 udostępnienie filmików gościom swojej witryny jest bardzo łatwe. Program obsługuje wszystkie najbardziej powszechne formaty i ma wbudowany odtwarzacz plików FLV i MP4. Filmy można załadować ze swojego lokalnego komputera albo pobrać z takich portali jak YouTube czy Vimeo.

Co należy zrobić?
Dwukrotnie kliknij w tabeli układu strony obiekt Filmy i dźwięk, żeby otworzyć okno Wideo/Dźwięk. Tu możesz wybrać plik do wstawienia, zdefiniować jego właściwości i zdecydować, czy ma zostać umieszczony w pliku mapy witryny i jeśli tak, podać potrzebne informacje.

Narzędzia służące do umieszczania na stronie filmów i dźwięku są rozmieszczone na kartach:
- | Ogólne
- | Mapa witryny

Zagadnienia pokrewne:
- | Tabela układu strony
- | Dostępne obiekty


Filmy i dźwięk | Ogólne

Za pomocą narzędzi na karcie Ogólne okna Wideo/Dźwięk można wybrać plik filmowy lub dźwiękowy i określić, jak ma być odtwarzany.

Sposób wstawienia obiektu zależy od tego, gdzie zapisany jest plik do wstawienia na stronę:

-

Plik lokalny na komputerze: jeśli wybierzesz tę opcję, dwukrotnie kliknij przycisk [image] i znajdź plik na swoim komputerze. Musi być zapisany w jednym z następujących formatów: .MP4, .FLV, .AVI, .WMV, .MPG, .MOV, .MP3, .WMA, .WAV, .MID, .AIF, .M4A.

-

Plik internetowy: jeśli wybierzesz tę opcję, podaj adres URL, gdzie plik wideo lub dźwiękowy dostępny jest online.

-

Adres URL wideo na YouTube Video lub Vimeo:jeśli wybierzesz tę opcję, podaj adres URL, gdzie plik wideo lub dźwiękowy dostępny jest na portalu YouTube lub Vimeo.

Jeśli wstawisz wideo z portalu YouTube w opisany wyżej sposób, wielkość okienka odtwarzania zostanie dostosowana do ustawień programu WebSite X5. Jeśli chcesz uzyskać oryginalny rozmiar, musisz zaimportować plik jako obiekt HTML i gadżety, zamiast Filmy i dźwięk.

Zaznaczenie pola wyboru Podgląd umożliwia obejrzenie filmu.

Do odtwarzania różnych formatów audio i wideo służą różne odtwarzacze:

Odtwarzacz | Pliki wideo | Pliki audio
WebSite X5 Media Player: | .MP4 i .FLV | .MP3
Microsoft Windows Media Player: | .AVI, .WMV i .MPG | .WAV i .WMA
QuickTime Player: | .MOV i .AIF | .M4A

Niezależnie od tego, który odtwarzacz zostanie użyty, należy określić następujące właściwości:
- | Tekst alternatywny: wpisz tekst, który będzie wyświetlony, jeśli z jakiś powodów film lub dźwięk nie będzie mógł być odtworzony.
- | Szerokość: podaj w pikselach szerokość paska nawigacji wideo lub audio. Maksymalna dopuszczalna szerokość jest podana w nawiasach i zależy od ustawień tabeli układu strony.
- | Wysokość: podaj w pikselach wysokość paska nawigacji wideo lub audio. Największą dopuszczalną wartością dla paska nawigacji audio jest, jak podane jest w nawiasie, 35 pikseli. Najmniejszą 15 pikseli.
- | Pokaż pasek nawigacji: możesz wyświetlić pasek nawigacji ze wszystkimi przyciskami potrzebnymi do odtwarzania filmu i dźwięku.
- | Autoodtwarzanie: jeśli zaznaczysz to pole wyboru, odtwarzanie pliku audio/wideo rozpocznie się automatycznie.

Dla plików odtwarzanych w WebSite X5 Media Player możesz określić ponadto następujące właściwości:
- | Włącz na podgląd pełnoekranowy: na pasku nawigacji będzie dostępny przycisk podglądu pełnoekranowego.
- | Automatycznie ukryj pasek nawigacji: pasek nawigacji będzie widoczny tylko wtedy, gdy wskaźnik myszy będzie w oknie odtwarzania.
- | Kolor paska nawigacji: możesz z palety kolorów wybrać kolor paska nawigacji.

Zagadnienia pokrewne:

-

Filmy i dźwięk


Filmy i dźwięk | Mapa witryny

Opcje na karcie Mapa witryny okna Wideo/Dźwięk służą do umieszczania w pliku SiteMap dodatkowych informacji na temat filmu.

Przede wszystkim zaznacz pole wyboru Wstaw wideo do pliku mapy witryny. Kiedy WebSite X5 tworzy plik SiteMap (patrz Automatycznie twórz plik mapy witryny w oknie Ustawienia ogólne | Zaawansowane) zostaną w nim zamieszczone także informacje o pliku wideo. Następnie podaj następujące informacje:
- | Tytuł: podanie tytułu jest obowiązkowe. Film musi mieć tytuł. Google pozwala na tytuły do 100 znaków.
- | Nagłówek: nagłówek także musi być wpisany. Musisz podać krótki opis filmu. Google akceptuje opisy do 2048 znaków; dłuższe są obcinane.
- | Kategoria: podanie kategorii nie jest obowiązkowe. Możesz tu podać kategorię filmu. Google pozwala, by film należał tylko do jednej kategorii, której nazwa nie może przekraczać 256 znaków.
- | Słowa kluczowe: podanie słów kluczowych nie jest obowiązkowe. Możesz tu podać listę tagów (krótkich haseł opisujących najważniejsze cechy filmu). Google pozwala, by film miał do 32 tagów.
- | Stopklatka z filmu: stopklatka musi być określona. Musisz wybrać jeden obraz reprezentujący film. Google sugeruje, że powinna to być miniatura 120x90 pikseli w formacie .JPG, .PNG lub .GIF.
- | Data publikacji:podanie daty nie jest obowiązkowe. Możesz tu podać datę publikacji filmu.
- | Czas (sek.):podanie czasu nie jest obowiązkowe. Jest to czas trwania filmu. Google stanowczo zaleca podanie tej informacji; może to być wartość od 0 do 28800 (co odpowiada 8 godzinom).
- | Treść odpowiednia dla każdego:zaznaczenie tego pola nie jest obowiązkowe. Możesz zdecydować, czy treść filmu jest stosowna dla młodych gości witryny. Google ostrzega, że jeśli film nie zostanie oznaczony jako odpowiedni dla młodzieży, będą go mogli zobaczyć tylko użytkownicy, którzy mają wyłączony filtr SafeSearch. Filtr SafeSearch Google filtruje witryny i usuwa z wyników wyszukiwania filmy o treściach pornograficznych.

Zagadnienia pokrewne:
- | Filmy i dźwięk
- | Jak utworzyć link do pliku SiteMap witryny?


Galeria obrazów

Aparaty cyfrowe i serwisy internetowe są dziś rzeczą tak powszechną, że opublikowanie własnej kolekcji zdjęć jest dziś dziecinnie łatwe.
Możesz opublikować swój album rodzinny i cieszyć się nim z rodziną i znajomymi mieszkającymi nawet bardzo daleko. Możesz też stworzyć album lub katalog o swoim hobby lub pracy.

W programie WebSite X5 możesz zrobić niesamowitą galerię prezentującą nie tylko twoje fotografie, ale także własne filmy. Galerie są zapisywane w formacie Flash lub JavaScript i różnią się sposobem wyświetlania i nawigacji. To znaczy przyciski nawigacji i miniatury są wyświetlane w różny sposób.

Galerie JavaScript i galerie Flash różnią się nie tylko zastosowaną technologią, ale przede wszystkim sposobem wykorzystania pola pokazu, gdzie wyświetlany jest powiększony obraz. Kiedy użytkownik kliknie miniaturę, odpowiadający jej obraz lub film zostaje wyświetlony w oknie zajmującym całą stronę. Kiedy wskaźnik myszy znajdzie się nad obrazem, pojawiają się przyciski następny/poprzedni bez konieczności wracania do miniatur.

Wygląd pola pokazu można modyfikować. Na karcie Style i modele | Pole pokazu okna Krok 4 - Ustawienia zaawansowane znajdują się opcje pozwalające określić między innymi kolor, przezroczystość, cień i efekty przejścia.

Co należy zrobić?

Dwukrotnie kliknij obiekt galerii w tabeli układu strony, żeby otworzyć okno Galeria obrazów. Tu możesz wybrać rodzaj galerii, jaką chcesz utworzyć w formacie Flash lub JavaScript, ustalić listę obrazów i filmów wykorzystanych w galerii, zdefiniować ustawienia poszczególnych z nich i jeśli chcesz, zmienić grafikę miniatur.

Opcje tworzenia galerii są rozmieszczone na trzech kartach:
- | Styl
- | Lista
- | Miniatury

 Galerie w formacie JavaScript można otwierać za pomocą hiperłączy umieszczonych na stronie. Więcej informacji znajdziesz pod hasłem Link.

Zagadnienia pokrewne:
- | Tabela układu strony
- | Dostępne obiekty
- | Style i modele | Pole pokazu


Galeria obrazów | Styl

Na karcie Styl okna Galeria obrazów można zdecydować, jaką galerię wstawić na stronie i zdefiniować jej ustawienia.

Program WebSite X5 daje do wyboru dwa rodzaje galerii: galerię Flash i galerię JavaScript.

Wśród galerii Flash dostępne są:
- | Klasyczny pokaz slajdów W takiej galerii obrazy i filmy są prezentowane jeden po drugim w prostokątnym polu. Sposób wyświetlania obrazów lub filmów zależy od ustawień: możesz wybrać efekty przejścia i powiększenie. Możesz też kontrolować wyświetlanie sekwencji obrazów za pomocą przycisków. Możesz wyświetlić miniatury na pasku nawigacji, tak że użytkownik będzie sam powiększać interesujące go obrazy lub wyświetlać filmy.
- | Galeria pozioma W takiej galerii wyświetlana jest pozioma seria miniatur powyżej lub poniżej powiększonego obrazu. Przesunięcie wskaźnika myszy nad miniaturami powoduje ich przewijanie w prawo lub w lewo. Kliknięcie miniatury powoduje wyświetlenie powiększonego obrazu lub filmu. Powiększone obrazy pojawiają się na ekranie zgodnie z poczynionymi ustawieniami.
- | Galeria pionowa Ta galeria zachowuje się tak samo, jak opisana powyżej, z tą różnicą, że miniatury wyświetlone są w pionie albo po lewej stronie powiększonego obrazu albo po prawej.

Wśród galerii JavaScript dostępne są:
- | Miniatury W takiej galerii widoczne są same miniatury. Kliknięcie miniatury powoduje wyświetlenie pełnego obrazu lub filmu "na wierzchu" ekranu w polu pokazu.
- | Po kilka miniatur w ramce Ten rodzaj galerii jest bardzo podobny do poprzedniego, przy czym jeśli w galerii jest bardzo dużo obrazów, można je podzielić na ramki i określić ile wierszy miniatur może być wyświetlanych jednocześnie. Pasek nawigacji pozwala użytkownikowi przechodzić z ramki do ramki, pozostając na tej samej stronie.
- | Miniatury poziomo Tę galerię tworzy poziomy wiersz miniatur. Kliknięcie miniatury powoduje wyświetlenie powiększonego obrazu lub filmu w polu pokazu.
- | Miniatury pionowo Ta galeria jest bardzo podobna do poprzedniej, tylko że miniatury są wyświetlane w pojedynczej pionowej kolumnie.

Dokładne ustawienia zależą od rodzaju wybranej galerii.

Poniższe ustawienia są dostępne dla galerii Flash:
 |  | Klasyczny pokaz slajdów | Galeria pozioma | Galeria pionowa
- | Szerokość: możesz określić w pikselach największą szerokość obrazu. | Tak | Tak | Tak
- | Wysokość: możesz określić w pikselach największą wysokość obrazu. | Tak | Tak | Tak
- | Pokaż miniatury na pasku nawigacji:ta opcja jest domyślnie aktywna. Na pasku nawigacji (pojawiającym się po najechaniu myszą) widoczne są przyciski i wszystkie miniatury. Użytkownik sam wybiera, który obraz lub film chce obejrzeć - nie musi oglądać ich wszystkich po kolei. | Tak | Nie | Nie
- | Widocznych miniatur: określ liczbę miniatur wyświetlanych obok powiększonego obrazu. | Nie | Tak | Tak
- | Położenie miniatur: możesz wybrać, po której stronie powiększonego obrazu mają być wyświetlone miniatury. | Nie | Tak | Tak

Ponadto poniższe ustawienia są dostępne dla galerii Flash:
- | Pokaż pasek nawigacji: ta opcja jest domyślnie aktywna. Możesz zdecydować, że pasek nawigacji będzie widoczny tylko po najechaniu na obraz myszą. Użytkownik może używać przycisków na pasku nawigacji do przeglądania obrazów i filmów w galerii. Podstawowy pasek nawigacji ma trzy przyciski: Rozpocznij pokaz slajdów, [image] Poprzedni obraz i [image] Następny obraz.
- | Autoodtwarzanie: Pokaz slajdów prezentujący obrazy i filmy uruchamiany jest automatycznie zaraz po pojawieniu się galerii na ekranie.
- | Kolejność losowa: Obrazy i filmy mogą być prezentowane w kolejności losowej, a nie w kolejności określonej na liście.
- | Kolor paska nawigacji: możesz z palety kolorów wybrać kolor paska nawigacji.
- | Kolor tła: możesz wybrać z palety kolorów kolor tła galerii.
- | Rozmiar czcionki: tu możesz wybrać rozmiar czcionki, którą będzie wyświetlany opis powiększonego obrazu lub filmu.
- | Ścieżka dźwiękowa: możesz puścić podczas wyświetlania galerii podkład dźwiękowy (plik w formacie .MP3).

Oto ustawienia dla galerii JavaScript:
- | Widocznych miniatur: podaj, ile miniatur ma być widocznych jednocześnie.
- | Wierszy na stronie: zdecyduj, w ilu wierszach mają być ułozone miniatury w ramce. To ustawienie jest dostępne tylko dla galerii Po kilka miniatur w ramce.
- | Po kliknięciu wyświetl powiększony obraz w oknie pokazu: ta opcja jest domyślnie aktywna. Możesz ustawić hiperłącze wyświetlające obraz lub film w polu pokazu "na wierzchu" miniatur.
- | Szerokość/wysokość: tu możesz podać maksymalną szerokość i wysokość pola pokazu. To ustawienie jest dostępne tylko wtedy, gdy zaznaczone jest pole wyboru Po kliknięciu wyświetl powiększony obraz w oknie pokazu.

Zagadnienia pokrewne:
- | Galeria obrazów
- | Style i modele | Pole pokazu


Galeria obrazów | Lista

Opcje na karcie Lista okna Galeria obrazów pozwalają dobrać listę obrazów i filmów, które mają pojawić się w galerii.

Wszystkie pliki dotychczas wstawione do galerii pojawiają się na liście Nazwa pliku obrazu. Po zaznaczeniu pliku na liście widoczny jest jego podgląd.
Na liście podane są ścieżki dostępu do poszczególnych obrazów lub filmów, efekt przejścia przypisany do każdego z nich, fajką oznaczone są obrazy, którym przypisano hiperłącze, oraz opis.

Do tworzenia listy obrazów galerii służą następujące narzędzia:

-

Dodaj / Usuń: możesz wstawić lub usunąć plik z galerii. Dopuszczalne są pliki zapisane w następujących formatach: .JPG, .GIF, .PNG, .BMP, .PSD, .TIF, .DIB, .PCX, .RLE, .TGA, .WMF. W galerii można też umieścić filmy w formacie .FLV i .MP4. Kliknięcie strzałki po prawej stronie przycisku Dodaj wyświetla podmenu z poleceniami: Wstaw obraz, Wstaw film i Wstaw film YouTube/Vimeo.

W oknie, które pojawia się po kliknięciu polecenia Wstaw film YouTube/Vimeo możesz podać adres URL filmu opublikowanego na portalu YouTube lub Vimeo.

-

W górę / W dół: pozwala przesunąć zaznaczony obraz w górę lub w dół listy Nazwa pliku obrazu.

-

Edytuj: za pomocą wbudowanego edytora graciki możesz zmodyfikować obraz zaznaczony na liście.

W zależności od wybranego stylu galerii możesz ustawić dla każdego obrazu lub filmu wiele opcji (patrz Galeria obrazów | Styl).
- | Efekt: kliknięcie przycisku [image] otwiera okno dialogowe Właściwości efektu, gdzie można wybrać rodzaj efektu przejścia między obrazami w galerii oraz powiększenie i położenie. Efekty są widoczne tylko w galerii Flash. W galerii JavaScript wszystkie obrazy i filmy zmieniają się z efektem zanikania.
- | Link: kliknięcie przycisku [image] otwiera okno dialogowe Link. Można w nim określić działanie, jakie będzie podjęte po kliknięciu w galerii obrazu zaznaczonego na liście. W galeriach JavaScript link ustawiony w ten sposób zastępuje ten, który powiększa obraz nawet, jeśli zaznaczona jest opcja Po kliknięciu wyświetl powiększony obraz w oknie pokazu. W galeriach Flash możesz przypisywać hiperłącza także filmom.
- | Opis: tu możesz opisać obraz lub film zaznaczony na liście Nazwa pliku obrazu. Opis będzie widoczny na dole okna, w którym wyświetlany będzie powiększony obraz lub film.

Zagadnienia pokrewne:
- | Galeria obrazów
- | Edytor obrazów
- | Właściwości efektów


Galeria obrazów | Miniatury

Na karcie Miniatury okna Galeria obrazów znajdują się opcje pozwalające określić graficzny aspekt miniatur używanych w galerii.

Miniatura jest pomniejszoną wersją dużego obrazu lub stopklatką filmu umieszczonego w galerii i jest przez program generowana automatycznie. Miniatury są wyświetlane w ramce.

Żeby zdefiniować wygląd miniatur, trzeba zdecydować, czy wykorzystać:

-

Obraz domyślny: możesz wybrać gotową ramkę dla miniatur.

-

Obraz niestandardowy: możesz wczytać plik graficzny (w formacie .JPG, .GIF, .PNG, .BMP, .PSD, .TIF, .DIB, .PCX, .RLE, .TGA lub .WPG), który będzie zawierał ramkę.

Jeśli zdecydujesz się stworzyć nową ramką, przygotuj ją i zapisz w odpowiednim pliku (formaty podano powyżej). Ramki powinny być prostokątne i jeśli chcesz zachować przezroczystość, zapisz plik w formacie .PNG.

Dla miniatur dostępne są też następujące opcje:

-

Margines zewnętrzny (%): możesz określić procentowo margines między obrazkiem miniatury a ramką miniatur.

-

Włącz nasycenie obrazu kolorem: jeśli ta opcja zostanie zaznaczona, możesz wybrać kolor nasycenia ramki miniatury kolorem wybranym z palety kolorów. Nasycenie kolorem stosuje się w celu uzyskania odpowiedniej kolorystyki ramek.

Nasycenie kolorem nie ma wpływu na ramki białe i czarne.

Zagadnienia pokrewne:

-

Galeria obrazów


Formularz e-mail

Kiedy surfuje się po Internecie, często spotyka się strony, na których gość proszony jest o wypełnienie formularza, który potem jest wysyłany w postaci wiadomości e-mail do właściciela witryny. W takim formularzu może być żądanie zarejestrowania, zalogowania się hasłem w celu uzyskania dostępu do strefy użytkownika albo po prostu prośba o podanie danych do badania rynkowego.

Niezależnie celu umieszczenia formularza w witrynie, jego utworzenie w programie WebSite X5 jest bardzo łatwe. Należy określić pola potrzebne w formularzu, zdefiniować o ich rozmieszczeniu oraz wyglądzie i, co najważniejsze zdecydować, jak dane będą gromadzone i kto je otrzyma.

Co należy zrobić?

Dwukrotnie kliknij obiekt formularza e-mail w tabeli układu strony, żeby otworzyć okno Formularz e-mail. Musisz zdecydować, jakie pola ma zawierać formularz, wybrać szatę graficzną i określić, w jaki sposób dane formularza będą odesłane i do kogo.

Opcje służące do tworzenia formularza e-mail są rozmieszczone na trzech kartach:
- | Lista
- | Wysyłanie
- | Styl

 Kiedy będziesz testować witrynę na swoim komputerze, pojawi się komunikat z ostrzeżeniem, że zebrane dane nie zostaną na razie wysłane. Formularz e-mail zacznie działać w pełni dopiero po opublikowaniu strony na serwerze.

Formularze e-mail działają poprawnie tylko na serwerach obsługujących język PHP i gdy aktywne jest polecenie MAIL. Takie informacje można uzyskać w Panelu sterowania, wybierając opcję WebSite test.

Jeśli podczas wysyłania wiadomości z formularza e-mail pojawią się problemy, może się okazać, że serwer ma niestandardową konfigurację. Spróbuj wtedy w oknie Preferencje zmienić ustawienia skryptu i ustawienia wysyłania wiadomości e-mail . Więcej informacji uzyskasz u swojego dostawcy przestrzeni dyskowej na serwerze.

Zagadnienia pokrewne:
- | Tabela układu strony
- | Dostępne obiekty
- | Panel sterowania
- | Preferencje


Formularz e-mail | Lista

Opcje na karcie Lista okna Formularz e-mail służą do przygotowania listy pól zawartych w formularzu.

Wstawione już pola wymienione są na liście pól formularza e-mail: podane są tam Nazwa pola, Typ pola, Szerokość, czy wypełnienie pola jest Obowiązkowe, czy nie, oraz Opis. Wartości te określa się w oknie Wstaw pole otwieranym przyciskiem Dodaj.

Podsumowująca lista pól nie tylko wymienia je po kolei, ale także pozwala wykonywać na polach pewne operacje:
- | Dwukrotnie kliknij pole, żeby otworzyć okno dialogowe Wstaw pole i zmienić uprzednio nadane mu parametry;
- | Kliknij zaznaczone pole po raz drugi, żeby zmienić jego nazwę (to samo można zrobić zmieniając etykietę pola w oknie Wstaw pole);
- | Zaznacz pole i użyj poleceń na bocznym pasku narzędzi do skopiowana go, usunięcia, zmiany położenia na liście lub zmiany ustawień.
Znaczniki na liście pól pozwalają odgadnąć układ pól na stronie. Przerywane linie informują ile wierszy mieści się na stronie. Jeśli pole jest w tym samym wierszu, co poprzednie, za kolumną Szerokość pojawia się ikona [image]. Jeśli suma szerokości pól w wierszu przekracza jego szerokość, pojawia się ikona [image], ostrzegająca o błędzie. Te pola, które nie mieszczą się w wierszu są przenoszone do następnego wiersza.

Przyciski do tworzenia listy pól formularza są widoczne po prawej stronie listy.
- | Dodaj: możesz dodać do listy nowe pole, korzystając z okna dialogowego Wstaw pole.
- | Duplikuj: tworzy kopię zaznaczonego pola.
- | Usuń: usuwa zaznaczone pole z formularza.
- | W górę / W dół: zaznaczone pole możesz przesunąć przed poprzednie lub za następne.
- | Edytuj: ustawienia zaznaczonego pola możesz zmienić w oknie Wstaw pole.

Oba przyciski Dodaj i Edytuj otwierają to samo okno dialogowe Wstaw pole. Jego opcje rozmieszczone są na dwóch kartach:
- | Typ pola
- | Opcje

 Przyciski Wyślij i Wyczyść są wstawiane na dole formularza automatycznie.

Zagadnienia pokrewne:

-

Formularz e-mail


Formularz e-mail | Lista | Typ pola

Opcje na karcie Typ pola okna dialogowego Wstaw pole służą do definiowana pól, które będą składały się na formularz e-mail.

Dostępne są następujące typy pól:

 Pole tekstowe: pojedynczy wiersz tekstu widoczny jako puste pole, w które użytkownik wpisuje stosowną informację, na przykład imię, numer telefonu.

Adres e-mail: pojedynczy wiersz tekstu przeznaczony na adres e-mail. Automatyczny filtr sprawdza format adresu. Prawidłowy adres e-mail zawiera znak "@" i kropkę.

Pole tekstowe wielowierszowe: pole tekstowe, które może mieć kilka wierszy, do którego użytkownik może wpisać komentarz lub zapytanie.

Data: pole tekstowe, gdzie użytkownik ma podać datę. Data może zostać wpisana lub wybrana z kalendarza.

Lista rozwijalna: użytkownik musi wybrać odpowiedź z listy rozwijanej.

Lista: użytkownik ma zaznaczyć odpowiedź na liście.

Pole wyboru wielokrotnego: użytkownik może wybrać jedną lub kilka odpowiedzi z listy.

Pole wyboru pojedynczego: użytkownik może wybrać jedną odpowiedź z listy.

Hasło: pole tekstowe, w którym wpisywane znaki są zastępowane kropkami lub gwiazdkami (zależnie od systemu operacyjnego komputera). Ma to na celu zachowanie poufności hasła wpisywanego przez użytkownika w celu zalogowania się do serwisu.

Dołączony plik: pole tekstowe przeznaczone do podania przez użytkownika nazwy pliku, który będzie dołączony do wiadomości e-mail; przycisk [image] służy do przeglądania dostępnych plików.

Skontaktuj się ze swoim dostawcą usług internetowych, żeby mieć pewność, że załączniki będą wysyłane poprawnie.

Pytanie kontrolne: jednowierszowe pole tekstowe, gdzie użytkownik wpisuje odpowiedź na pytanie. To pole ma za zadanie odróżnić rzeczywistych użytkowników od programów rozsyłających spam.

Warunki akceptacji: pole tekstowe zawierające warunki, które użytkownik musi zaakceptować, żeby móc wysłać formularz. Tego pola używa się na przykład do podania zasad ochrony danych osobowych.

W zależności od rodzaju pola dostępne są różne dodatkowe opcje. Oto opcje dostępne dla wszystkich pól:
- | Etykieta:tu możesz wpisać opis pola. Jej tekst jest wyświetlany powyżej, przed lub wewnątrz pola, którego dotyczy, a jej zadaniem jest wyjaśnienie użytkownikowi, czego się od niego oczekuje lub zadanie mu pytania, na które ma odpowiedzieć.
- | Szerokość (%): szerokość pola możesz zdefiniować jako procent dostępnego miejsca (od 5% do 100%)
- | Wyświetl w tym samym wierszu co poprzednie pole: zaznacz tę opcję, jeśli chcesz, żeby pole znajdowało się w tym samym wierszu, co poprzednie. Dwa pola mogą być wyświetlone w tym samym wierszu tylko wtedy, gdy suma ich szerokości nie przekracza szerokości wiersza.
- | Ustaw jako pole wymagane: zaznaczenie tej opcji powoduje, że użytkownik musi wypełnić pole, jeśli chce wysłać formularz. Ta opcja jest niedostępna dla Pole wyboru wielokrotnego i jest domyślnie wybrana dla pola Pytanie kontrolne.

Poniższe opcje są charakterystyczne dla określonych pól:
Pole tekstowe:

-

Maksymalna liczba znaków: zaznacz tę opcję, jeśli chcesz określić limit wpisywanych znaków. Możesz na przykład ograniczyć liczbę znaków do 16, jeśli w polu należy wpisać numer karty kredytowej.

-

Filtr wprowadzanego tekstu: możesz ustawić sprawdzanie poprawności, jeśli chcesz sprawdzić, czy użytkownik wpisuje dane we właściwy sposób. Do wyboru są następujące filtry:
- | Żaden: dozwolone są wszystkie znaki alfanumeryczne.
- | Liczby (tylko cyfry): w tym polu są akceptowane tylko ciągi cyfr.
- | Telefon/faks: akceptowane są cyfry, znak minus "-" oraz spacja.
- | Data: akceptowane są cyfry oraz ukośnik "/".
Adres e-mail:

-

Żądaj potwierdzenia adresu e-mail: zaznaczenie tej opcji powoduje wstawienie drugiego pola, w którym użytkownik musi powtórzyć adres. Zależność między tymi dwoma polami jest sprawdzana automatycznie: jeśli zostanie wykryta jakakolwiek różnica, wyświetlane jest ostrzeżenie.
Pole tekstowe wielowierszowe:

-

Maksymalna liczba znaków: wybierz tę opcję, by móc określić maksymalną liczbę wpisywanych w pole znaków.

-

Liczba wierszy: możesz zdefiniować wysokość pola przez określenie liczby mieszczących się w nim wierszy (maksimum 30).
Data:

-

Format daty: z tej listy możesz wybrać format używany do wpisywania daty, podane przykłady obejmują najpopularniejsze formaty dat w narodowych formatach.

-

Wyświetl ikonę kalendarza:ta opcja jest domyślnie aktywna. Wyświetla obok pola daty ikonę kalendarza. Kiedy użytkownik kliknie ikonę, wyświetlany jest kalendarz, z którego można wybrać odpowiednią datę bez konieczności wpisywania jej.
Lista:

-

Liczba wierszy: możesz zdefiniować wysokość pola listy przez określenie liczby mieszczących się w nim wierszy (maksimum 30).
Pole wyboru wielokrotnego/pojedynczego:

-

Liczba kolumn: możesz określić, w ilu kolumnach wyświetlane będą opcje do wyboru.
Hasło:

-

Żądaj potwierdzenia hasła: zaznaczenie tej opcji powoduje wstawienie drugiego pola, w którym użytkownik musi powtórzyć hasło. Zależność między tymi dwoma polami jest sprawdzana automatycznie: jeśli zostanie wykryta jakakolwiek różnica, wyświetlane jest ostrzeżenie.
Pytanie kontrolne:

-

Poprawna odpowiedź: możesz podać prawidłową odpowiedź, która zostanie skonfrontowana z odpowiedzią użytkownika.
Warunki akceptacji:

-

Treść warunków: tu należy określić warunki, które użytkownik musi zaakceptować, jeśli chce wysłać formularz.

Za pomocą opisanych niżej narzędzi można zdefiniować listę opcji pól Lista rozwijana, Lista, Pole wyboru wielokrotnego oraz Pole wyboru pojedynczego:
- | Dodaj / Usuń: możesz dodać lub usunąć opcje. Kliknięciem po raz drugi zaznaczonego elementu przechodzi się do jego edycji.
- | W górę / W dół: tymi przyciskami zmienia się kolejność elementów listy, przesuwając zaznaczony element w górę lub w dół.
- | Edytuj: pozwala edytować zaznaczony element.

Zagadnienia pokrewne:

-

Formularz e-mail | Lista


Formularz e-mail | Lista | Opcje

Elementy na karcie Opcje okna dialogowego Wstaw pole pozwalają określić pewne zaawansowane ustawienia pól formularza e-mail.

Oto wybór opcji:
- | Opis pola: Możesz dodać komunikat wyjaśniający użytkownikowi, jak ma wypełnić pole. Jeśli zostanie podany opis pola, zaraz za nim pojawi się ikona wskazująca, że dostępne są dodatkowe informacje na jego temat. Kiedy użytkownik najedzie wskaźnikiem myszy na tę ikonę, pojawi się wskazówka ekranowa, a w niej podany opis.
- | Atrybut <name>: możesz określić wartość atrybutu <name> pola, jaka zostanie mu nadana podczas generowania kodu HTML formularza. Ta opcja przydaje się, gdy metoda Przesyłanie danych jest ustawiona na Wyślij dane do pliku skryptu (patrz Formularz e-mail | Wysyłanie).
- | Nazwa pola w bazie danych: tu możesz podać nazwę, jaka ma być nadana polu, by zebrane dane mogły być poprawnie wprowadzone do bazy danych. Ta opcja przydaje się, gdy metoda Przesyłanie danych jest ustawiona na Wyślij dane do bazy danych (patrz Formularz e-mail | Wysyłanie).

Zagadnienia pokrewne:
- | Formularz e-mail | Lista
- | Formularz e-mail | Wysyłanie


Formularz e-mail | Wysyłanie

Opcje na karcie Wysyłanie okna Formularz e-mail służą do definiowania sposobu wysyłania formularza e-mail.

Z listy Przesyłanie danych trzeba określić, jak dane zgromadzone w formularzu będą wysyłane do administratora witryny. Są do wyboru trzy możliwości:

 Wyślij dane w wiadomości e-mail: jest to opcja domyślna. Dane zgromadzone w formularzu są automatycznie wysyłane e-mailem do odpowiedniego skryptu PHP.

Wyślij dane do bazy danych: dane zgromadzone w formularzu są wysyłane do bazy danych MySQL przez odpowiedni skrypt PHP.

Wyślij dane do pliku skryptu: dane zgromadzone w formularzu są obsługiwane przez skrypt (PHP, ASP, itd.). Ta opcja przydaje się wtedy, gdy chcesz użyć własnego skryptu, na przykład przy wysyłaniu danych na serwer nie obsługujący PHP albo w celu wykonania na danych jakiejś operacji.

W zależności od metody wybranej z listy Przesyłanie danych musisz podać jeszcze kilka innych wartości:
Wyślij dane w wiadomości e-mail: | - | Adres e-mail nadawcy: jeśli zaznaczysz tę opcję, możesz wybrać adres, który podała osoba wypełniająca formularz. Domyślnie adresem nadawcy jest ten sam adres, co docelowy adres formularza, czyli adres administratora witryny. Jeśli wybierzesz adres osoby wypełniającej formularz, będzie można użyć opcji Odpowiedz programu pocztowego.
 | - | Adres e-mail odbiorcy: możesz wybrać adres, na który zostaną wysłane zebrane dane. Można tu podać kilka adresów rozdzielonych średnikami.
 | - | Temat: możesz podać tytuł wiadomości zawierającej dane z formularza.
 | - | Treść wiadomości: możesz podać tekst wiadomości zawierającej dane zebrane w formularzu.
 | - | Dołącz zebrane dane w formacie CSV: zaznacz to pole wyboru, jeśli chcesz, żeby do wiadomości były dołączone na końcu zebrane dane w formacie CSV. Format CSV zapisuje dane w formie tekstowym jako długą listę elementów rozdzielonych średnikami. Takie dane łatwo importuje się do arkuszy kalkulacyjnych, takich jak Microsoft Excel.
Wyślij dane do bazy danych: | - | Nazwa hosta: jest to adres URL serwera MySQL, gdzie mieści się zdalna baza danych. Baza danych mieści się na ogół na tym samym serwerze, co witryna, więc może zostać zidentyfikowana jako "localhost". To należy sprawdzić u administratora przestrzeni na serwerze, gdzie mieści się witryna.
 | - | Nazwa bazy danych: podaj nazwę bazy danych, gdzie chcesz przechowywać pole. O szczegóły zapytaj administratora.
 | - | Nazwa tabeli: podaj nazwę tabeli bazy danych, gdzie należy zapisać dane. Tabelę lub arkusz danych tworzy się w bazie danych za pomocą zdalnego programu. W każdym bądź razie, jeśli podasz nazwę nowego arkusza danych, zostanie on automatycznie utworzony.
 | - | Nazwa użytkownika: podaj nazwę użytkownika nadaną przez dostawcę przestrzeni dyskowej do dostępu do bazy danych.
 | - | Hasło: podaj nazwę hasło wyznaczone przez dostawcę przestrzeni dyskowej do dostępu do bazy danych.
Wyślij dane do pliku skryptu: | - | Plik skryptu (np. PHP, ASP): możesz zaimportować pliki skryptu w celu zebrania danych z formularza i wysłania ich. Skrypt trzeba utworzyć samemu.

W grupie E-mail potwierdzający dla użytkownika znajdują sie następujące opcje:
- | Wyślij użytkownikowi potwierdzenie otrzymania: zaznacz to pole wyboru, jeśli chcesz, żeby osoba wypełniająca formularz automatycznie otrzymała potwierdzenie jego nadania.
- | Adres e-mail nadawcy: zaznacz to pole wyboru, żeby wpisać poprawny i aktywny adres e-mail, z którego wysyłane jest potwierdzenie. Domyślnie adres nadawcy potwierdzenia jest tym samym, co adres administratora witryny użyty w polu Adres e-mail odbiorcy w części Przesyłanie danych. Jeśli wpiszesz inny Adres e-mail nadawcy, potwierdzenie zostanie wysłane z innego adresu niż ten, na który wysłano wypełniony formularz. Taka sytuacja może się zdarzyć, gdy kontaktujesz się z gośćmi witryny spod jakiegoś ogólnego adresu (na przykład info@mojafirma.com lub bezodpowiedzi@mojafirma.com), zamiast spod adresu osobistego (na przykład imie.nazwisko@mojafirma.com).
- | Adres e-mail odbiorcy: możesz wybrać, które pole formularza e-mail zawiera pole z adresem osoby wypełniającej formularz.
- | Temat: tu wpisz temat wiadomości będącej potwierdzeniem.
- | Treść wiadomości: tu wpisz tekst wiadomości będącej potwierdzeniem.
- | Dołącz zebrane dane: zaznacz to pole wyboru, jeśli zebrane w formularzu dane mają być dołączone na końcu e-maila.

Na koniec, w grupie Opcje dostępne są następujące ustawienia:
- | Włącz filtr antyspamowy "Captcha": na końcu formularza możesz umieścić filtr antyspamowy Captcha. Zostanie wyświetlony ciąg zniekształconych liter w losowej kolejności, a osoba wypełniająca formularz musi poprawnie przepisać te litery, by móc wysłać formularz.
- | Strona potwierdzająca wysłanie danych: ta opcja otwiera mapę witryny, skąd możesz wybrać stronę, która zostanie wyświetlona gościowi witryny po zakończeniu wysyłania danych zebranych w formularzu e-mail. Dobrym pomysłem jest utworzenie specjalnej strony z podziękowaniem za wysłanie danych, zamiast przechodzić na stronę główną witryny bez słowa wyjaśnienia. Taka strona musi być oznaczona w witrynie jako Ukryta (patrz Krok 2 - Pasek narzędzi mapy witryny).

 Jeśli chcesz określić szczególny wygląd formularza e-mail, możesz zrobić to za pomocą opcji na karcie Style i modele | E-mail w oknie Krok 4 - Ustawienia zaawansowane.

Zagadnienia pokrewne:
- | Formularz e-mail
- | Style i modele | E-mail


Formularz e-mail | Styl

Za pomocą opcji na karcie Styl okna Formularz e-mail możesz zmienić wygląd formularza e-mail.

Najpierw wybierz Element formularza, którego wygląd chcesz zmienić. Możesz wybrać element z listy albo kliknąć go w oknie Podgląd.

Na liście Element formularza dostępne są następujące elementy:

 Etykiety: jest to tekst opisujący pole, wyjaśnia jak je wypełnić, albo zawiera pytanie.

Pola: to miejsce, gdzie użytkownik wpisuje potrzebne informacje.

Przyciski "Wyślij" i "Wyczyść": te przyciski są umieszczane automatycznie na dole formularza e-mail. Służą odpowiednio do jego wysłania lub do wyczyszczenia wszystkich pól.

Opis pola i sprawdzenie poprawności: są to komunikaty, które są wyświetlane w formularzu podczas wypełniania pola. Podają one dodatkowe informacje na temat poprawności wpisywania danych lub proszą gościa witryny o wypełnienie pól obowiązkowych.

Dla poszczególnych elementów dostępne są różne opcje:
Etykiety: | - | Czcionka: możesz określić rodzaj i rozmiar czcionki.
 | - | Kolor: możesz z palety kolorów wybrać kolor tekstu w polu.
 | - | Położenie: możesz zdecydować, jak mają być umiejscowione etykiety pól. Są do wyboru trzy możliwości: Wyświetl etykiety powyżej pól, Wyświetl etykiety wewnątrz pól oraz Wyświetl etykiety po lewej stronie pól. Jeśli zdecydujesz, że etykiety będą po lewej stronie pól, możesz określić procentowo jaką szerokość ma mieć etykieta względem pola.
Pola: | - | Kolor: z palety kolorów możesz wybrać kolor dla tekstu (normalnego i pod wskaźnikiem myszy), kolor tła (normalnego i z fokusem) oraz kolor krawędzi (normalnych i informujących o błędzie.
Przyciski "Wyślij" i "Wyczyść": | - | Kolor: z palety kolorów możesz wybrać kolor tekstu na przycisku, kolor wypełniający przycisk oraz kolor krawędzi.
 | - | Obraz tła: możesz zaimportować plik graficzny (w formacie .JPG, .GIF lub .PNG) , który będzie widoczny w tle przycisków.
 | - | Pokaż przycisk "Wyczyść": ta opcja jest domyślnie zaznaczona. Przycisk "Wyczyść" (służący do wykasowania wpisanej już zawartości pól) jest dodawany automatycznie na dole formularza e-mail obok przycisku "Wyślij".
Opis pola i sprawdzenie poprawności: | - | Plik ikony opisu pola: możesz wybrać plik graficzny (w formacie .JPG, .GIF lub .PNG), który w postaci ikony będzie sugerował gościowi witryny, że dostępne są dodatkowe informacje.
 | - | Pokaż opis, gdy pole ma fokus: zaznacz tę opcję, jeśli chcesz, żeby dodatkowe informacje były wyświetlane automatycznie, gdy poje jest zaznaczone.
 | - | Jeżeli podczas sprawdzania poprawności danych wystąpi błąd: możesz zdecydować, jak będzie wyświetlony domyślny komunikat o błędzie, jeśli pole zostanie wypełnione nieprawidłowo lub pole obowiązkowe nie zostanie wypełnione wcale. Są trzy możliwości: Wyświetl okno dialogowe przeglądarki, Wyświetl wewnętrzne okno podręczne oraz Pokaż podpowiedź obok pola z błędem.

 Wygląd wysyłanych wiadomości e-mail możesz zmodyfikować w oknie Style i modele w Krok 4 - Ustawienia zaawansowane.

Zagadnienia pokrewne:
- | Formularz e-mail
- | Style i modele | E-mail


Lista produktów

Jedną z najatrakcyjniejszych funkcji programu WebSite X5 jest sklep internetowy. Możesz stworzyć sklep internetowy, zaprezentować produkty w oknie wirtualnej wystawy i sprzedawać je przez Internet na całym świecie.

With WebSite X5 you can add Products and manage online shopping carts, and create online catalogs using the Product List Object. Lista produktów jest sercem sklepu internetowego, bo tutaj potencjalni klienci oglądają, czytają opisy każdego artykułu i kupują te, którymi są zainteresowani.

Co należy zrobić?

Dwukrotnie kliknij obiekt Lista produktów w tabeli układu strony, żeby otworzyć okno Lista produktów. Tutaj możesz utworzyć listę wszystkich produktów, które chcesz pokazać gościom witryny i zdecydować, jak lista produktów ma być wyświetlana.

Kontrolki w oknie są rozmieszczone na dwóch kartach:
- | Lista
- | Ustawienia

 Aby mieć pewność, że obiekt Lista produktów działa poprawnie musisz musisz umieścić produkty sklepie za pomocą poleceń na karcie Sklep w oknie Krok 4 - Ustawienia zaawansowane..

Zagadnienia pokrewne:
- | Tabela układu strony
- | Dostępne obiekty
- | Sklep


Lista produktów | Lista

Na karcie Lista okna Lista produktów możesz wybrać produkty, które mają być wyświetlone w obiekcie Lista produktów.

W oknie widoczna jest pełna Lista produktów i kategorii, które zostały zdefiniowane w oknie Sklep w Krok 4 - Ustawienia zaawansowane.

Obok każdej kategorii i każdego produktu widoczne jest pole wyboru. Zaznacz pola wyboru tych produktów i kategorii, które chcesz umieścić na liście produktów.

Zaznaczenie kategorii i zaznaczenie wszystkich produktów z danej kategorii nie jest tym samym. Tylko w pierwszym wypadku produkty później dodane do kategorii zostaną automatycznie dodane do obiektu Lista produktów.

Zagadnienia pokrewne:
- | Lista produktów
- | Sklep


Lista produktów | Ustawienia

Opcje na karcie Ustawienia okna Lista produktów są przeznaczone do definiowania wyglądu ramek produktów wstawionych do listy.

Najpierw trzeba wybrać Tryb wyświetlania ramek produktów. Do wyboru jest kilka możliwości:

 Tylko tekst
Wtedy w ramce produktu znajdą się: Nazwa produktu, opis, menu rozwijane z rodzajami produktu (jeśli zostały zdefiniowane), cena, ilość i przycisk "Dodaj do koszyka" (po prawej stronie ilości).

Obraz i tekst
W takiej ramce zdjęcie jest po lewej, a szczegóły dotyczące produktu po prawej stronie.

Tekst i obraz
W takiej ramce zdjęcie jest po prawej, a szczegóły dotyczące produktu po lewej stronie.

Tylko obraz
W takiej ramce szczegóły dotyczące produktu z pominięciem opisu znajdują się poniżej zdjęcia.

Obraz i tekst na zmianę
W tym wypadku dwa rodzaje ramek występują na zmianę - raz zdjęcie jest po lewej, raz po prawej.

Ustawienia ramek obejmują:
- | Ramek w wierszu: określ, ile ramek produktów ma zmieścić się w tym samym wierszu.
- | Wysokość ramki: określ w pikselach wysokość ramki poszczególnych produktów. Rozmiar zdjęcia produktu jest automatycznie dostosowywany do wielkości ramki. Jeżeli opis produktu jest za długi, żeby zmieścić się w ramce, zostanie wyświetlony pasek przewijania.
- | Szerokość obrazu (%): jeśli w ramce ma być wyświetlony zarówno tekst, jak i zdjęcie, możesz procentowo określić, jak wiele miejsca ma zająć zdjęcie. Na przykład, jeśli zdjęcie zajmuje 30% dostępnego miejsca w ramce produktu, pozostałe 70% przeznaczone jest na tekst.
- | Margines wewn.: margines wewnętrzny to odstęp między zawartością ramki produktu a krawędzią. Za pomocą tego ustawienia określa się, jak wąski ten odstęp ma być.

Ustawienia Grafika obejmują:
- | Czcionka: możesz wybrać czcionkę, styl i rozmiar tekstu w ramce produktu. Przycisk po prawej stronie pola otwiera okno dialogowe, gdzie można dokonać odpowiednich ustawień.
- | Kolor tekstu / Kolor tła / Kolor krawędzi: te przyciski otwierają paletę kolorów, z której można wybrać kolory tekstu, tła i krawędzi ramki produktu.
- | Szerokość krawędzi: tu można podać grubość krawędzi ramki produktu.

Dostępne są także następujące Opcje:
- | Pokaż pole ilości: jeśli zaznaczysz to pole wyboru, w ramce produktu będzie podana ilość. To przydatne pole dla tych, którzy chcą kupić więcej niż jeden egzemplarz produktu.
- | Pokaż cenę: jeśli zaznaczysz to pole wyboru, w ramce produktu podana będzie cena.
- | Link do powiększenia obrazka: jeśli zaznaczysz to pole wyboru, do zdjęcia w karcie produktu zostanie dołączone hiperłącze otwierające powiększoną jego wersję. Powiększone zdjęcie wyświetlane jest w oknie pokazu.

 Wygląd okna pokazu można modyfikować: przejdź do Style i modele | Pole pokazu w Krok 4 - ustawienia zaawansowane i wybierz kolor, cień, przeźroczystość, efekt otwarcia itd.

Zagadnienia pokrewne:
- | Lista produktów
- | Style i modele | Pole pokazu


HTML i gadżety

W programie WebSite X5 istnieje szczególny obiekt, który może zawierać w zasadzie wszystko, co chce sie umieścić na stronie: tekst, obrazy, animacje, formularze e-mail, itd. Obiekt HTML i gadżety dane nieograniczone możliwości. Za pomocą tego obiektu kod HTML wstawia się bezpośrednio na stronie, co pozwala określić takie ustawienia, które w innym wypadku byłyby niemożliwe.

Szczególnie przydatne są gadżety: jest to rodzaj programów, który można wstawić i wykonać na stronie witryny. Dobrym przykładem gadżetu jest Google Maps: użytkownik wprowadza niewielką ilość informacji, a może wyświetlać taką mapę, jaką chce, bez konieczności konfigurowania jej w witrynie Google Maps.

Co należy zrobić?

Dwukrotnie kliknij obiekt HTML i gadżety w tabeli układu strony, żeby otworzyć okno HTML i gadżety. Tutaj możesz wprowadzić kod HTML albo CSS, albo wpisując go ręcznie, albo kopiując z innej witryny - wystarczy skopiować z witryny internetowej gadżet i wkleić na swojej stronie.

Opcje są rozmieszczone na dwóch kartach:

- | Kod HTML
- | Zaawansowane

Zagadnienia pokrewne:

- | Tabela układu strony
- | Dostępne obiekty


HTML i gadżety | Kod HTML

Polecenia na karcie Kod HTML okna HTML i gadżety służy do wprowadzenia kodu HTML, który ma zostać wstawiony na stronie. Kod ten można albo wpisać ręcznie, albo dwukrotnie kliknąć jeden z dostępnych gadżetów.

Dostępne są następujące narzędzia:

Wytnij[CTRL+X] - Kopiuj [CTRL+C] - Wklej[CTRL+V]
Te trzy polecenia służą do wycinania, kopiowania i wklejania zaznaczonego tekstu.

Cofnij [CTRL+Z] - Powtórz[ALT+CAPS+BACKSPACE]
Odpowiednio cofa i przywraca ostatnią operację.

Wielobarwna składnia pomaga analizować kod HTML, jest on łatwiejszy do czytania i znajdowania błędów. Określone partie kodu są wyświetlone w różnych kolorach, co nie ma wpływu na znaczenie kodu.

Wszystkie dostępne gadżety są wymienione na liście po prawej stronie. Dwukrotne kliknięcie któregoś z nich powoduje otwarcie okna dialogowego, gdzie można ustawić dostępne opcje. Kiedy wypełnisz pola w oknie dialogowym gadżetu, jego kod HTML jest automatycznie wstawiany do edytora.

W grupie Właściwości znajdują się następujące opcje:

- | Szerokość: wyświetla szerokość obiektu HTML i gadżety obliczoną automatycznie na podstawie dostępnego miejsca w tabeli układu strony .
- | Wysokość: możesz określić wysokość obiektu HTML i gadżety.
- | Pokaż paski przewijania: opcja domyślnie aktywna automatycznie wyświetla pasek przewijania, jeśli podana Wysokość obiektu HTML i gadżety jest mniejsza od rzeczywistej wysokości obiektu.

Zagadnienia pokrewne:

-

HTML i gadżety


HTML i gadżety | Zaawansowane

Polecenia na karcie Zaawansowane okna HTML i gadżety służą do tworzenia arkusza stylów (CSS) i ustalenia listy plików dołączonych do obiektu HTML i gadżety.

Edytor Kod CSS (taki sam, jak edytor na karcie Kod HTML) służy do wpisania kodu arkusza stylów. Zadaniem arkusza stylów jest zdefiniowania wyglądu strony HTML, do której jest dołączony.

Wszystkie dołączone pliki wymienione są w tabeli Pliki związane z kodem HTML. W tabeli podana jest nazwa pliku i Względna ścieżka dostępu do pliku na serwerze.

W stosunku do listy plików na liście można zastosować następujące polecenia:

- | Dodaj: możesz dodać do listy nowy plik korzystając z okna dialogowego Ładowanie dołączonego pliku.
- | Edytuj: możesz zmienić ustawienia zaznaczonego na liście pliku, korzystając z okna dialogowego Ładowanie dołączonego pliku .
- | Usuń:usuwa zaznaczony plik z listy.

Zagadnienia pokrewne:
- | HTML i gadżety
- | Wysyłanie dołączonych plików


Edytor obrazów

Poza dobrą optymalizacją obrazów, program WebSite X5 oferuje także wbudowany edytor grafiki, pozwalający nadać obrazom ostateczny szlif.
Edytor obrazów można znaleźć wszędzie tam, gdzie importuje się na stronę grafikę, na przykład w oknie Obraz, Galeria obrazów i oknie definiowania nowego produktu w oknie Sklep. Aby otworzyć edytor grafiki, wystarczy w tych oknach kliknąć przycisk Edytuj.

Kontrolki edytora grafiki są rozmieszczone na następujących kartach:
- | Kadrowanie i obrót
- | Filtry
- | Znak wodny
- | Maska
- | Ramka
- | Efekty
- | Biblioteka

W oknie edytora znajdują się także przyciski:
- | OK: tan przycisk powoduje zamknięcie edytora obrazu i przejście z powrotem do okna, z którego został otwarty, przy czym wszystkie modyfikacje obrazu zostają zachowane.
- | Anuluj: tan przycisk powoduje zamknięcie edytora obrazu i przejście z powrotem do okna, z którego został otwarty, bez zapisywania wprowadzonych zmian.
- | Zapisz jako: kliknięciem tego przycisku zapisuje się kopię oryginalnego obrazu w formacie .PNG.

Zagadnienia pokrewne:
- | Obraz
- | Galeria obrazów
- | Sklep


Edytor obrazu | Kadrowanie i obrót

Opcje na karcie Kadrowanie i obrót okna Edytor obrazu służą do przycinania obrazu, tak że zostaje tylko wykadrowany fragment, a cała reszta jest obcinana.

Fragment obrazu, który ma być widoczny zaznacza się bezpośrednio w okienku podglądu obrazu, a potem przeciągając uchwyty ramki kadrowania. Ramkę kadrowania można przesuwać, tak by obejmowała odpowiedni detal. W tym celu należy kliknąć ramkę kadrowania lewym przyciskiem myszy i przeciągnąć ramkę.

Po wykonaniu kadrowania obszar poza nią (przyciemniony obszar) nie będzie widoczny na obrazie. Jeśli zmienisz zdanie, możesz cofnąć kadrowanie - wystarczy kliknąć obraz poza ramką kadrowania, a sama ramka zniknie.

Obok obrazu w oknie widoczne są następujące opcje:
- | Kadrowanie: w tej grupie podane są w pikselach Współrzędna X i Y lewego górnego rogu wykadrowanego fragmentu oraz Szerokość i Wysokość kadrowanego obszaru. Rozmiar i położenie ramki kadrowania można zmienić wpisując wartości w te pola (jest to bardziej precyzyjna alternatywa przeciągania ramki i jej uchwytów).
- | Odbicie lustrzane: obraz można odbić symetrycznie w poziomie lub w pionie.
- | Obrócenie: obraz można obrócić zgodnie z kierunkiem ruchu wskazówek zegara o 0°, 90°, 180° lub 270°.

Zagadnienia pokrewne:

-

Edytor obrazów


Edytor obrazów | Filtry

Na karcie Filtry okna Edytor obrazów można wybrać filtr korygujący kolorystykę obrazu.

- | Filtry: na tej liście wymienione są dostępne filtry. Są to: Jasność i kontrast, RGB (czerwony, zielony, niebieski), HSL (odcień, nasycenie, jasność), Ostrość, Rozmycie, Biało-czarny, Sepia, Mozaika, Ziarnisty, Dyfuzja, Obraz olejny, Pióro, Szum, Marmur. Żeby zastosować filtr, kliknij go. To powinno spowodować zaznaczenie jego pola wyboru.
- | Ustawienia: możesz zmienić ustawienia wybranego filtru.

Wszelkie zmiany w ustawieniach filtru są stosowane natychmiast i widoczne na podglądzie.

Zagadnienia pokrewne:

-

Edytor obrazów


Edytor obrazów | Znak wodny

Na karcie Znak wodny okna Edytor obrazów można do zaimportowanego obrazu zastosować znak wodny, stanowiący ochronę przed kopiowaniem. Znak wodny zmienia obraz, można wstawić znak copyright, co zniechęca użytkowników Internetu do kopiowania go i wykorzystywania w nieuprawniony sposób.

- | Znak wodny: jest to lista rozmaitych gotowych znaków wodnych, które można nałożyć na obraz. Możesz też stworzyć własny znak wodny: wystarczy zaznaczyć na liście pozycję Niestandardowa i zaimportować samodzielnie przygotowany w tym celu plik.
- | Ustawienia: znak wodny nałożony na obraz można obrócić o 90°, 180° lub 270° albo odbić symetrycznie w poziomie lub w pionie.

 Znak wodny musi być plikiem graficznym w formacie .GIF, .PNG, .PSD lub .WMF z włączoną przezroczystością. Znak wodny jest nakładany na oryginalny obraz, tak że obraz widoczny jest tylko w obszarze przezroczystym obrazu znaku wodnego.
Format .GIF obsługuje tylko jeden poziom przezroczystości, podczas gdy formaty .PNG i .PSD obsługują do 256 poziomów, dlatego zaleca się zapisywanie znaków wodnych w tych dwóch formatach.

+

=

Zagadnienia pokrewne:

-

Edytor obrazów


Edytor obrazów | Maska

Na karcie Maska okna Edytor obrazów można do zaimportowanego obrazu zastosować maskę do zaimportowanego obrazu, zmieniająca jego wygląd.

- | Na liście Maska widoczne są miniatury masek, które można zastosować do obrazu. Możesz też stworzyć własną maskę: wystarczy zaznaczyć na liście pozycję Niestandardowa i zaimportować samodzielnie przygotowany w tym celu plik.
- | Ustawienia: maskę nałożona na obraz, można obrócić o 90°, 180° lub 270° albo odbić symetrycznie w poziomie lub w pionie.

 Maska jest na ogół obrazem w 256 odcieniach szarości. Maksa jest nakładana na oryginalny obraz, tak że obszary pokryte kolorem czarnym są niewidoczne, a fragmenty pokryte kolorem białym widać.

+

=

Zagadnienia pokrewne:

-

Edytor obrazów


Edytor obrazów | Ramka

Na karcie Ramka okna Edytor obrazów można wybrać ramkę dla zaimportowanego obrazu.

- | Ramka: jest to lista rozmaitych gotowych ramek, w które można "oprawić" obraz. Możesz też zrobić własną ramkę. W tym celu wybierz z listy drugą miniaturę (Niestandardowa...) i zaimportuj plik graficzny, zawierający ramkę własnego pomysłu.
- | Ustawienia: ramkę, w którą ujęty jest obraz, można obrócić o 90°, 180° lub 270° albo odbić symetrycznie w poziomie lub w pionie.

 Ramka musi być plikiem graficznym w formacie .GIF, .PNG, .PSD lub .WMF z włączoną przezroczystością. Ramka jest nakładana na oryginalny obraz, tak że obraz widoczny jest tylko w obszarze przezroczystym ramki.
Format .GIF obsługuje tylko jeden poziom przezroczystości, podczas gdy formaty .PNG i .PSD obsługują do 256 poziomów, dlatego zaleca się zapisywanie ramek w tych dwóch formatach.

+

=

Zagadnienia pokrewne:

-

Edytor obrazów


Edytor obrazów | Efekty

Na karcie Efekty okna Edytor obrazów można wybrać efekty specjalne do zastosowania w obrazie.

- | Efekty: jest to lista rozmaitych gotowych efektów, które można zastosować do obrazu. Są to: Cień, Lustro, Poświata, Kolorowa krawędź, Ramka, Gradient, Grzbiet, Wypukłość, Krycie, Przekrzywienie, Perspektywa i Obrócenie. Aby zastosować efekt, kliknij go (to powinno zaznaczyć jego pole wyboru).
- | Ustawienia: możesz zmienić ustawienia wybranego efektu.

Wszelkie zmiany w ustawieniach efektu są stosowane natychmiast i widoczne na podglądzie.

Zagadnienia pokrewne:

-

Edytor obrazów


Edytor obrazów | Biblioteka

Na karcie Biblioteka okna Edytor grafiki znajduje się wybór gotowych zestawów efektów w postaci arkuszy stylów dla obrazu, istnieje też możliwość zapisania ustawień zdefiniowanych dla obrazu jako nowego arkusza stylów, który potem można wykorzystać dla innych obrazów.

W bibliotece wymienione są Predefiniowane arkusze stylów i ewentualnie Niestandardowe, zdefiniowane przez użytkownika. W tym oknie można wybrać dodatkowo następujące opcje:
- | Zastosuj: możesz zastosować do obrazu wybrany styl.
- | Dodaj: możesz zapisać dotychczasowe ustawienia obrazu zdefiniowane w edytorze i utworzyć na ich podstawie nowy arkusz stylu. Wtedy styl umieszczany jest w bibliotece Niestandardowe.
- | Usuń: możesz usunąć arkusz stylów z listy Niestandardowe, ale nie możesz usnąć stylu z listy Predefiniowane.

Co należy zrobić?

Biblioteka może pomóc zaoszczędzić sporo czasu. Jeśli masz kilka obrazów, które trzeba tak samo obrobić w edytorze grafiki, możesz zapisać ustawienia zdefiniowane dla pierwszego obrazu w postaci arkusza stylu i zastosować je później do następnych obrazów.

Aby utworzyć arkusz stylów dla obrazu:
- | Przejdź na kartę Ogólne okna Obraz i otwórz edytor obrazu kliknięciem przycisku Edytuj znajdującego się poniżej podglądu obrazu.
- | Korzystając z opcji na poszczególnych kartach edytora graficznego zdefiniuj idealne ustawienia dla pierwszego obrazu.
- | Przejdź na kartę Biblioteka i kliknij przycisk Dodaj. Zostanie utworzony nowy styl z ustawieniami zdefiniowanymi dla pierwszego obrazu. Podgląd nowego stylu będzie widoczny w postaci miniatury na liście Niestandardowe.

Aby zastosować styl do obrazu:
- | Przejdź na kartę Ogólne okna Obraz i otwórz edytor obrazu kliknięciem przycisku Edytuj znajdującego się poniżej podglądu obrazu.
- | Przejdź na kartę Biblioteka i wybierz z listy Predefiniowane lub Niestandardoweminiaturę stylu, który chcesz zastosować.
- | Kliknij przycisk Zastosuj.

Zagadnienia pokrewne:

-

Edytor obrazów


Styl komórki

Rozmieszczenie treści na stronie w programie WebSite X5 jest bardzo łatwe dzięki podziałowi jej powierzchni na komórki tworzące tabelę układu strony. Liczba komórek zależy od tego ile kolumn i wierszy ma tabela układu strony. Aby wstawić na stronę jakiś element, wystarczy przeciągnąć odpowiedni obiekt i upuścić go w komórce (jeden obiekt w jednej komórce).

Komórka jest zatem określonym prostokątnym obszarem na stronie. Ma swoją zawartość i może mieć indywidualny wygląd, nie wszystkie komórki muszą wyglądać tak samo. Dla każdej komórki można zdefiniować tło, krawędzie i marginesy, tak że każda komórka na stronie może wyróżniać się wyglądem.

Co należy zrobić?

Kiedy jesteś w oknie Tworzenie strony i do komórki w tabeli układu strony przeciągniesz jeden z dostępnych obiektów, możesz zdefiniować wygląd komórki, klikając przycisk [image] i korzystając z opcji w oknie dialogowym Styl komórki.

Opcje w oknie są rozmieszczone na następujących kartach:
- | Styl
- | Tekst
- | Biblioteka

Zagadnienia pokrewne:
- | Tworzenie stron
- | Tabela układu strony


Styl komórki | Styl

Opcje na karcie Styl okna Styl komórki służą do określenia wyglądu bieżącej komórki w tabeli układu strony.

Najpierw wybierz tło komórki. Dostępne są opcje:

 Tło kolorowe: tło wypełnione jednolitym kolorem.

Tło gradientowe: tło wypełnia cieniowanie dwóch kolorów, przy czym należy określić kolory startowy i końcowy oraz kierunek cieniowania.

Obraz w tle: w tle komórki umieszczony jest obraz.

Wykadruj w blokach i dopasuj do komórki: obraz w tle jest podcięty na bloki i tak poskładany, żeby pasował do rozmiaru komórki (patrz Jak wstawić w tle obraz wypełniający komórkę?).

Dla każdego rodzaju tła wybrać odpowiednie ustawienia.

Dla stylu Tło kolorowe dostępne są następujące ustawienia:
- | Kolor tła: Z palety kolorów należy wybrać odpowiedni kolor.
- | Krycie: na ile tło ma być nieprzezroczyste. Im mniejsze wartości tym bardzie przezroczyste jest tło komórki.

Dla stylu Tło gradientowe dostępne są następujące ustawienia:
- | Kolor startowy / Kolor końcowy: z palety kolorów należy wybrać kolor, od którego zaczyna się cieniowanie i na którym się kończy.
- | Dyfuzja: podając wartość w pikselach możesz zdecydować, czy w cieniowaniu dominować ma kolor startowy, czy końcowy. Na przykład przy pionowym cieniowaniu z szarego do białego, dyfuzja równa 250 oznacza, że szery kolor od góry będzie przechodził w coraz jaśniejszy aż do uzyskania białego po 250 pikselach.
- | Kierunek: możesz zdecydować, w którą stronę kolory mają być cieniowane - Góra, Dół, Lewa lub Prawa.
- | Krycie: poziom nieprzezroczystości tła. Wartości bliższe 0 oznaczają tło przezroczyste.

Dla stylu Obraz w tle dostępne są następujące ustawienia:
- | Kolor tła: z palety kolorówmożesz wybrać kolor tła komórki.
- | Plik obrazu: wybierz plik obrazu, który chcesz umieścić w tle komórki. Obraz musi mieć format .JPG, .GIF lub .PNG.
- | Powtórzenie: zdecyduj, czy obraz w tle ma być powtarzany. Obraz może być powielany w poziomie, w pionie, w obu kierunkach albo zajmować całe dostępne miejsce.
- | Wyrównanie: możesz określić sposób wyrównania obrazu w komórce.
- | Nasycenie kolorem: z palety kolorów wybierz kolor, którym chcesz podbarwić obraz.
- | Krycie: poziom nieprzezroczystości tła. Wartości bliższe 0 oznaczają tło przezroczyste.

Dla stylu Wykadruj w blokach i dopasuj do komórki dostępne są następujące ustawienia:
- | Kolor tła: możesz wybrać z palety kolorów kolor tła komórki.
- | Plik obrazu: wybierz plik obrazu, który chcesz umieścić w tle komórki. Obraz musi mieć format .JPG, .GIF lub .PNG.
- | Szerokość bloku / Wysokość bloku: wpisz wartości procentowe, jeśli chcesz wybrać inną wielkość bloków, na które obraz zostanie podzielony. Wybierasz w ten sposób, jak duża część obrazu w narożnikach zostanie oryginalna, podczas gdy pozostały obszar zostanie pokryty powtórzeniami reszty bloków (patrz Jak wstawić w tle obraz wypełniający komórkę?).
- | Nasycenie kolorem: z palety kolorów wybierz kolor, którym chcesz podbarwić obraz.
- | Krycie: poziom nieprzezroczystości tła. Wartości bliższe 0 oznaczają tło przezroczyste.

Oto opcje dostępne w grupie Krawędzie:
- | Kolor i grubość: klikając pierwszy przycisk możesz z palety kolorów wybrać kolor obramowania komórki, natomiast pole obok służy do określenia grubości ramki.
- | Krawędzie niestandardowe: zaznacz to pole wyboru, jeśli chcesz mieć możliwość określenia każdej krawędzi komórki osobno.

 Kolor obwódki jest także wykorzystywany jako kolor przezroczysty dla obrazu.

Zagadnienia pokrewne:
- | Styl komórki
- | Jak wstawić w tle obraz wypełniający komórkę?


Styl komórki | Tekst

Za pomocą opcji na karcie Tekst okna Styl komórki możesz wstawić do komórki wybranej w tabeli układu strony opis lub grafikę i zdefiniować jego wygląd.

Najpierw zdecyduj, co chcesz wstawić, tekst czy obraz. Dostępne są opcje:

 Tytuł: tekst umieszczony w nagłówku komórki.

Obraz nagłówka: możesz umieścić w komórce grafikę wyświetlaną obok tytułu.

Opis treści: tekst umieszczony na dole komórki.

Kiedy wybierzesz potrzebne elementy, możesz określić rozmaite Ustawienia. Wybierz z menu lub kliknij na podglądzie element, którego ustawienia chcesz określić.

Oto opcje dostępne dla elementów Tytuł i Opis treści:
- | Treść: wpisz tekst tytułu lub opisu.
- | Kolor tekstu: z palety kolorów wybierz kolor tekstu.
- | Czcionka: określ czcionkę i jej rozmiar.
- | Wyrównanie: określ sposób wyrównania tekstu w komórce, Lewa, Centruj lub Prawa.
- | Margines poziomy / Margines pionowy: możesz określić w pikselach szerokość marginesów tekstu od krawędzi komórki.

Oto opcje dostępne dla Obrazu nagłówka:
- | Plik obrazu: wybierz plik zawierający obraz, który chcesz wstawić.Obraz musi mieć format .JPG, .GIF lub .PNG.
- | Wyrównanie: określ sposób wyrównania obrazu nagłówka - Lewa, Centruj lub Prawa.
- | Margines poziomy / Margines pionowy: możesz określić w pikselach szerokość marginesów obrazu od krawędzi komórki i od tytułu, jeśli jest.

Zagadnienia pokrewne:

-

Styl komórki


Styl komórki | Biblioteka

Na karcie Biblioteka okna Styl komórki możesz wybrać gotowe ustawienia komórki, zapisane jako style, i zastosować je do bieżącej komórki, albo zapisać ustawienia wykonane dla bieżącej komórki jako nowy styl, a potem stosować go do innych komórek.

W oknie biblioteki widoczna jest lista dotychczas zdefiniowanych stylów predefiniowanych i niestandardowych. W oknie można użyć następujących poleceń:
- | Zastosuj: możesz zastosować bieżące ustawienia wybranego stylu do bieżącej komórki.
- | Dodaj: możesz zapisać ustawienia określone dla bieżącej komórki na kartach Styl i Tekst jako nowy styl, który dołączy do stylów niestandardowych.
- | Usuń: możesz usunąć styl z listy Niestandardowe. Nie ma możliwości usunięcia stylu z listy Predefiniowane.

 Kiedy tworzony jest nowy styl, wszystkie ustawienia bieżącej komórki są zachowywane, z wyjątkiem opisu komórki, która musi być określona dla każdej komórki od nowa. Na przykład Kolor tekstu lub Czcionka jest zapisana w nowym stylu, ale Tytuł i Opis treści już nie.

Co należy zrobić?

Biblioteka może pomóc zaoszczędzić sporo czasu. Jeśli masz kilka komórek, które maja mieć podobne ustawienia graficzne, możesz zapisać ustawienia zdefiniowane dla pierwszej komórki w postaci arkusza stylu i zastosować je później do następnych komórek.

Aby utworzyć arkusz stylów:
- | W tabeli układu strony zaznacz komórkę i kliknij przycisk [image] , żeby otworzyć okno Styl komórki.
- | Za pomocą ustawień na kartach Styl i Tekst nadaj komórce odpowiedni wygląd.
- | Przejdź na kartę Biblioteka i kliknij przycisk Dodaj, żeby zapisać nowy styl z dotychczasowymi ustawieniami. Podgląd nowego stylu będzie widoczny w postaci miniatury na liście Niestandardowe.

Aby zastosować styl:
- | W tabeli układu strony zaznacz komórkę i kliknij przycisk [image] , żeby otworzyć okno Styl komórki.
- | Przejdź na kartę Biblioteka i wybierz z listy Predefiniowane lub Niestandardoweminiaturę stylu, który chcesz zastosować.
- | Kliknij przycisk Zastosuj.

Zagadnienia pokrewne:

-

Styl komórki


Link

Poza niezmiennym menu nawigacyjnym tworzonym automatycznie na podstawie ustawień w oknie Tworzenie mapy witryny, użytkownik może poruszać się po twojej witrynie klikając hiperłącza, które można kojarzyć w programie WebSite X5 z tekstem i obrazami. Te hiperłącza otwierają wewnętrzne lub zewnętrzne strony, pliki, wyświetlają obrazy, elementy sklepu internetowego itd.

Kiedy definiujesz link, musisz określić działanie, jakie spowoduje jego kliknięcie i ewentualnie zdefiniować dla niego wskazówkę ekranową. Wskazówka ekranowa w skrócie objaśnia, co się stanie, gdy gość witryny kliknie hiperłącze.

Co należy zrobić?

Przycisk [image] Wstaw link jest dostępny, gdy istnieje możliwość przypisania linku do tekstu lub obrazu. Kiedy kliknie się ten przycisk, otwiera się okno dialogowe Link, w którym można określić, jakiego rodzaju działanie ma być podjęte po kliknięciu linku.

Opcje tworzenia linku rozmieszczone są na dwóch kartach:
- | Akcja
- | Opis

Zagadnienia pokrewne:
- | Edytor wzorca | Pasek narzędzi
- | Tekst
- | Obraz
- | Galeria obrazów


Link | Akcja

Opcje na karcie Akcja okna dialogowego Link pozwalają zdefiniować hiperłącze.

 Strona witryny
Pozwala wstawić hiperłącze do którejś strony Twojej witryny. Kliknij przycisk [image] i na mapie witryny znajdź stronę, do której ma prowadzić łącze. Link może wyświetlać stronę w tym samym oknie, albo otworzyć ją w nowym. Jeśli ma to być podręczne okno, można określić jego Szerokość i Wysokość.

Plik lub adres URL
Możesz utworzyć hiperłącze do strony innej witryny na swoim komputerze lub już opublikowanej. Aby wybrać stronę zapisaną na swoim komputerze zaznacz opcję Plik lokalny i kliknij przycisk [image], żeby znaleźć plik. Aby wybrać stronę opublikowaną w Internecie, zaznacz opcję Plik internetowy i wpisz w pole adres URL pliku. Wreszcie zdecyduj, czy strona ma zostać wyświetlona w tym samym oknie, w nowym oknie, czy w oknie podręcznym. Dla okna podręcznego określi Szerokość i Wysokość.

Plik lub adres URL z oknem pokazu
Linku możesz użyć do wyświetlenia w oknie pokazu dowolnego pliku ze swojego komputera albo opublikowanego uprzednio w Internecie. W oknie pokazu, w przeciwieństwie do zewnętrznego okna przeglądarki, plik będzie wyświetlony na tle przydymionej zawartości oryginalnej strony.
Aby wybrać plik otwierany przez link, zaznacz opcję Plik lokalny, kliknij przycisk [image] i znajdź go w komputerze albo zaznacz opcję Plik internetowy i podaj jego adres URL. Za pomocą Właściwości okna pokazu możesz określić jego Szerokość i Wysokość oraz Nagłówek.

Galeria w oknie pokazu
Możesz utworzyć link do galerii obrazów wyświetlanych w oknie pokazu. Do zdefiniowana listy obrazów użyj przycisków Dodaj, Usuń, W górę i W dół. Możesz też podać Maks. szerokość i Maks. wysokość okna pokazu.

Ustawienia okna pokazu można zmienić w oknie Style i modele | Pole pokazu w części Krok 4 - Ustawienia zaawansowane: tam możesz zmienić kolory, cienie, przeźroczystość i efekty przejścia.

E-mail
Po wybraniu tej opcji tworzy się łącze uruchamiające domyślny program pocztowy, z którego użytkownik witryny będzie mógł wysłać wiadomość e-mail. W wypadku tego rodzaju hiperłącza konieczne jest podanie adresu e-mailowego odbiorcy. Jeśli zaznaczysz pole wyboru Włącz ochronę adresu e-mail, podany adres e-mail będzie zaszyfrowany w kodzie HTML strony, dzięki czemu nie będzie możliwy do rozpoznania przez programy wyławiające adresy do rozsyłania spamu.

Rozmowa przez Internet
Możesz utworzyć link otwierający telefon internetowy (taki jak Skype). W polu tekstowym trzeba podać rozmówcę, z którym zostanie nawiązane połączenie. Możesz także określić Rodzaj działania - do wyboru są Połącz, Dodaj kontakt, Chat, Pokaż profil, Poczta głosowa Skype i Wyślij plik.

Dźwięk
Link może zostać utworzony do pliku audio. Aby wybrać plik dźwiękowy, wybierz Plik lokalny na komputerze i kliknij przycisk [image], żeby go znaleźć w pamięci komputera, albo zaznacz Plik internetowy i wpisz jego adres URL, gdzie znajduje sie plik audio. Obsługiwany jest format .MP3.
Kiedy gość witryny kliknie link, pojawi się wskazówka ekranowa z przyciskiem Odtwarzaj/Pauza, służącym do rozpoczęcia odtwarzania albo zatrzymania. Kiedy przesuniesz wskaźniki myszy poza wskazówkę ekranową, przycisk zniknie, a odtwarzanie zostanie zatrzymane.

Wskazówka ekranowa dla linku audio jest tworzona automatycznie przez program. Jej wygląd zależy od ustawień podanych w oknie Style i modele | Wskazówka ekranowa w części Krok 4 - Ustawienia zaawansowane.

Drukuj stronę
Możesz utworzyć link drukujący wyświetlaną stronę.

Komunikat
Ta opcja tworzy małe okno komunikatu, w którym użytkownik może przeczytać komunikat ostrzegawczy. Żeby zdefiniować takie hiperłącze, wystarczy podać Tekst komunikatu. Zaznaczenie pola wyboru Pokaż w oknie podręcznym powoduje wyświetlenie komunikatu w stylu Windows.

Ulubione i strona domyślna
Ta opcja pozwala po kliknięciu linku dodać stronę do listy Ulubionych gościa witryny albo ustawić ja jako stronę jako stronę startową przeglądarki. Aby zdefiniować takie hiperłącze, wystarczy podać adres URL i tytuł witryny.

Kanał RSS
Możesz wyświetlić kanał RSS witryny. Połączenie jest aktywne tylko pod warunkiem, że kanał RSS został już utworzony w odpowiednim oknie kroku Ustawienia zaawansowane.

Podczas testowania witryny pojawi się okno komunikatu informujące, że kanał RSS będzie wyświetlony dopiero po załadowaniu witryny na serwer.

Blog
Możesz utworzyć link prowadzący do Blogu należącego do twojej witryny. Aby mieć pewność, że hiperłącze otworzy się prawidłowo, trzeba najpierw utworzyć Blog odpowiednim poleceniem w oknie Ustawienia zaawansowane. Dostępne są opcje wyboru, czy blog ma by otwarty w tym samym oknie, czy w nowym oknie przeglądarki.

Mapa witryny
Możesz utworzyć hiperłącze do strony zawierającej pełną mapę witryny. Elementy mapy witryny są generowane automatycznie i będą zawierały aktywne łącza do jej poszczególnych stron. Wyświetlenie takiej strony pozwala się dobrze zorientować w strukturze witryny i daje użytkownikowi doskonałe narzędzie nawigacyjne. Podczas przeglądania mapy witryny pomocna są kontrolki Rozwiń wszystko i Zwiń wszystko.

Nawet jeśli na stronie nie ma linku do mapy witryny, plik SiteMap jest tworzony i dołączany do kodu HTML strony w megatagu <sitemap>, co wspomaga indeksowanie strony przez wyszukiwarki.

Pokaż koszyk zakupów
Ta opcja pozwala utworzyć łącze wyświetlające stronę koszyka zakupów z listą wszystkich dotychczas zamówionych produktów.

Dodaj do koszyka
Możesz utworzyć łącze do sklepu, dzięki któremu użytkownik może przejść do listy produktów lub umieścić produkt w koszyku zakupów.
W pierwszym wypadku należy wybrać opcję Pokaż listę produktów wybranej kategorii i wybrać odpowiednią kategorię z katalogu produktów.
W drugim należy zaznaczyć opcję Dodaj wybrany produkt bezpośrednio do koszyka i zaznaczyć w katalogu odpowiedni produkt. Możesz też określić Opcję dotycząca produktu oraz Ilość wkładaną do koszyka.

Linki Pokaż koszyk zakupów i Dodaj do koszyka będą działały poprawnie pod warunkiem, że w ustawieniach Sklep w Krok 4 - Ustawienia zaawansowane została zdefiniowana lista produktów.

Zagadnienia pokrewne:

-

Link


Link | Opis

Na karcie Opis okna dialogowego Link możesz opatrzyć link komentarzem. W kodzie HTML opis jest wstawiany do atrybutu <title> elementu <a> i służy do wyświetlania wskazówki ekranowej. Wskazówka ekranowa jest wyświetlana obok wskaźnika myszy, gdy ten znajdzie się nad linkiem. Powinna ona wyjaśniać, co się stanie, gdy gość witryny kliknie link (czy zostanie otwarta nowa strona, inna witryna, zostanie wyświetlony obraz, czy ściągnięty plik).

Podczas tworzenia wskazówki ekranowej masz do dyspozycji następujące opcje:
- | Tekst: wpisz objaśnienie, które opisuje działanie linku.
- | Obraz: wstaw obraz, który będzie wyświetlony obok objaśnienia albo zamiast niego.
- | Szerokość: określ w pikselach szerokość wskazówki ekranowej.

 Tekst, Obraz i Szerokość są różne dla poszczególnych linków, więc trzeba je definiować od nowa dla każdego z nich. Ponieważ aspekt graficzny wskazówki ekranowej jest istotny dla całego projektu, definiuje się go globalnie w oknie Style i modele w części Krok 4 - Ustawienia zaawansowane.

Zagadnienia pokrewne:
- | Link
- | Style i modele | Wskazówka ekranowa


Paleta kolorów

Za każdym razem, gdy należy określić kolor jakiegoś elementu na stronie, należy wybrać go z Platy kolorów. Na palecie są widoczne kolory domyślne oraz w dolnym wierszu ostatnio używane.

Jeśli w którymś oknie klikniesz przycisk obok opcji Kolor, pojawi się paleta 48 kolorów. Klikniecie któregoś z nich jest równoważne z jego wybraniem.

Na palecie, poza głównymi kolorami dostępne są:
- | Przezroczysty: ta opcja jest dostępna tylko wtedy, gdy można jej użyć. Powoduje, że wybrany element staje się niewidoczny.
- | Ostatnio użyte kolory: Poniżej głównej palety kolorów widoczny jest wiersz 8 ostatnio użytych kolorów.
- | Więcej kolorów: Kliknięcie tej opcji otwiera nowe okno, gdzie masz większy wybór kolorów.
- | Zakraplacz: kliknięcie zakraplacza pozwala pobrać kolor z dowolnego wyświetlonego elementu, nawet poza oknem programu WebSite X5. Kliknij zakraplacz prawym przyciskiem myszy i przytrzymaj przycisk. Przenieś wskaźnik myszy nad pożądany kolor i tam zwolnij przycisk myszy, by pobrać kolor.


Właściwości efektu

W tym oknie można zdefiniować efekt przejścia między obrazami w pokazie slajdów, który można wstawić w Edytorze wzorca oraz dla obrazów wstawionych do Galerii obrazów.

Opcje w oknie są rozmieszczone na następujących kartach:

1. Rodzaj efektu

Na tej karcie możesz wybrać efekt, który ma być zastosowany do obrazów.
- | Lista efektów: lista wszystkich dostępnych efektów. Jeśli wybierzesz "1 - Losowo", efekty przejścia będą stosowane w kolejności losowej. Kiedy dokonasz wyboru, efekt zostanie pokazany w polu Podgląd.
- | Czas wyświetlania: możesz określić, ile sekund każdy obraz będzie wyświetlany.

2. Powiększenie i położenie
Tu możesz określić powiększenie i położenie (przesunięcie) wybranego obrazu.
- | Położenie początkowe: podaj procentowe powiększenie oraz współrzędne X i Y, od których obraz ma się zacząć przesuwać.
- | Położenie końcowe: podaj procentowe powiększenie oraz współrzędne X i Y, na których obraz ma zakończyć przesunięcie.
W obu wypadkach, zamiast podawać współrzędne w polach, możesz przesunąć obrazy na podglądzie i tak określić położenie początkowe i końcowe.

Efekt przejścia i zmiany powiększenia i położenia możesz zastosować do tego samego obrazu. Najpierw stosowany jest efekt przejścia, a obraz jest wyświetlany zgodnie z wartościami początkowymi położenia. Następnie obraz jest przesuwany i zmieniana jest w razie potrzeby jego wielkość, aż osiągnie współrzędne i rozmiar określone jako końcowe.

Następna karta jest dostępna tylko dla pokazu slajdów wstawionego w Edytorze wzorca.

3. Strona
Na tej karcie możesz wybrać strony witryny, na których będą wyświetlane obrazy wybrane z pokazu slajdów. Należy tu zaznaczyć w mapie witryny pole wyboru obok odpowiedniej strony.

Określenie, na których stronach konkretny obraz z pokazu slajdów ma być wyświetlany może przydać się przy planowaniu banera reklamowego. W pokazie slajdów możesz ustawić wszystkie banery pokazywane w witrynie. Natomiast na poszczególnych stronach będą pokazywały się tylko te, które mają się na nich pojawić.

Zagadnienia pokrewne:
- | Edytor wzorca | Pokaz slajdów
- | Galeria obrazów | Lista


Ładowanie dołączonego pliku

To okno otwiera dialogowe się wtedy, gdy klikniesz przycisk Dodaj... w oknie Animacja Flash | Zaawansowane lub w oknie HTML i gadżety | Zaawansowane.

Są w nim następujące kontrolki:
- | Dołączony plik do wysłania na serwer: możesz zaimportować plik, który jest dołączony do wybranej animacji Flash.
- | Względna ścieżka dostępu na serwerze: wpisz ścieżkę dostępu do folderu na serwerze, gdzie ma zostać umieszczony zaimportowany plik dołączony do animacji Flash.
- | Arkusz stylu strony (tylko pliki .js i .css) jeśli importowany plik jest skryptem JavaScript (w formacie .js) lub arkuszem stylów (w formacie .css), trzeba go dołączyć do strony, żeby mógł działać. Kiedy zaznaczysz to pole wyboru, odpowiedni kod zostanie automatycznie wstawiony do tagu <HEAD> kodu HTML strony.

Zagadnienia pokrewne:
- | Animacja Flash | Zaawansowane
- | HTML i gadżety | Zaawansowane


Ustawienia zaawansowane

Kiedy utworzysz już mapę witryny w kroku 2, a potem wypełnisz poszczególne strony treścią w kroku 3, możesz przejść do kroku 4, gdzie masz do dyspozycji spory wybór zaawansowanych funkcji i narzędzi do dopracowania witryny. Możesz nadać witrynie niepowtarzalny styl, zmieniając wygląd menu i tekstu oraz wyposażyć witrynę w wiele ważnych funkcji, takich jak sklep internetowy, blog albo strefę użytkownika.

Oto dostępne funkcje:

 Menu główne
Tu możesz zaprojektować styl menu głównego, które widoczne jest w całej witrynie na górze (jeśli w ustawieniach ogólnych , w kroku 1., wybrane zostało menu poziome) lub z boku (jeśli w ustawieniach ogólnych , w kroku 1., wybrane zostało menu pionowe) i pomaga gościom witryny poruszać się po niej.

Menu rozwijane
Tu możesz określić wygląd menu rozwijanego. Takie menu wyświetlane jest, gdy wskaźnik myszy najedzie na element menu głównego będący poziomem.

Podmenu
Jeśli na stronie ma się pojawić menu, za pomocą tych opcji możesz zdefiniować jego wygląd. W podmenu wyświetlana jest lista stron na bieżącym poziomie menu.

Style i modele
Tutaj możesz określić styl różnych elementów tekstowych na stronie, styl pola pokazu przypisanego galerii obrazów, styl wskazówki ekranowej, która może wyświetlać podpowiedź dla linku, oraz styl wiadomości e-mail wysyłanej przez formularz e-mail lub zdefiniowanej w sklepie internetowym.

Strona wstępna
Tu możesz zdefiniować ustawienia strony wstępnej witryny. Strona wstępna wprowadza gościa do witryny. Może mieć podkład muzyczny i wyświetlać linki do języków w wypadku witryn wielojęzycznych.

Reklama
Tutaj możesz zdefiniować i skonfigurować reklamę wyświetlaną w wybranym miejscu albo tylko na stronie głównej, albo na wszystkich stronach witryny.

Blog
Tu możesz stworzyć blog. Blog jest rodzajem dziennika, gdzie publikuje się najnowsze wiadomości, a goście mogą umieszczać swoje komentarze.

Kanał RSS
Tutaj możesz utworzyć i zarządzać kanałem RSS, niezastąpionym instrumentem podawania najnowszych wiadomości.

Zarządzanie dostępem
Jest miejsce tworzenia profili użytkowników, którzy mają dostęp do stron zablokowanych w witrynie; użytkowników dzieli się na grupy o różnych prawach dostępu. Strony blokuje się w kroku 2., podczas definiowania mapy witryny; są to strony należące do strefy użytkownika i wymagają zalogowania się hasłem. Profil użytkownika determinuje, do których zablokowanych stron witryny użytkownik ma dostęp.

Sklep
Tu możesz zorganizować sklep internetowy i zarządzać nim. Tutaj określa się wszystkie aspekty dotyczące prowadzenia sklepu internetowego, takie jak lista produktów, dostawa i metody płatności, układ formularza zamówienia itd.

Więcej informacji na temat tworzenia mapy witryny i różnicy między pierwszym a drugim poziomem menu, menu rozwijanego i podmenu znajdziesz pod hasłem Planowanie witryny.


Styl menu głównego

W tym oknie możesz zaprojektować styl przycisków menu głównego.

Menu jest tworzone i aktualizowane automatycznie przez program zgodnie z ustawieniami poczynionymi w oknie Krok 2 - Planowanie witryny. W menu głównym widoczne są elementy z pierwszego poziomu mapy witryny.Jest narzędziem służącym gościowi witryny do poruszania się po niej. Menu główne widoczne jest na każdej stronie witryny. Jeśli dla witryny zostało wybrane menu poziome, będzie ono widoczne tuż nad lub tuż pod nagłówkiem. Jeśli dla witryny zostało wybrane menu pionowe, będzie ono widoczne w kolumnie po lewej lub po prawej stronie treści strony.

Program WebSite X5 tworzy przyciski menu głównego w zależności od ustawień stylu:
- | Przyciski tekstowe: jeśli zdecydujesz się na przyciski o regularnym prostokątnym kształcie w jednolitym kolorze, przyciski menu zostaną utworzone jako tekst, a ich ustawienia zostaną zapisane w arkuszu stylów (CSS). Przyciski tekstowe szybciej się wczytują i wyświetlają.
- | Trójwymiarowe: jeśli wybierzesz jakikolwiek inny kształt przycisku, poza prostokątnym, i wybierzesz styl trójwymiarowy, przyciski menu zostaną utworzone jako obrazy. Przyciski trójwymiarowe dają o wiele więcej możliwości wyboru ustawień graficznych i stylów czcionki.

Co należy zrobić?

Kiedy wiesz już, czy witryna ma mieć Menu poziome, czy Menu pionowe (Krok 1 - Wybór wzorca lub Krok 1 - Wzorzec własny) i masz gotową mapę witryny (Krok 2 - Tworzenie mapy witryny), program WebSite X5 może utworzyć menu główne służące do poruszania się po stronach witryny. Kiedy przejdziesz do kroku 4 - Ustawienia zaawansowane, możesz kliknąć Menu główne i zaprojektować je według swoich upodobań.

Opcje służące do określania wyglądu przycisków są rozmieszczone na kartach:
- | Ogólne
- | Elementy menu
- | Trójwymiarowe

Zagadnienia pokrewne:

-

Ustawienia zaawansowane


Styl menu głównego | Ogólne

Za pomocą opcji na karcie Ogólne okna Styl menu głównego możesz określić wszystkie aspekty wyglądu menu głównego.

W grupie Styl dostępne są opcje:
- | Szerokość: możesz określić w pikselach szerokość przycisków menu głównego.
- | Margines poziomy / Margines pionowy: marginesy określają odległość między krawędzią przycisku a tekstem wewnątrz. Możesz zdecydować, ile miejsca będzie wokół tekstu na górze i dole oraz po obu stronach.
- | Odległość między przycisk.: określ odległość między jednym przyciskiem a drugim.

W grupie Tekst dostępne są opcje:
- | Czcionka: w oknie dialogowym określ czcionkę tekstu, jej styl oraz rozmiar.
- | Wyrównanie: określ sposób wyrównania obrazu tekstu - Lewa, Centruj lub Prawa.
- | Zastosuj wygładzanie tekstu: zaznacz to pole wyboru, jeśli chcesz wygładzić krawędzie liter.

W grupie Opcje dostępne jest ustawienie:

-

Pozwól na automatyczne przewijanie w pionie: jeśli zaznaczysz to pole wyboru, menu pionowe będzie przewijane wraz z zawartością strony, także zawsze będzie na widoku.

Określając szerokość przycisków, musisz brać pod uwagę ilość miejsca dostępnego dla menu. Parametru tego nie należy zmieniać dla wzorca domyślnego (patrz Wzorzec własny).

Zagadnienia pokrewne:

-

Styl menu głównego


Styl menu głównego | Elementy menu

Opcje na karcie Elementy menu okna Styl menu głównego służą do określenia kolorystyki, obrazów tła i stylów tekstu przycisków menu głównego w różnych stanach.

Najpierw wybierz Element menu, którego wygląd chcesz zmienić. Możesz mieć wpływ na wygląd [image] elementu menu oraz [image] elementu pod wskaźnikiem myszy lub bieżącej strony. Możesz wybrać, co chcesz z menu rozwijanego lub kliknąć bezpośrednio na podglądzie, który jest aktualizowany w czasie rzeczywistym zgodnie z ustawieniami.

W obu wypadkach w grupie Styl są dostępne opcje:
- | Kolor tła / Kolor tekstu / Kolor krawędzi: z palety kolorów wybierz kolorystykę tła, tekstu i krawędzi.
- | Obraz tła: w tle przycisku możesz umieścić obraz. Kliknij przycisk [image] , żeby znaleźć odpowiedni obraz. Musi mieć format .JPG, .GIF lub .PNG.
- | Styl czcionki: dla elementu menu możesz wybrać styl tekstu na przycisku; do wyboru są Brak, Wklęsły, Wypukły i Cień. Dla elementu pod wskaźnikiem myszy lub na bieżącej stronie do wyboru są Normalna, Pogrubienie, Kursywa i Pogrubienie Kursywa.

Zagadnienia pokrewne:

-

Styl menu głównego


Styl menu głównego | Trójwymiarowe

Opcje na karcie Trójwymiarowe okna Styl menu głównego służą do projektowania przycisków trójwymiarowych.

W grupie Kształt dostępne są opcje:
- | Kształt: wybierz z listy kształt przycisku.
- | Zaokrąglenie: określ, na ile zaokrąglone mają być narożniki przycisków (z zaokrąglonymi rogami).
- | Scal przyciski w jeden kształt: jeśli zaznaczysz to pole wyboru, przyciski zostaną scalone w blok, a ustawienia kształtu będą dotyczyły całego bloku.

W grupie Format 3D dostępne są opcje:
- | Grafika: wybierz, czy przycisk ma być Płaski, Płaska poduszka, Wypukły, Wklęsły itd.
- | Kierunek światła: określ kierunek padania światła na przycisk.
- | Współczynnik gradientu: określ poziom zacienienia przycisku.
- | Krycie obrazu: możesz określić stopień nieprzezroczystości obrazu wstawionego do przycisku na karcie Elementy menu.

W grupie Krawędź 3D dostępne są następujące opcje:
- | Styl krawędzi do wyboru jest Brak, Normalna, Wypukła lub Wklęsła krawędź przycisku.
- | Szerokość na zewnątrz / Szerokość wewnątrz: możesz określić zewnętrzną i wewnętrzną grubość krawędzi przycisku.
- | Tylko krawędź zewnętrzna: jeśli zaznaczysz to pole wyboru, ustawienia krawędzi zostaną zastosowane do zewnętrznych krawędzi scalonego bloku przycisków.

Zagadnienia pokrewne:

-

Styl menu głównego


Styl menu rozwijanego

W tym oknie dostępne są opcje służące do definiowana pewnych zaawansowanych aspektów graficznych menu rozwijanego.

Menu jest tworzone i aktualizowane automatycznie przez program zgodnie z ustawieniami poczynionymi w oknie Krok 2 - Planowanie witryny. Menu rozwijane wyświetlane jest, gdy wskaźnik myszy najedzie na element menu głównego będący poziomem.

Podobnie jak w wypadku menu głównego, WebSite X5 tworzy przyciski menu rozwijanego jako przyciski tekstowe lub przyciski trójwymiarowe, zgodnie a poczynionymi ustawieniami (patrz Styl menu głównego).

Co należy zrobić?

Kiedy wybierzesz już dla witryny Manu poziome lub Menu pionowe (Krok 1 - Wybór wzorca lub Krok 1 - Wzorzec własny) i zdefiniujesz mapę witryny (Krok 2 - Tworzenie mapy witryny), program WebSite X5 może utworzyć menu umożliwiające poruszanie się po witrynie. Jeśli przejdziesz do kroku 4 - Ustawienia zaawansowane i klikniesz Menu rozwijane, możesz dostosować do własnych potrzeb wygląd tego menu.

Opcje zmiany wyglądu menu rozwijanego są rozmieszczone na następujących kartach:
- | Ogólne
- | Elementy menu
- | Trójwymiarowe

Zagadnienia pokrewne:

-

Ustawienia zaawansowane


Styl menu rozwijanego | Ogólne

Opcje na karcie Ogólne okna Styl menu rozwijanego służą do określenia ogólnych ustawień menu.

Najpierw wybierz Typ menu, jakie chcesz utworzyć, a do wyboru są:

Rozmieść w jednej kolumnie: elementy menu rozwijanego pojawiają się w pojedynczej kolumnie jeden pod drugim.

Rozmieść w większej liczbie kolumn: elementy menu rozwijanego pojawiają się w kilku sąsiadujących kolumnach. Nowa kolumna pojawia się wtedy gdy,
- | liczba elementów menu jest większa niż liczba określona w polu Maks. elem. w kolumnie;
- | lista stron w mapie witryny jest rozdzielona separatorem (patrz Definiowanie struktury mapy witryny).
Jeśli w oknie Wybór wzorca lub Wzorzec własny zostało wybrane Menu pionowe, możesz także wybrać opcję:

 Harmonia pionowa: wszystkie elementy menu rozwijanego pojawiają się w pojedynczej kolumnie. Kiedy klikniesz na jakiś element, wszystkie elementy poniżej przesuwają się w dół, żeby zrobić miejsce na wyświetlenie nowej listy elementów wcześniej ukrytych, a należących do wybranego poziomu.

Kiedy wybierzesz typ menu, możesz ustawić parametry w polach Styl:
- | Szerokość: możesz określić w pikselach szerokość przycisków menu.
- | Margines poziomy / Margines pionowy: marginesy określają odległość między krawędzią przycisku a tekstem wewnątrz. Możesz zdecydować, ile miejsca będzie wokół tekstu na górze i dole oraz po obu stronach.
- | Maks. elem. w kolumnie: to ustawienie jest dostępne wtedy, gdy wybrany jest typ menu Rozmieść w większej liczbie kolumn. Możesz podać maksymalną liczbę elementów w kolumnie menu rozwijanego.

W grupie Tekst dostępne są opcje:
- | Czcionka: w oknie dialogowym określ czcionkę tekstu, jej styl oraz rozmiar.
- | Wyrównanie: określ sposób wyrównania obrazu tekstu - Lewa, Centruj lub Prawa.

W grupie Opcje dostępne jest ustawienie:

-

Efekt: możesz wybrać sposób pojawiania się menu rozwijanego: Brak, Zanikanie, Rozwijanie z góry, Rozwijanie w lewo i Rozwijanie z lewej od góry.

Zagadnienia pokrewne:

-

Styl menu rozwijanego


Styl menu rozwijanego | Elementy menu

Opcje na karcie Elementy menu okna Styl menu rozwijanego służą do określenia kolorów, obrazów tła, stylu tekstu i innych ustawień dotyczących przycisków menu rozwijanego.

Najpierw wybierz Element menu, którego wygląd chcesz zmienić. Możesz określić wygląd [image] elementu menu, [image] elementu pod wskaźnikiem myszy i [image] separatora. To samo możesz wybrać, klikając odpowiedni element na podglądzie, który jest aktualizowany na bieżąco.

W grupie Styl dostępne są następujące opcje:
- | Kolor tła / Kolor tekstu / Kolor krawędzi: na palecie kolorów możesz wybrać kolor tekstu na przycisku, kolor samego przycisku i kolor jego krawędzi. Dla separatora możesz wybrać tylko Kolor tekstu.
- | Obraz tła: dla Element menu i Element pod wskaźnikiem myszy możesz wybrać obraz, który będzie wyświetlany jako tło przycisku. Kliknij przycisk [image] , żeby znaleźć odpowiedni plik obrazu. Musi mieć format .JPG, .GIF lub .PNG.
- | Styl czcionki: dla elementu pod wskaźnikiem myszy i separatora masz do wyboru Normalna, Pogrubienie, Kursywa i Pogrubienie Kursywa.
- | Ikona punktora: możesz wybrać obraz, który będzie wyświetlony jako punktator obok przycisków lub separatorów. Kliknij przycisk [image] , żeby znaleźć odpowiedni plik obrazu. Musi mieć format .JPG, .GIF lub .PNG.

Zagadnienia pokrewne:

-

Styl menu rozwijanego


Styl menu rozwijanego | Trójwymiarowe

Na karcie Trójwymiarowe okna Styl menu rozwijanego możesz zdefiniować trójwymiarowy wygląd przycisków.

W grupie Kształt dostępne są następujące opcje:
- | Kształt: wybierz z listy kształt przycisku.
- | Zaokrąglenie: określ, na ile zaokrąglone mają być narożniki przycisków (z zaokrąglonymi rogami).
- | Scal przyciski w jeden kształt: jeśli zaznaczysz to pole wyboru, przyciski zostaną scalone w blok, a ustawienia kształtu będą dotyczyły całego bloku.

W grupie Format 3D dostępne są opcje:
- | Grafika: wybierz, czy przycisk ma być Płaski, Płaska poduszka, Wypukły, Wklęsły itd.
- | Kierunek światła: określ kierunek padania światła na przycisk.
- | Współczynnik gradientu: określ poziom zacienienia przycisku.
- | Krycie obrazu: możesz określić stopień nieprzezroczystości obrazu wstawionego do przycisku na karcie Elementy menu.

W grupie Krawędź 3D dostępne są następujące opcje:
- | Styl krawędzi: do wyboru jest Brak, Normalna, Wypukła lub Wklęsła krawędź przycisku.
- | Szerokość na zewnątrz / Szerokość wewnątrz: możesz określić zewnętrzną i wewnętrzną grubość krawędzi przycisku.
- | Tylko krawędź zewnętrzna: jeśli zaznaczysz to pole wyboru, ustawienia krawędzi zostaną zastosowane do zewnętrznych krawędzi scalonego bloku przycisków.

Zagadnienia pokrewne:

-

Styl menu rozwijanego


Styl podmenu

W tym oknie dostępne są opcje niektórych zaawansowanych ustawień dotyczących wyglądu przycisków podmenu.

Menu jest tworzone i aktualizowane automatycznie przez program zgodnie z ustawieniami poczynionymi w oknie Krok 2 - Planowanie witryny. Podmenu widoczne na stronie jest opcjonalne. Wyświetla ono nazwy stron dostępnych na danym poziomie menu głównego. Jeśli gość witryny otworzy stronę należącą do jakiegoś poziomu, a ten poziom zawiera jakieś strony, ich lista zostanie wyświetlona na stronie. Podmenu jest zawsze pionowe i może być wyświetlane po lewej lub po prawej stronie.

Podobnie, jak w wypadku menu głównego, program WebSite X5 w zależności od ustawień utworzy przyciski podmenu tekstowe albo trójwymiarowe (patrz Styl menu głównego).

Co należy zrobić?

Kiedy wiesz już, czy witryna ma mieć Menu poziome, czy Menu pionowe (Krok 1 - Wybór wzorca lub Krok 1 - Wzorzec własny) i masz gotową mapę witryny (Krok 2 - Tworzenie mapy witryny), program WebSite X5 może utworzyć menu główne służące do poruszania się po stronach witryny. Kiedy przejdziesz do kroku 4 - Ustawienia zaawansowane możesz kliknąć Podmenu i dostosować wygląd tego rodzaju menu.

Opcje służące do określania wyglądu przycisków są rozmieszczone na kartach:
- | Ogólne
- | Elementy menu

Zagadnienia pokrewne:

-

Ustawienia zaawansowane


Styl podmenu | Ogólne

Opcje na karcie Ogólne okna Styl podmenu służą do określenia ogólnych ustawień menu.

Żeby strony należące do bieżącego poziomu menu były wyświetlane, najpierw musisz zaznaczyć pole wyboru Pokaż podmenu na stronie.

Gdy to zrobisz, możesz określić ustawienia w grupie Styl:
- | Położenie menu: wybierz, czy podmenu ma być wyświetlane po lewej, czy po prawej stronie.
- | Szerokość: określ w pikselach szerokość przycisków podmenu.
- | Margines poziomy / Margines pionowy: marginesy określają odległość między krawędzią przycisku a tekstem wewnątrz. Za ich pomocą określasz, ile wolnego miejsca jest wokół tekstu.
- | Odległość między przycisk.: określ, jaka ma być odległość między poszczególnymi przyciskami.

W grupie Tekst dostępne są ustawienia:
- | Czcionka: po kliknięciu przycisku w oknie dialogowym wybierz rodzaj czcionki i jej rozmiar.
- | Wyrównanie: zdecyduj, jak tekst na przyciskach będzie wyrównany: Lewa, Centruj lub Prawa.

W grupie Krawędź dostępne są opcje:
- | Kolor krawędzi:z palety kolorów wybierz kolor krawędzi.
- | Grubość: określ grubość krawędzi przycisków.

Zagadnienia pokrewne:

-

Ustawienia zaawansowane


Styl podmenu | Elementy menu

Opcje na karcie Elementy menu okna Styl podmenu służą do zdefiniowania wyglądu elementów podmenu wyświetlanego na stronie.

Najpierw wybierz Element menu, którego wygląd chcesz zmienić. Możesz określić wygląd [image] elementu menu, [image] elementu pod wskaźnikiem myszy lub bieżącej strony, [image] separatora i [image] separatora liniowego. Odpowiedni element możesz wybrać z listy rozwijanej albo kliknąć go bezpośrednio na podglądzie, który jest na bieżąco aktualizowany zgodnie z wprowadzonymi zmianami.
- | Kolor tła / Kolor tekstu / Kolor linii: z palety kolorów wybierz kolor tła i tekstu dla elementu menu, elementu pod wskaźnikiem myszy lub bieżącej strony i separatora lub kolor separatora liniowego.
- | Ikona punktora: to ustawienie jest dostępne dla elementu menu, elementu pod wskaźnikiem myszy i separatora. Możesz zaimportować plik (w formacie .JPG, .GIF lub .PNG), który jako punktor będzie wyświetlany po lewej stronie przycisków podmenu, także menu wygląda jak lista punktowana.
- | Styl czcionki: dla elementu pod wskaźnikiem myszy i separatora możesz określić styl tekstu, a do wyboru są Normalna, Pogrubienie, Kursywa i Pogrubienie Kursywa.
- | Styl linii: to ustawienie jest dostępne dla separatora liniowego. Do wyboru są Jednolity, Kreska, Kropka, Wklęsły i Wypukły.

Zagadnienia pokrewne:

-

Ustawienia zaawansowane


Style i modele

Tutaj możesz określić styl różnych elementów tekstowych na stronie, styl pola pokazu przypisanego galerii obrazów, styl listy produktów, wskazówki ekranowej, która może wyświetlać podpowiedź dla linku, oraz styl wiadomości e-mail wysyłanej przez formularz e-mail lub zdefiniowanej w sklepie internetowym.

Styl na ogół definiuje się jako zbiór ustawień formatujących tekst i grafikę, które są stosowane do elementów i zmieniają ich wygląd. Dzięki oknu Style i modele możesz połączyć kilka różnych formatów w jeden.

Co należy zrobić?

Kiedy zdefiniujesz już mapę witryny (Krok 2 - Tworzenie mapy witryny) i wypełnisz poszczególne strony treścią (Krok 3 - Tworzenie stron), możesz przejść do kroku 4 - Ustawienia zaawansowane i zdefiniować style poszczególnych elementów widocznych na stronach witryny.

Opcje rozmieszczone są na kartach:
- | Tekst
- | Pole pokazu
- | Wskazówka ekranowa
- | E-mail

Zagadnienia pokrewne:

-

Ustawienia zaawansowane


Style i modele | Tekst

Opcje na karcie Tekst okna Style i modele służą do określenia ustawień stylu różnych elementów tekstowych pojawiających się w witrynie.

Wybierz Element strony, który chcesz zmodyfikować albo z menu rozwijanego, albo klikając go na podglądzie.

Możesz zdefiniować styl następujących elementów strony:

 Tytuł strony: ta opcja odnosi się do nazwy każdej strony w witrynie, tak jak została ona podana podczas tworzenia mapy witryny lub rozszerzonego tytułu strony określonego w oknie Właściwości strony.

Ścieżka dostępu do strony: odnosi się do tekstu, który pojawia się bezpośrednio pod tytułem strony i podaje ścieżkę dostępu, jaką ma w witrynie dana strona (pomaga gościowi witryny zorientować się, gdzie się znajduje). Ścieżka dostępu wyświetlana jest przez program automatycznie.

Tekst strony: jest to tekst akapitu wstawionego jako obiekt tekstowy. Określony tutaj styl jest stosowany domyślnie do wszystkich tekstów wpisywanych w edytorze Tekst. Tak określony domyślny styl może być później zmodyfikowany za pomocą narzędzi dostępnych w edytorze. Domyślny styl tekstu strony jest także stosowany do tekstów wstawianych przez program automatycznie, na przykład na stronach strefy użytkownika, w blogu, w wynikach wyświetlanych po kliknięcia pola Szukaj i w mapie witryny.

Link aktywny / Link pod wskaźnikiem myszy / Link już odwiedzony: te elementy odnoszą się do tekstu hiperłączy wstawionych w oknie Tekst. Link zmienia wygląd w zależności od swojego stanu: aktywny, pod wskaźnikiem myszy lub odwiedzony. Określenie wyglądu linków w zależności od ich stanu pomaga gościowi witryny poruszać się po witrynie, bo widzi, których hiperłączy już używał.

Menu w stopce: jest to menu powtarzające elementy menu głównego i wyświetlane na dole każdej strony.

W grupie Styl dla wybranego elementu strony dostępne są następujące opcje.
- | Widoczny: możesz zdecydować, czy wybrany element strony jest widoczny, czy nie. To pole wyboru nie jest dostępne dla tekstu strony i linków, których nie można ukryć na stronie. Ukrycie elementu na stronie nie oznacza usunięcia go z kodu strony. Oznacza tylko tyle, że element nie jest wyświetlany po opublikowaniu strony. Możesz chcieć na przykład ukryć Tytuł strony, bo wolisz zamiast niego wyświetlić grafikę. Ale tag <title> w kodzie HTML nie zniknie z tego powodu.
- | Kolor tła / Kolor tekstu: z palety kolorów możesz wybrać kolor tła oraz tekstu wybranego elementu strony. Nie możesz zmienić koloru tła dla tekstu strony, ponieważ ten zależy od ustawień wzorca (patrz Wybór wzorca lub Wzorzec własny) albo od ustawień stylu komórki, do której wstawiony jest obiekt Tekst.
- | Czcionka: po kliknięciu przycisku w otwartym oknie dialogowym możesz wybrać rodzaj czcionki, jej rozmiar i styl.
- | Wyrównanie: możesz zdecyfdować, czy element na stronie powinien być wyrównany do lewej, do prawej, czy wyśrodkowany. To ustawienie nie jest dostępne dla linków, ponieważ hiperłacza są wstawiane w tekście zgodnie z ustawieniami jego stylu.
- | Styl tekstu: te ustawienia są dostępne tylko dla linków i można tu wybrać Normalny albo Podkreślony.
- | Wskaźnik: To ustawienie jest dostępne tylko dla linku aktywnego, a pozostałe dwa style linków dziedziczą wybrany wskaźnik. Możesz wybrać wygląd wskaźnika myszy po najechaniu na link. Kliknij przycisk [image] , żeby wybrać plik w formacie .CUR lub .ICO.
- | Linie powyżej / Linia poniżej: z palety kolorów możesz wybrać kolor linii, która ma się pojawić powyżej lub poniżej tytułu strony, ścieżki dostępu do strony lub menu w stopce.

Zagadnienia pokrewne:

-

Style i modele


Style i modele | Pole pokazu

Opcje na karcie Pole pokazu okna Style i modele służą do definiowania stylu pola służącego do wyświetlania galerii obrazów JavaScript (patrz Galeria obrazów), do wyświetlania po kliknięciu linku galerii w oknie pokazu (patrz Link | Akcja) oraz do wyświetlania listy produktów. We wszystkich wypadkach otwierane jest pole pokazu, a w nim powiększony obraz, film lub pokaz slajdów. Kiedy gość witryny kliknie link, okno przeglądarki zostaje przydymione, a na wierzchu zgodnie z ustawieniami efektu przejścia pojawia się pole pokazu.

W grupie Styl dostępne są ustawienia:
- | Efekt otwarcia: możesz wybrać sposób pojawienia się na ekranie pola pokazu. Do wyboru są efekty: Brak, Wyłanianie i Zjazd z góry.
- | Kolor tła na zewnątrz / Kolor tła w polu: z palety kolorów możesz wybrać, jaki kolor będzie miało tło wewnątrz pola pokazu, a jaki na zewnątrz. Kolor na zewnątrz okna pokazu jest półprzezroczysty (poziom przezroczystości zależy od ustawienia Krycie tła) i zasłania okno przeglądarki.
- | Krycie tła: poziom nieprzezroczystości tła na zewnątrz pola pokazu. Im większa wartość, tym mniej będzie prześwitywać okno przeglądarki.
- | Pokaż padający cień (CCS3): pole pokazu może rzucać cień. Cień będzie widoczny tylko w przeglądarkach obsługujących CSS3.

W grupie Krawędź dostępne są następujące ustawienia:
- | Kolor krawędzi: z palety kolorów możesz wybrać kolor obramowania pola pokazu.
- | Grubość: podaj grubość krawędzi obramowania pola pokazu.

W grupie Tekst dostępne są następujące ustawienia:
- | Czcionka: podaj rodzaj, rozmiar i styl czcionki tekstu wyświetlanego w polu pokazu.
- | Wyrównanie: określ sposób wyrównania obrazu tekstu w polu pokazu - Lewa, Centruj lub Prawa.
- | Kolor tekstu: z palety kolorów wybierz kolor tekstu pola pokazu.

Zagadnienia pokrewne:
- | Style i modele
- | Galeria obrazów
- | Link | Akcja
- | Lista produktów


Style i modele | Wskazówka ekranowa

Opcje na karcie Wskazówka ekranowa okna Style i modele pozwalają zdefiniować styl wskazówki ekranowej towarzyszącej hieprłączu przypisanemu tekstowi lub obrazowi po kliknięciu przycisku [image] Wstaw link. Wskazówka ekranowa pojawia się, gdy wskaźnik myszy najedzie na hiperłącze i jest krótkim, wyświetlanym w "dymku" objaśnieniem, co się stanie, gdy gość witryny kliknie link.

W grupie Styl dostępne są opcje:
- | Pozycja: wybierz, czy wskazówka ekranowa ma być wyświetlana na górze, na dole, po prawej, czy po lewej stronie hiperłącza.
- | Efekt: wybierz efekt towarzyszący pojawieniu się wskazówki ekranowej: Wyłanianie, czy Rozwijanie.
- | Kolor tła: z palety kolorów wybierz kolor tła wskazówki ekranowej.
- | Zaokrąglenie: określ, czy i w jakim stopniu mają być zaokrąglone narożniki dymku wskazówki ekranowej.
- | Pokaż padający cień (CCS3): wskazówka ekranowa może rzucać cień.
- | Pokaż ogonek: możesz zdecydować, czy pole wskazówki ekranowej ma mieć ogonek wskazujący na element, którego dotyczy.

W grupie Krawędź dostępne są opcje:
- | Kolor krawędzi:z palety kolorów wybierz kolor krawędzi.
- | Grubość: podaj grubość krawędzi obramowania.

W grupie Tekst dostępne są opcje:
- | Czcionka: podaj rodzaj, rozmiar i styl czcionki tekstu wyświetlanego we wskazówce ekranowej.
- | Wyrównanie: określ sposób wyrównania tekstu we wskazówce ekranowej - Lewa, Centruj lub Prawa.
- | Kolor tekstu: z palety kolorów wybierz kolor tekstu we wskazówce ekranowej.

 Ustawienia obowiązują w całym projekcie i wszystkie wskazówki ekranowe mają taki sam wygląd. Treść wskazówki ekranowej oraz ewentualny obraz w niej widoczny definiuje się na karcie Opis okna Link.

Zagadnienia pokrewne:
- | Style i modele
- | Link | Opis


Style i modele | E-mail

Opcje na karcie E-mail okna Style i modele służą do definiowania stylu tekstu wiadomości e-mail tworzonych na użytek formularza e-mail oraz sklepu internetowego.

Wybierz Element wiadomości e-mail, którego styl chcesz zdefiniować, albo z listy rozwijanej albo klikając go bezpośrednio na podglądzie.

Możesz zdefiniować styl następujących elementów wiadomości e-mail:

 Układ wiadomości e-mail: wszystkie wiadomości utworzone przez program będą miały taki sam układ. Jest on podzielony na dwa obszary: centralny, gdzie wpisuje się treść wiadomości, i zewnętrzny, stanowiący tło. Możesz wokół centralnego pola zrobić ramkę, żeby wyraźnie rozdzielić tekst wiadomości od tła.

Obraz/Logo firmy: w nagłówku wiadomości możesz umieścić obraz. Może to być logo firmy albo baner reklamowy.

Treść wiadomości: to centralny obszar wiadomości e-mail, gdzie wpisuje się tekst.

Stopka wiadomości: to tekst kończący wiadomość e-mail. Jest to na ogół standardowy przypis, nie związany z właściwą treścią wiadomości, pisany mniejszą czcionką i może mieć inny kolor.

Dla poszczególnych elementów wiadomości e-mail dostępne są różne opcje:
Układ wiadomości e-mail:

-

Kolor tła na zewnątrz / Kolor tła w polu:z palety kolorów możesz wybrać, jaki kolor będzie miało tło wewnątrz wiadomości, a jaki na zewnątrz.

-

Kolor krawędzi / Grubość: określ kolor i grubość krawędzi, jeśli chcesz, żeby obszar treści wiadomości był oddzielony od tła na zewnątrz.
Obraz/Logo firmy:

-

Plik obrazu: w nagłówku wiadomości możesz umieścić obraz. Kliknij przycisk [image], żeby znaleźć plik obrazu (w formacie .JPG, .GIF lub .PNG).

-

Wyrównanie: określ sposób wyrównania obrazu - Lewa, Centruj lub Prawa.

-

Pozycja: wybierz, gdzie ma być umieszczony obraz - wewnątrz, czy na zewnątrz centralnego obszaru wiadomości.

-

Szerokość: szerokość obrazu jest wyświetlana automatycznie i możesz ją zmienić w razie potrzeby.

Maksymalna szerokość wynosi 700 pikseli i zależy od układu wiadomości e-mail. Ten parametr gwarantuje poprawne wyświetlenie wiadomości e-mail, niezależnie od tego, kto ja otrzyma.
Treść wiadomości:

-

Kolor tekstu: z palety kolorów wybierz kolor tekstu wiadomości.

-

Czcionka: wybierz styl oraz rozmiar czcionki, jaka ma być zastosowana w tekście.
Stopka wiadomości:

-

Kolor tekstu: z palety kolorów wybierz kolor tekstu stopki.

-

Czcionka: wybierz styl oraz rozmiar czcionki, jaka ma być zastosowana w tekście stopki.

-

Wyrównanie: określ sposób wyrównania tekstu stopki - Lewa, Centruj lub Prawa.

-

Pozycja: wybierz, gdzie ma być umieszczona stopka - wewnątrz, czy na zewnątrz centralnego obszaru wiadomości.

-

Tekst: wpisz treść przypisu, który będzie dołączany do każdej wiadomości. Domyślny tekst jest informacją o rozsyłaniu tej wiadomości tylko do wymienionych adresatów.

Zagadnienia pokrewne:
- | Style i modele
- | Formularz e-mail
- | Sklep


Strona wstępna

W tym oknie tworzy się stronę wstępną witryny i ewentualnie definiuje się inne języki wyświetlania witryny.

Jak sama nazwa wskazuje, strona wstępna pojawia się w witrynie jako pierwsza. Może zawierać obraz, animację Flash albo film i zazwyczaj widoczna jest kilka sekund, zanim zostanie wyświetlona strona główna. Czasami, żeby przejść na stronę główną witryny, trzeba kliknąć stronę wstępną (czemu na ogół towarzyszy podpis "pomiń intro"). W wypadku witryn publikowanych w kilku językach, wybór odpowiedniego języka odbywa się właśnie na stronie wstępnej.

Strona wstępna - Co należy zrobić?

Nie każda witryna ma stronę wstępną. Tworzy się ją na ogół dlatego, że jest potrzebna. Jeśli chcesz, żeby była, zaznacz pole wyboru Pokaż stronę wstępną.

Możesz określić dla niej tło, zawartość i ewentualnie ścieżkę dźwiękową.

W grupie Tło strony dostępne są następujące opcje:
- | Kolor tła: z palety kolorów wybierz kolor tła strony wstępnej.
- | Plik obrazu: możesz zaimportować plik graficzny (w formacie .JPG, .GIF lub .PNG) , który będzie widoczny na stronie wstępnej.
- | Powtórzenie: wstawiony obraz może być powtarzany. Obraz może być powielany w poziomie, w pionie, w obu kierunkach albo zajmować całe dostępne miejsce. Wielkość obrazu można tak ustawić, żeby pokrywał całe tło (oryginalne proporcje obrazu są wtedy ignorowane).
- | Wyrównanie: możesz określić sposób wyrównania obrazu w oknie przeglądarki.

W grupie Zawartość strony dostępne są następujące opcje:
- | Rodzaj: wybierz, co ma być przedstawione na stronie wstępnej. Do wyboru są Obraz, Animacja Flash, Film lub Kod HTML.
- | Plik: jeśli z listy Rodzaj wybierzesz Obraz, Animacja Flash lub Film, musisz zaimportować plik obrazu (w formacie .JPG, .GIF lub .PNG), plik animacji (w formacie .SWF) albo plik wideo (w formacie .FLV lub .MP4).
- | Kod HTML: jeśli z listy Rodzaj wybierzesz Kod HTML możesz wpisać kod HTML, który ma być wstawiony na stronie wstępnej.
- | Szerokość / Wysokość: podaj w pikselach szerokość i wysokość wstawionego obrazu, animacji Flash, filmu lub pola kodu HTML.

W grupie Opcje dostępne są ustawienia:
- | Podkład dźwiękowy: wybierz plik audio (w formacie .MP3), który będzie odtwarzany podczas wyświetlania strony wstępnej.
- | Przejdź do strony głównej po [sek.]: określ czas wyświetlania strony wstępnej, zanim gość witryny zostanie przeniesiony na stronę główną.

Wybór języka - Co należy zrobić?

Jeśli witryna jest dostępna w kilku językach i chcesz dać użytkownikowi możliwość wyboru języka na stronie wstępnej, musisz zaznaczyć pole wyboru Pokaż hiperłącza do innych do języków.

W polu Lista języków musisz podać języki, w jakich dostępna jest witryna. Domyślnie na liście jest pięć języków, ale możesz zmienić tę listę zależnie od potrzeb.
- | Dodaj / Usuń: dodaj nowy język w oknie Ustawienia języka lub usuwa język z listy.
- | W górę / W dół: tymi przyciskami zmienia się kolejność języków na liście, przesuwając zaznaczony język w górę lub w dół.
- | Domyślny: jeden z języków na liście musi być językiem domyślnym. Jest to język wyświetlania witryny, zanim gość witryny wybierze inny język. Tylko witryna w języku domyślnym może mieć stronę wstępną.
- | Edytuj: możesz zmienić ustawienia zaznaczonego na liście języka, korzystając z okna dialogowego Ustawienia języka.

W oknie dialogowym Ustawienia języka dostępne są następujące opcje:
- | Wyświetlana nazwa języka: podaj nazwę języka, który ma być dostępny. Kliknij strzałkę po ;prawej stronie pola, żeby rozwinąć listę możliwych do wyboru języków. Możesz też wpisać nazwę języka bezpośrednio w pole.
- | Plik obrazu reprezentujący język (np. flaga): wybierz plik obrazu, który posłuży do stworzenia przycisku dającego dostęp do witryny w danym języku. Kliknij przycisk [image] , żeby wybrać plik .JPG, .GIF lub .PNG, który posłuży do utworzenia przycisku, może to być na przykład flaga państwa. Jeśli nie przypiszesz językowi żadnej flagi, zamiast przycisku zostanie automatycznie utworzone hiperłącze o treści takiej jak podana nazwa języka w kolorze najlepiej kontrastującym z kolorem tła.
- | Ścieżka dostępu na serwerze lub adres URL dla tego języka: podaj nazwę folderu na serwerze, gdzie zapisana będzie dana wersja językowa witryny, na przykład "PL" dla witryny w języku polskim. Alternatywnie możesz wpisać pełny adres URL, na przykład "http://www.mojawitryna.com/pl/index.html". Jeśli pracujesz nad wersją witryny w domyślnym języku, nie podawaj pełnego adresu URL, tylko nazwę folderu na serwerze.
- | Pokaż język, ale z zastrzeżeniem, że nie jest jeszcze dostępny: zaznacz to pole wyboru, jeśli zamierzasz opublikować witrynę w jakimś języku, ale nie jest jeszcze gotowa. Kiedy gość witryny kliknie przycisk (lub hiperłącze), pojawi się komunikat ostrzegający, że dany język nie jest jeszcze dostępny.

Jest jeszcze ostatnia opcja:

-

Wykonaj link w nowym oknie: zaznacz to pole wyboru, jeśli chcesz otworzyć witrynę w nowym oknie przeglądarki, a nie w tym, które wyświetla stronę wstępną.

Chociaż mówimy tu o wyborze języka na stronie wstępnej, ta funkcja może być wykorzystana do innych celów. Możesz na przykład zaoferować wybór wersji "HTML" lub "Flash " albo stworzyć wersje "Treści dla każdego" i "Tylko dla dorosłych".

Zagadnienia pokrewne:
- | Ustawienia zaawansowane
- | Zarządzanie treścią w danym języku


Reklama

W tym oknie znajdują się opcje służące do przygotowania reklamy wyświetlanej tylko na stronie głównej, albo na wszystkich stronach witryny.

Reklama może być obrazem, animacją Flash, może być wyświetlona w określonym miejscu witryny albo na stronie produktu. Strona produktu, to normalna strona witryny. Wyróżnia ją jedynie to, że wyświetla użytkownikowi określony komunikat, prosi o wypełnienie formularza, złożenie zamówienia idt.

Co należy zrobić?

Jeśli chcesz wstawić na stronie reklamę, musisz zaznaczyć pole wyboru Pokaż reklamę.

Możesz wybrać Rodzaj reklamy, a do wyboru są następujące możliwości:

 Pokaż reklamę w prawym górnym rogu: kiedy najedzie się wskaźnikiem myszy na prawy górny narożnik strony, rozwija się umieszczona tam ikona i pokazuje treść reklamy.

Pokaż reklamę w polu: Reklama pojawia się w polu na środku okna przeglądarki, przesłaniając treść strony.

Pokaż reklamę na pasku poziomym: reklama wyświetlana jest na pasku wzdłuż krawędzi okna przeglądarki. Pasek może być wyświetlany na górze okna, powyżej treści strony, albo może być na dole nałożony na stronę.

Dla poszczególnych Rodzajów reklamy należy podać odpowiednie Ustawienia:

-

Plik obrazu: tu możesz wybrać zawierający reklamę plik graficzny (w formacie .JPG, .GIF lub .PNG) albo plik animacji Flash (w formacie .SWF).

Dla rodzaju Pokaż reklamę w prawym górnym rogu dostępne są dodatkowo następujące opcje:
- | Styl: masz do wyboru klasyczny narożnik reklamowy w prawym górnym rogu albo jeden z wielu dostępnych efektów. Działanie wszystkich jest podobne: reklama pojawia się po najechaniu wskaźnikiem myszy.
- | Szerokość/wysokość: możesz określić wyrażoną w pikselach szerokość i wysokość obszaru zajmowanego przez reklamę.

Dla rodzaju Pokaż reklamę w polu dostępne są dodatkowo następujące opcje:
- | Położenie: możesz zdecydować, w którym miejscu ma się pojawić reklama. Do wyboru są środek, na górze po lewej, na górze po prawej, na dole po lewej i na dole po prawej.
- | Efekt: wybierz efekt towarzyszący pojawieniu się reklamy: Do wyboru są Wyparcie do góry, Wyparcie w dół, Wyparcie w lewo, Wyparcie w prawo lub Zanikanie.
- | Wyświetl reklamę tylko raz: zaznacz tę tę opcję, jeśli chcesz, żeby reklama została wyświetlona tylko raz, gdy strona jest otwierana po raz pierwszy (przy następnych odwiedzinach witryny, reklama już się nie pojawi).

Dla rodzaju Pokaż reklamę na pasku poziomym dostępne są dodatkowo następujące opcje:
- | Położenie: możesz wybrać, czy reklama ma się pojawić na górze okna przeglądarki powyżej treści strony, czy na dole, nałożona na treść strony.
- | Kolor tła: możesz z palety kolorów wybrać kolor tła reklamy.
- | Wyświetl reklamę tylko raz: zaznacz tę tę opcję, jeśli chcesz, żeby reklama została wyświetlona tylko raz, gdy strona jest otwierana po raz pierwszy (przy następnych odwiedzinach witryny, reklama już się nie pojawi).

Dla wszystkich rodzajów reklam dostępne są Opcje:

-

Podkład dźwiękowy: możesz wybrać plik audio (w formacie .MP3), który będzie odtwarzany podczas wyświetlania reklamy.

-

Dołączona strona:możesz wybrać dołączoną do reklamy stronę produktu, którą wybiera się bezpośrednio z mapy witryny po kliknięciu przycisku [image].

Co to jest strona produktu?
Jest to strona, na którą użytkownik zostanie przeniesiony po kliknięciu linku lub reklamy. Warto taką stronę utworzyć, żeby gość witryny mógł natychmiast znaleźć interesujące go informacje bez konieczności szukania ich po całej witrynie.
Ideę strony produktu najlepiej zilustrować przykładem: załóżmy, że chcesz zamieścić baner reklamowy zachęcający do kupna określonego artykułu. Informacje widoczne na banerze mają wzbudzić zainteresowanie potencjalnego nabywcy. Dlatego, gdy gość witryny kliknie baner, zostanie przeniesiony bezpośrednio na stronę produktu. Odesłanie go na stronę główną witryny jest bezsensownym marnotrawstwem, ponieważ jest ona zbyt ogólna, informacji o produkcie trzeba wtedy szukać po całej witrynie. To grozi utratą potencjalnego klienta! Dlatego najlepiej jest utworzyć nową stronę o prostym czytelnym układzie, na której dostępne będą wszystkie niezbędne opisy produktu reklamowanego na banerze, włącznie z informacją, jak go kupić. Stronę produktu trzeba zazwyczaj osobno przygotować, ale ten trud się opłaci, bo klikniecie reklamy prowadzi potencjalnego nabywcę prosto do obiektu jego zainteresowania.

W grupie Tryb wyświetlania dostępne są opcje:

-

Pokaż tylko na stronie głównej / Pokaż na wszystkich stronach: możesz zdecydować, czy reklamę wyświetlać tylko na stronie głównej witryny, czy na wszystkich stronach.

Zagadnienia pokrewne:

-

Ustawienia zaawansowane


Blog

Tu znajdziesz wszystkie narzędzia i opcje potrzebne do zamieszczenia w swojej witrynie w pełni działającego blogu, akceptowania komentarzy, które nadsyłają jego czytelnicy, i wysyłania wpisów.

Blog jest rodzajem elektronicznego pamiętnika, w którym publikuje się wpisy na różne tematy w dowolnym czasie i niekoniecznie regularnie.

Kiedy blog utworzony w programie WebSite X5 zostanie opublikowany, staje się odrębną jednostką dołączoną strony głównej witryny, dostępną dla gości przez element menu dodawany automatycznie w sekcji Strony specjalne w menu głównym (patrz Tworzenie mapy witryny). Jeśli chcesz wstawić element "Blog" w menu nawigacji, musisz utworzyć alias strony specjalnej przez zaznaczenie blogu i przeciągnięcie go w drzewie mapy witryny do folderu Menu.

Blog stanowi część składową witryny i jest do niej dopasowany wyglądem i zachowaniem. Wszystkie ustawienia zdefiniowane we wzorcu graficznym witryny są automatycznie stosowane do blogu.

 Twój blog zostanie opublikowany pod adresem www.mojawitryna.com/blog, gdzie www.mojawitryna.com jest adresem URL twojej witryny, do której blog jest dołączony.

Na głównej stronie blogu wymienione są wszystkie opublikowane wpisy w porządku chronologicznym od najnowszego począwszy.
Dla każdego wpisu podany jest tytuł, autor, kategoria, data i czas publikacji, podsumowanie i link "Czytaj wszystko". Wyjątkiem jest najnowszy wpis, dla którego zamiast podsumowania, widoczna jest cała treść.
Link "Czytaj wszystko" otwiera odpowiadający mu wpis, także można go przeczytać w całości. Komentarze, które zostały opublikowane na temat tego wpisu, są podane poniżej jego treści i tam też mogą być wstawiane następne.

Wszystkie strony blogu mają taką samą podstawową strukturę. Wszystkie narzędzia, takie jak ostatnie wpisy, wpisy z miesiąca lub z danej kategorii i chmura tagów umieszczone są w kolumnie po prawej stronie. Wygląd tej kolumny można zmienić i zdecydować, które narzędzia mają być dla gości blogu dostępne i w jakim porządku mają się pojawić.

Możliwość otrzymywania komentarzy od czytelników daje możliwość rozpoczęcia dyskusji między autorem a czytelnikami. Aby uniknąć odpowiedzi niesmacznych, nie na temat albo innych niechcianych komentarzy do opublikowanego wpisu, WebSite X5 oferuje działający online Panel sterowania, za pomocą którego takie niepożądane komentarze można odrzucić.

Co należy zrobić?

Aby utworzyć blog, trzeba zdefiniować kilka ogólnych parametrów i utworzyć listę wpisów, które mają być opublikowane.

Opcje tworzenia blogu i wstawiania wpisów są rozmieszczone na trzech kartach:
- | Wpisy
- | Układ
- | Komentarze

Kiedy już opublikujesz swój blog, spróbuj zainteresować nim swoich czytelników przez regularne i dość częste publikowanie wpisów. Aby każdorazowe wysyłanie wpisów nie zajmowało zbyt wiele czasu, podczas publikowania aktualizacji blogu w Internecie, w oknie Publikacja witryny w Internecie wybierz opcję Eksportuj wyłącznie blog i kanał RSS.

Zagadnienia pokrewne:
- | Ustawienia zaawansowane
- | Blog: co to jest i jak to działa?
- | Panel sterowania


Blog | Wpisy

Opcje na karcie Wpisy okna Blog służą do definiowania kilku ogólnych ustawień i procedur potrzebnych do utworzenia listy wpisów, które mają być opublikowane na blogu.

W grupie Ustawienia ogólne dostępne są następujące opcje:
- | Tytuł: w tym polu wpisz tytuł, który będzie nosił twój blog. Tytuł będzie wyświetlany na pasku tytułu przeglądarki i jest oczywiście ważny i dla czytelników i wyszukiwarek, bo pomaga poprawnie zidentyfikować blog. Jeśli nie podasz tytułu blogu, jako domyślny zostanie użyty ten, który nadano witrynie w oknie Ustawienia ogólne | Ogólne.
- | Opis: w tym polu wpisz krótki opis blogu. Musi być krótki, ale zwięzły i na temat. Ten opis zostanie umieszczony w kodzie HTML w metatagu <description> i będzie służył wyszukiwarkom do identyfikowania blogu. Jeśli nie podasz opisu blogu w tym polu, zostanie wykorzystany ten, który podano dla witryny w oknie Ustawienia ogólne | Ogólne.
- | Utwórz kanał RSS zawierający treść blogu: to pole wyboru jest domyślnie zaznaczone, a to oznacza, że automatycznie zostanie utworzony kanał RSS ze wszystkimi wpisami blogu.

W polu Lista wpisów widoczna jest tabela z zestawieniem Tytułu, Autora, Kategorii i Daty wszystkich dodanych do listy wpisów, a po jego prawej stronie widoczne są przyciski służące do tworzenia listy:
- | Dodaj: kliknięcie tego przycisku otwiera okno dialogowe Ustawienia wpisugdzie można dodać nowy wpis.
- | Usuń: usuwa zaznaczony wpis z pola Lista wpisów.
- | Edytuj: otwiera okna dialogowe Ustawienia wpisu, gdzie możesz poddać edycji wpis zaznaczony na Liście wpisów.

Okno dialogowe Ustawienia wpisu, otwierane przyciskami Dodaj lub Edytuj zostało pokazane na ponizszej ilustracji. Jego opcje rozmieszczone są na dwóch kartach:
- | Ogólne
- | Zaawansowane

Na karcie Ogólne okna dialogowego Ustawienia wpisu znajdują się następujące kontrolki:
- | Tytuł: wpisz tytuł wpisu.
- | Data publikacji: wybierz z kalendarza datę publikacji wpisu.
- | Autor: podaj autora wpisu. Autora można wpisać w pole albo wybrać go z listy spośród nazwisk już używanych.
- | Kategoria: podaj kategorię, do której należy dany wpis. Podobnie jak w poprzednim wypadku, kategorię można wpisać, albo wybrać z listy.
- | Tag: możesz podać listę tagów (hasłowych opisów kluczowych zagadnień, których wpis dotyczy). Z każdym wpisem może być związanych kilka tagów, należy je wtedy wpisać jeden po drugim, rozdzielając przecinkami (np. "hasło1, hasło2, hasło3, ...").
- | Treść: tu, w edytorze podobnym do tego, jaki jest dostępny dla obiektów tekstowych, możesz wpisać treść wpisu.
- | Krótki opis: do wpisu można dołączyć krótki opis.

Na karcie Zaawansowane okna dialogowego Ustawienia wpisu znajdują się opcje:

-

Dołączone wideo/dźwięk: do wpisu można dołączyć plik audio (w formacie .MP3, .WMA, .WAV, .MID, .AIF lub .M4A) albo plik video (w formacie .MP4, .FLV, .AVI, .WMV, .MPG lub .MOV format). Hiperłącze do pliku audio lub wideo zostanie automatycznie tworzony i wyświetlony na dole wpisu.

Czy do wpisu można dołączyć taki filmik, który zostanie odtworzony natychmiast?

Filmy można odtwarzać bezpośrednio z wpisu, jeśli ręcznie wstawisz kod HTML w edytorze wpisu. Możesz na przykład skopiować film z YouTube i wkleić go we wpisie.

-

Źródło wpisu: za pomocą poniższych poleceń możesz podać listę źródeł wykorzystanych we wpisie.
- | Dodaj / Usuń: możesz dodać lub usunąć istniejące źródło. Kliknięciem po raz drugi zaznaczonego elementu przechodzi się do jego edycji.
- | W górę / W dół: zaznaczony element można przesuwać na liście w górę i w dół.
- | Edytuj: pozwala edytować zaznaczony element.
Aby podać źródło poprawnie, wpisz nazwę witryny, a po niej adres URL ujęty w nawiasy kątowe < > (na przykład "WebSite X5 <http://www.websitex5.com>"). Nazwa zostanie wyświetlona jako źródło, a na podstawie adresu zostanie utworzone hiperłacze do tego źródła.

-

Nie pozwól czytelnikom komentować tego wpisu: jeśli zaznaczysz to pole wyboru, czytelnicy blogu nie będą mogli dodać do tego wpisu komentarza.

Zagadnienia pokrewne:

-

Blog


Blog | Układ

Na karcie Układ okna Blog możesz dopracować wygląd blogu.

W grupie Ogólne dostępne są następujące opcje:

-

Pokaż przycisk "AddThis", aby udostępnić swoją witrynę w serwisie społecznościowym: po zaznaczeniu tego pola wyboru w blogu powstają hiperłącza do najbardziej popularnych portali społecznościowych. Jeśli pole zostanie zaznaczone, w blogu poniżej każdego wpisu automatycznie umieszczany jest przycisk "AddThis". Czytelnik blogu klikając ten przycisk mogą wybrać z rozwijanego menu sieć, gdzie mają konto i umieścić wpis na swoim profilu.

-

Typ przycisku: tu możesz wybrać z listy wygląd przycisku "AddThis".

-

Konto AddThis: Jeśli masz konto AddThis (zalecane), możesz podać jego nazwę i otrzymywać statystyki odwiedzin swojego blogu przez użytkowników AddThis.

Więcej informacji na temat usługi AddThis i ustawień konta znajdziesz na oficjalnej stronie www.addthis.com po kliknięciu przycisku [image].

Wszystkie narzędzia dostępne dla czytelników blogu są widoczne w kolumnie po prawej stronie. Kolumna jest podzielona na bloki i każde narzędzie znajduje się we własnym bloku. W grupie Bloki boczne widoczna jest tabela z tytułem, typem i szerokością bloku w kolumnie. Oto opcje dostępne dla bloków:
- | Dodaj: możesz dodać blok do kolumny. Kliknięcie tego przycisku otwiera okno dialogowe Blok boczny, gdzie można dodać nowy blok.
- | Duplikuj: po zaznaczeniu bloku można wykonać jego kopię.
- | Usuń: usuwa zaznaczony wpis z pola Bloki boczne.
- | W górę / W dół: zaznaczony blok można przesuwać na liście bloków bocznych o jedną pozycję w górę lub w dół.
- | Edytuj: dla bloku zaznaczonego na liście Bloki boczne otwiera okno pozwalające na jego edycję.

W oknie dialogowym Blok boczny, które otwiera się przyciskiem Dodaj lub Edytuj można określić dokładne ustawienia bloków znajdujących się w prawej kolumnie na każdej stronie blogu i zawierających narzędzia dla czytelnika. To okno ma dwie karty:
- | Ogólne
- | Styl

Zagadnienia pokrewne:

-

Blog


Blog | Układ | Blok boczny | Ogólne

Na karcie Ogólne okna dialogowego Blok boczny (patrz Blog | Układ) znajdują się opcje pozwalające określić jakie bloki narzędzi mają znaleźć się w prawej kolumnie na każdej stronie blogu.

W prawej kolumnie można umieścić następujące bloki:

 Ostatnie wpisy: w tym bloku są podane wszystkie ostatnio opublikowane wpisy do blogu. Kiedy czytelnik kliknie tytuł wpisu, przejdzie do strony zawierającej wpis.

Kategorie: w tym bloku podana jest to lista wszystkich kategorii, na które podzielone są wpisy do blogu. Kiedy czytelnik kliknie nazwę kategorii, pojawi się lista wpisów do niej należących.

Wpisy z miesięcy: ten blok zawiera listę wpisów pogrupowanych według miesięcy publikacji.

Chmura tagów: ten blok zawiera listę wszystkich kategorii lub tagów przypisanych wpisom do blogu. Wielkość czcionki, jaką pisane są nazwy kategorii lub tagów zależy od liczebności kategorii lub liczby wpisów związanych z danym tagiem. Im większa liczba wpisów związanych z tagiem lub kategorią, tym większa czcionka. Kiedy czytelnik kliknie na element chmury (kategorię lub tag), pojawi się lista związanych z nim wpisów.

Blogroll: jest to coś w rodzaju "autor poleca", blok służący do umieszczania hiperłączy do innych blogów lub witryn, które autor chciałby polecić czytelnikom.

Facebook: to wtyczka Facebooka "Lubię to", która pozwala odwiedzającym:
- | zobaczyć, ilu czytelników "polubiło" tę stronę;
- | przeczytać wpisy ostatnio publikowane na Facebooku;
- | powiedzieć, czy polubili tę stronę nawet, jeśli jej nie odwiedzili.

Reklama Google AdSense: ten blok służy do wyświetlania reklam w ramach serwisu reklamowego Google AdSense.

Kod HTML: ten blok można zdefiniować samodzielnie: możesz tu podać kod dowolnego elementu, który nie został zaoferowany w programie.

Opcje dostępne dla bloku zależą od jego rodzaju. Następujące opcje są dostępne dla wszystkich bloków:
- | Tytuł: podaj tytuł, który będzie wyświetlany dla danego bloku.
- | Szerokość:Szerokość bloku wyrażona w pikselach.

Poniższe opcje są charakterystyczne dla poszczególnych bloków:
Ostatnie wpisy / Kategorie /
Wpisy z miesięcy:

-

Maks. liczba elementów: tu możesz określić maksymalną liczbę elementów wyświetlanych w bloku.
Chmura tagów:

-

Pokaż w chmurze kategorie / Pokaż w chmurze tagi: te opcje dają wybór, czy w chmurze mają być wyświetlane nazwy kategorii, czy tagi przypisane opublikowanym dotychczas wpisom.
Blogroll:

-

Lista linków do innych blogów: za pomocą następujących poleceń możesz ułożyć listę najbardziej polecanych linków:
- | Dodaj / Usuń: możesz dodać lub usunąć istniejący link. Kliknięciem po raz drugi zaznaczonego elementu przechodzi się do jego edycji.
- | W górę / W dół: zaznaczony element można przesuwać na liście w górę i w dół.
- | Edytuj: pozwala edytować zaznaczony element.
Aby podać polecany link poprawnie, wpisz nazwę witryny, a po niej adres URL ujęty w nawiasy kątowe < > (na przykład "WebSite X5 <http://www.websitex5.com>"). Nazwa zostanie wyświetlona jako źródło, a na podstawie adresu zostanie utworzone hiperłącze do polecanego blogu.
Facebook:

-

Adres Facebooka: podaj adres URL wtyczki Facebooka, której chcesz użyć na stronie swojego blogu.

-

Kolor tła: możesz wybrać, czy blok będzie miał tło jasne, czy ciemne.

-

Wysokość: możesz w pikselach określić wysokość bloku.

-

Pokaż połączenia: zaznacz to pole wyboru, jeśli chcesz, żeby wyświetlane były zdjęcia z profili twoich przyjaciół.

-

Pokaż strumień: zaznacz to pole wyboru, jeśli chcesz, żeby w bloku był wyświetlony ostatni wpis, który został umieszczony na Facebooku.

-

Pokaż nagłówek Facebooka: zaznacz to pole wyboru, jeśli chcesz, żeby w bloku był widoczny nagłówek Facebooka.
Reklama Google AdSense:

-

Kod HTML Google AdSense: wstaw kod HTML dostarczony przez serwis reklamowy Google AdSense w celu wyświetlenia reklamy.
Kod HTML:

-

Kod HTML: wpisz kod HTML potrzebny do utworzenia bloku własnego pomysłu.

Zagadnienia pokrewne:

-

Blog | Układ


Blog | Układ | Blok boczny | Styl

Opcje na karcie Styl okna dialogowego Blok boczny (patrz Blog | Układ) służą do sprecyzowania wyglądu bloków wyświetlanych w prawej kolumnie blogu.

W grupie Tekst dostępne są opcje:
- | Czcionka: po kliknięciu przycisku w otwartym oknie dialogowym możesz wybrać rodzaj czcionki, jej rozmiar i styl.
- | Kolor tekstu: z palety kolorów wybierz kolor tekstu bloku.
- | Margines poziomy / Margines pionowy: marginesy określają odległość między krawędzią bloku a tekstem wewnątrz. Możesz zatem zdecydować, ile wolnego miejsca będzie między krawędzią bloku a jego treścią.

W grupie Tło dostępne są opcje:
- | Kolor tła / Kolor krawędzi: te przyciski otwierają paletę kolorów, z której można wybrać kolory tła i krawędzi bloku.
- | Szerokość krawędzi: podaj grubość krawędzi obramowania bloku.
- | Plik obrazu: wybierz plik obrazu (w formacie .jpg, .gif lub .png), który będzie służył jako tło bloku.
- | Powtórzenie: zdecyduj, czy obraz w tle ma być powtarzany. Obraz może być powielany w poziomie, w pionie, w obu kierunkach albo zajmować całe dostępne miejsce.
- | Wyrównanie: możesz wybrać sposób wyrównania obrazu tła w bloku.

Zagadnienia pokrewne:

-

Blog


Blog | Komentarze

Za pomocą opcji na karcie Komentarze okna Blog zarządza sie komentarzami, jakie czytelnicy blogu wysyłają na temat poszczególnych wpisów.

W grupie Ogólne dostępne są następujące opcje:

-

Pozwól czytelnikom dodawać komentarze do Twojego blogu: jeśli zaznaczysz to pole wyboru, czytelnicy blogu będą mogli wysyłać komentarze do publikowanych wpisów.

-

Folder na serwerze z prawem do zapisu: podaj ścieżkę dostępu do folderu na serwerze, który ma dostęp do pisania (gdzie będzie można zapisać kod PHP).

Dostawcy przestrzeni na serwerze nadają zazwyczaj prawo do pisania dla wszystkich folderów, więc nie ma potrzeby podawania ścieżki dostępu do folderu publicznego. Jednak, jeśli jest inaczej, musisz skontaktować się z dostawcą przestrzeni serwerowej i dowiedzieć się, jaka jest ścieżka dostępu do folderu publicznego.
Przejdź do sekcji WebSite Test w Panelu sterowania, żeby sprawdzić, czy folder publiczny naprawdę istnieje i można w nim zapisywać.

-

Włącz filtr antyspamowy "Captcha": na dole formularza służącego do wstawiania komentarza możesz umieścić filtr antyspamowy Captcha. Filtr Captcha wyświetla na zaśmieconym tle ciąg zniekształconych liter. Użytkownik musi przepisać poprawnie te litery, żeby móc kontynuować wysyłanie komentarza.

W grupie Ustawienia komentarzy dostępne są następujące opcje:
- | Adres e-mail dla powiadomień o komentarzach: podaj adres, na który będą przychodziły powiadomienia o pojawieniu się nowych komentarzy.
- | Pokazuj wstawiane komentarze od razu / Pokazuj komentarze po akceptacji administratora: możesz zdecydować, czy komentarze czytelników blogu mają pojawiać się natychmiast, czy uprzednio muszą być zaakceptowane przez administratora blogu w sekcji Blog działającego online Panelu sterowania.

Zagadnienia pokrewne:
- | Blog
- | Panel sterowania
- | Jako za pomocą panelu sterowania zarządzać komentarzami do wpisów w blogu?


Jako za pomocą panelu sterowania zarządzać komentarzami do wpisów w blogu?

Blog jest rodzajem elektronicznego pamiętnika, w którym publikuje się wpisy na różne tematy i pozwala czytelnikom komentować je. Jeśli uda ci się nawiązać za pomocą ciekawych wpisów rzeczywistą komunikację z czytelnikami, możesz stworzyć ciekawe grupy dyskusyjne.

W celu skonfigurowania blogu tak, by jego czytelnicy mogli komentować zamieszczane w nim wpisy, wykonaj opisane poniżej czynności. Przejdź na kartę Komentarze okna Blog:
- | Zaznacz pole wyboru Pozwól czytelnikom dodawać komentarze do Twojego blogu.
- | Podaj ścieżkę dostępu do Folderu na serwerze z prawem do zapisu: jest to folder na serwerze, gdzie kod PHP może zapisywać dane.
- | Zdecyduj, czy chcesz podczas wysyłania komentarzy włączyć filtr antyspamowy "Captcha".
- | Podaj Adres e-mail dla powiadomień o komentarzach, czyli adres administratora witryny, tak by automatycznie otrzymywał wiadomości e-mail z powiadomieniem, że gość blogu wysłał nowy komentarz.
- | Zdecyduj, czy komentarze mają być publikowane natychmiast po wysłaniu, czy muszą najpierw uzyskać aprobatę administratora.

Kiedy zrobisz to wszystko, możesz zacząć redagować wpisy i publikować je na blogu. Formularz wysyłania komentarzy jest automatycznie umieszczany poniżej wpisów. Goście, którzy chcą wysłać komentarz, muszą podać swoje imię, adres e-mail, stronę internetową i sam tekst komentarza. Wszystkie pola poza stroną internetową są obowiązkowe.

Kiedy gość blogu zostawi komentarz, na adres e-mail administratora automatycznie wysyłane jest powiadomienie. Jeśli zaznaczone zostało pole wyboru Pokazuj wstawiane komentarze po akceptacji administratora, w panelu sterowania (automatycznie tworzonym przez WebSite X5 dla każdej witryny) administrator musi zaakceptować komentarz, zanim zostanie on opublikowany poniżej wpisu, którego dotyczy.

Panel sterowania można znaleźć pod adresem www.mojawitryna.com/admin, gdzie www.mojawitryna.com jest adresem URL witryny, do której dołączony jest blog, a dostęp do niego mają wszyscy członkowie grupy Administrator (szczegółowe informacje na temat ustawień grupy Administrator znajdziesz w Zarządzanie dostępem, Krok 4 - Ustawienia zaawansowane).

W sekcji Blog panelu sterowania znajdują się dwie listy rozwijane, zawierające kategorie i wpisy należące do danej kategorii. Z tych list rozwijanych możesz wybrać wpis, do którego komentarze chcesz przejrzeć. Zostaną wyświetlone wszystkie komentarze do tego wpisu. Dla każdego komentarza podany jest autor, jego adres e-mail, treść komentarza i data z dokładnym czasem wysłania. Jeśli gość blogu podał także stronę internetową, automatycznie zostanie utworzone do niej hiperłącze.
W blogu komentarze są wyświetlane w kolejności wysyłania (ostatnie komentarze są na końcu listy). Natomiast w panelu sterowania komentarze są wyświetlane w odwrotnej kolejności, począwszy od najnowszych.

Zarządzanie komentarzami wymaga zatem:

-

Przejścia do panelu sterowania, zalogowania się i przejścia do sekcji Blog.

-

Wybrania z listy rozwijanej wpisu, którego komentarzami chcemy się zająć.

-

Przejrzenia listy komentarzy do wybranego wpisu i podjęcia decyzji przez wybranie polecenia:
- | Odrzuć: komentarz nie zostanie opublikowany na blogu i zostanie usunięty z listy komentarzy w panelu sterowania.
- | Zatwierdź/Ukryj komentarz: Jeśli zatwierdzisz komentarz, zostanie on opublikowany na blogu. Jeśli nie zatwierdzisz komentarza, możesz go nie publikować na blogu, ale pozostawić na liście w panelu sterowania.
Możliwość sprawdzania komentarzy przed ich opublikowaniem jest zagadnieniem kluczowym, jeśli chcesz uniknąć spamu i pojawiania się komentarzy obraźliwych, nie na temat lub nie pasujących do treści wpisu.

Zagadnienia pokrewne:
- | Blog
- | Panel sterowania


Kanał RSS

W tym oknie znajdują się narzędzia i opcje służące do tworzenia kanału RSS, jednaj z najpopularniejszych form transmisji sieciowej.

Kanał RSS jest bardzo wygodnym instrumentem transmisji wiadomości, obrazów i filmów. Przydaje się do transmisji informacji w działalności biznesowej, ogłaszania nowinek o różnych zdarzeniach, aktualizacjach witryny, czy nowych wpisach lub komentarzach na blogu.

Goście witryny, którzy subskrybują kanał RSS, będą za pomocą programu agregującego otrzymywali stale aktualizowane wiadomości.

Co należy zrobić?

Aby utworzyć kanał RSS, trzeba zdefiniować kilka ogólnych parametrów i utworzyć listę wpisów, które mają być opublikowane.

W polu Lista wpisów wymienione są w tabeli wszystkie dotychczas dodane wpisy wraz z tytułem i datą publikacji. Do wykonywania operacji na liście wpisów służą przyciski:
- | Dodaj: kliknięcie tego przycisku otwiera okno dialogowe Ustawienia wpisugdzie można dodać nowy wpis.
- | Usuń: usuwa zaznaczony wpis z pola Lista wpisów.
- | Edytuj: otwiera okna dialogowe Ustawienia wpisu, gdzie możesz poddać edycji wpis zaznaczony na Liście wpisów.

Okno dialogowe Ustawienia wpisu otwierane przyciskami Dodaj i Edytuj wygląda tak:

- | Tytuł: nadaj tytuł swojemu wpisowi.
- | Data publikacji: możesz z kalendarza wybrać datę publikacji.
- | Treść: korzystając z edytora podobnego do tego, jaki dostępny jest dla obiektu Tekst, możesz zredagować wpis.
- | Dołączona strona: Kliknięcie przycisku po prawej stronie tego pola otwiera okno z mapą witryny, gdzie można wybrać stronę związaną ze wpisem.

Poza utworzeniem listy wpisów, należy jeszcze określić parametry kanału RSS w grupie Ustawienia ogólne:
- | Tytuł: kanałowi RSS towarzyszącemu witrynie należy nadać tytuł. Określenie tego parametru jest obowiązkowe.
- | Obraz: możesz wybrać obraz (w formacie .JPG, .GIF lub .PNG), który będzie skojarzony z kanałem RSS: Ten obraz (zazwyczaj logo firmy lub witryny) będzie wyświetlany przez program agregujący wpisy.
- | Opis: musisz podać opis kanału RSS przypisanemu witrynie. Określenie tego parametru jest obowiązkowe.

 Kanał RSS działa tylko w trybie online.

Zagadnienia pokrewne:

-

Ustawienia zaawansowane


Zarządzanie dostępem

W tym oknie znajdują się polecenia służące do tworzenia strefy użytkownika witryny i zarządzania profilami użytkowników, którzy mają dostęp do niej. Strony należące do strefy użytkownika definiuje się, blokując strony podczas tworzenia mapy witryny.

Co należy zrobić?

W tabeli Grupy i użytkownicy, którzy mają dostęp do stron chronionych hasłem podana jest lista grup/użytkowników, którzy już mają dostęp do zablokowanych stron. Dla każdego użytkownika podana jest też Nazwa logowania oraz Uwagi.

Polecenia służące do tworzenia listy grup i użytkowników mających dostęp do zablokowanych stron znajdują się po prawej stronie.

-

Nowa grupa: tworzy nową grupę. Jeśli podzielisz użytkowników o podobnych uprawnieniach na grupy, będzie nimi łatwiej zarządzać. Same grupy nie mają określonych ustawień i są po prostu wstawiane do tabeli. Jeśli chcesz zmienić nazwę grupy wstawionej już do tabeli, dwukrotnie kliknij jej nazwę.
Czasami wygodnie jest podzielić grupy użytkowników na mniejsze podgrupy. Nie ma ograniczenia liczby grup i podgrup.
Domyślnie istnieją dwie grupy: Administratorzy i Grupa 1 (użytkownicy). Członkowie grupy Administratorzy są administratorami witryny i mają dostęp do wszystkich zablokowanych stron.

Wszyscy Administratorzy mogą używać swojej nazwy logowania i hasła w celu zdalnego dostępu do Panelu sterowania (pod adresem www.mojawitryna.com/admin, gdzie www.mojawitryna.com jest adresem URL witryny). Tam mogą zarządzać komentarzami do wpisów na blogu, komentarzami w księdze gości (patrz, obiekt HTML i gadżety) oraz przeglądać informacje dotyczące diagnostyki i optymalizacji witryny na użytek wyszukiwarek sieciowych.

-

Nowy użytkownik: W oknie dialogowym Nowy użytkownik można zdefiniować nowego użytkownika, jego nazwę logowania i hasło. Nowy użytkownik wstawiany jest do zaznaczonej grupy.

-

Usuń: usuwa zaznaczoną grupę lub użytkownika z listy. Nie da się usunąć domyślnej grupy Administratorzy ani domyślnego administratora Admin.

-

Edytuj: ten przycisk otwiera okno dialogowe Nowy użytkownik, w którym można edytować wartości parametrów zdefiniowanych dla zaznaczonego użytkownika.

-

Utwórz alias: możesz utworzyć alias nazwy zaznaczonego użytkownika. Ta opcja przydaje się wtedy, gdy użytkownik należy do kilku grup, i ma dostęp do różnych stron chronionych hasłem. Członkowie grupy Administratorzy nie mogą mieć aliasów, ponieważ domyślnie i tak mają dostęp do wszystkich stron chronionych hasłem. Aliasy są na stałe związane z użytkownikiem i każda zmiana dotycząca aliasu automatycznie jest stosowana do wszystkich aliasów tego samego użytkownika. Innym łatwym sposobem tworzenia aliasów jest zaznaczenie użytkownika należącego do jednej grupy i przeciągnięcie go do innej z przytrzymanym klawiszem CTRL.

Przykład okna Nowy użytkownik otwieranego przyciskiem Nowy użytkownik i Edytuj zilustrowano poniżej:

Oto polecenia służące do definiowania nowego użytkownika:

-

Imię i nazwisko: podaj imię i nazwisko użytkownika, który ma mieć dostęp do strony chronionej hasłem.

-

Nazwa logowania / Hasło: wpisz nazwę, jaką użytkownik będzie się logował, i hasło, które musi znać, żeby uzyskać dostęp do zablokowanej strony. Program domyślnie proponuje hasło składające się z ośmiu losowo wybranych liter i cyfr, ale można je zmienić.

-

Strona chroniona hasłem: klikniecie przycisku po prawej stronie pola otwiera mapę witryny, gdzie można wybrać stronę, do której wyświetlenia jest potrzebna znajomość nazwy logowania i hasła.

-

Uwagi: jeśli potrzebujesz, możesz tu zapisać dodatkowe informacje o użytkowniku.

-

Data rejestracji: z kalendarza można wybrać datę rejestracji nowego użytkownika.

Uwagi i Data rejestracji nie są umieszczane w kodzie witryny. Ich celem jest ułatwienie administratorowi witryny zarządzania strefą użytkownika.

W grupie Ustawienia logowania dla strony dostępne są następujące opcje:

-

Komunikat informacyjny: możesz sformułować komunikat, który zostanie wyświetlony użytkownikowi próbującemu uzyskać dostęp do zablokowanej strony bez zalogowania się. Użytkownik zostanie przekierowany na inną stronę wygenerowana przez program, na której będą się znajdowały następujące elementy:
- | komunikat informacyjny sformułowany w tym polu;
- | pola do wpisania nazwy logowania i hasła;
- | przycisk Register, jeśli zdecydujesz się na stworzenie Strony rejestracji (patrz następna opcja).

-

Strona rejestracji: przycisk po prawej stronie tego pola otwiera mapę witryny, z której można wybrać stronę, która będzie wyświetlona, gdy użytkownik kliknie przycisk Register w celu podania nazwy logowania i hasła, żeby uzyskać dostęp do zablokowanej strony.

Kiedy użytkownicy są już zdefiniowani, to znaczy mają nadane nazwy logowania i hasła, oraz są podzieleni na grupy, można przejść do kroku 2 - Tworzenie mapy witryny w celu zdefiniowania stron chronionych hasłem i określenia, którzy użytkownicy lub grupy mają do nich dostęp.

Gdy wyświetlisz podgląd witryny offline, żeby sprawdzić, czy witryna działa poprawnie, pojawi się komunikat informujący, że strona zostanie wyświetlona bez konieczności zalogowania się. Strony te zaczną w pełni funkcjonować dopiero po opublikowaniu witryny na serwerze.

Jeśli strefa użytkownika ma działać poprawnie, ważne jest, by serwer obsługiwał PHP i sesje. Takie informacje można uzyskać w Panelu sterowania, wybierając opcję WebSite test.

Zagadnienia pokrewne:
- | Ustawienia zaawansowane
- | Panel sterowania
- | Planowanie witryny


Sklep

W tym oknie znajdują się narzędzia do tworzenia i zarządzania sklepem internetowym sprzedającym produkty oferowane w witrynie.

Co należy zrobić?

Chcąc utworzyć sklep internetowy, trzeba najpierw zdefiniować katalog produktów, podzielić produkty na kategorie i podkategorie. Na temat każdego produktu trzeba podać kilka podstawowych informacji, takich jak nazwa, opis i cena. Można oczywiście pójść jeszcze dalej i wstawić zdjęcia produktów i podać różne ich rodzaje (rozmiar, kolor, model itd.). Kiedy katalog jest już gotowy, należy zdecydować, w jaki sposób towar będzie wysyłany, jak będzie przyjmowana opłata i przygotować formularz zamówienia zawierający formularz e-mail, który wysyła wiadomość o zamówieniu administratorowi oraz osobie zamawiającej.

Opcje definiowania poszczególnych elementów sklepu internetowego i określania sposobu ich działania są rozmieszczone na następujących kartach:
- | Produkty
- | Płatność
- | Dane klienta
- | Opcje

Kiedy "magazyn" sklepu internetowego jest już gotowy, należy umieścić w witrynie odpowiednie informacje i hiperłącza, tak by potencjalni nabywcy mogli dowiedzieć się wszystkiego o produktach i zamówić je. Można to zrobić na kilka sposobów:
1. | Utworzyć strony prezentujące produkty w sposób, jaki wydaje sie najodpowiedniejszy (ze zdjęciami, tekstem, tabelami itp.) i umieścić na każdej z nich przycisk "Kupuję". Przycisk "Kupuję" można utworzyć za pomocą linku Dodaj do koszyka (patrz Wstaw Link).
2. | Utworzyć strony prezentujące produkty w standardowej formie ze wstawionym juz przyciskiem "Kupuję". W tym wypadku użyj obiektu Lista produktów.

 Gdy wyświetlisz podgląd witryny offline, żeby sprawdzić, czy witryna działa poprawnie, pojawi się komunikat informujący, że zamówienie nie zostanie wysłane i nastąpi automatyczne przekierowanie stronę podsumowania zamówienia. Sklep internetowy zacznie w pełni działać dopiero po opublikowaniu witryny na serwerze i w trybie online.

Aby sklep internetowy mógł działać poprawnie, konieczne jest, by serwer obsługiwał PHP i miał aktywne polecenie MAIL. Takie diagnostykę serwera możesz uzyskać w panelu sterowania w sekcji Website Test.

Jeśli masz kłopoty z wysyłaniem wiadomości e-mail, to przyczyną może być niestandardowa konfiguracja serwera. Spróbuj wtedy zmienić ustawienia wysyłania skryptu formularza e-mail za pomocą odpowiednich opcji w oknie dialogowym Preferencje. Więcej informacji uzyskasz u swojego dostawcy przestrzeni dyskowej na serwerze.

Zagadnienia pokrewne:
- | Ustawienia zaawansowane
- | Wstaw link
- | Lista produktów


Sklep | Produkty

Za pomocą opcji dostępnych na karcie Produkty okna Sklep można wstawić do sklepu internetowego produkty i podzielić je na kategorie.

Produkty dotychczas zdefiniowane są w tym oknie wymienione w tabeli. Wszystkie wstawione produkty są pokazane z podziałem na kategorie, z opisem oraz ceną.

Na pasku narzędzi powyżej tabeli produktów znajdują się następujące polecenia:

 Wytnij [CTRL+X] - Kopiuj [CTRL+C] - Wklej [CTRL+V]
Służą do wycinania, kopiowania i wklejania zaznaczonych produktów. Te same polecenia są dostępne w menu kontekstowym wyświetlanym po kliknięciu elementu na liście produktów prawym przyciskiem myszy.

Poza poleceniami widocznymi na pasku narzędzi, dostępne są następujące polecenia służące do definiowania listy produktów i zarządzania sklepem internetowym:
- | Nowa kategoria: dodaje nową kategorię produktów. Same kategorie nie mają szczególnych ustawień i wstawia się je bezpośrednio do tabeli. Dwukrotne kliknięcie kategorii pozwala zmienić jej nazwę. Lepszą organizację produktów może zapewnić podział ich na podkategorie. Nie ma ograniczenia liczby kategorii i podkategorii.
- | Nowy produkt: otwiera okno dialogowe Ustawienia produktu, gdzie można dodać nowy produkt do wybranej kategorii.
- | Usuń: usuwa całą kategorię wraz ze wszystkimi jej produktami albo usuwa wybrany produkt.
- | Edytuj: otwiera okno dialogowe Ustawienia produktu, gdzie można zmienić ustawienia wybranego produktu.

 Najłatwiejszym sposobem przeniesienia produktu z jednej kategorii do drugiej jest zaznaczenie go na liście produktów i przeciągnięcie do innej kategorii. Chcąc zaznaczyć kilka elementów, trzymaj podczas klikania wciśnięty klawisz CTRL lub SHIFT.

Opcje okna dialogowego Ustawienia produktu, otwieranego przyciskiem Nowy produkt lub Edytuj służą do definiowania nowego produktu. Opcje są one rozmieszczone na trzech kartach:
- | Ogólne
- | Obraz
- | Opcje

Obiekt Lista produktów może być użyty do stworzenia elektronicznego katalogu online dopiero wtedy, gdy w sklepie są zdefiniowane wszystkie kategorie i produkty.

Zagadnienia pokrewne:
- | Sklep
- | Lista produktów


Sklep | Produkty | Ustawienia produktu | Ogólne

Opcje na karcie Ogólne okna dialogowego Ustawienia produktu służą do podania podstawowych informacji na temat produktu, który ma się znaleźć w sklepie internetowym.

Do zdefiniowania nowego produktu na liście produktów służą następujące opcje:

-

Nazwa/Kod: tu można wpisać lub edytować nazwę produktu lub jego kod.

-

Opis: tu można wpisać lub poddać edycji opis produktu.

-

Strona produktu: kliknięcie przycisku po prawej stronie pola pozwala wybrać z mapy witryny stronę dołączoną do danego produktu.

-

Cena: tu podaj cenę zaznaczonego produktu.

-

VAT (%): jeśli to pole wyboru jest dostępne, możesz je zaznaczyć i podać wysokość VAT-u dla danego produktu. Dostępność tej opcji zależy od parametru Ustaw wysokość VAT dla poszczególnych produktów , który można znaleźć na karcie Opcje sklepu.

W zależności od ustawień sklepu podane ceny produktów mogą zawierać już VAT, albo mogą być cenami netto i wtedy można ustawić wysokość podatku dla poszczególnych artykułów, jeśli stawki dla produktów są różne.

-

Waga: podaj wagę wybranego produktu, co umożliwi obliczenie kosztów dostawy (patrz Płatność | Rodzaj dostawy).

Waga może być wyrażona w kilogramach, litrach, metrach itd., w zależności od rodzaju oferowanego produktu. Ważne jest prawidłowe obliczenie kosztów dostawy, dlatego należy wybrać taką miarę, która najlepiej pasuje do wszystkich produktów oferowanych w sklepie.

Zagadnienia pokrewne:

-

Sklep | Produkty


Sklep | Produkty | Ustawienia produktu | Obraz

Opcje na karcie Obraz okna dialogowego Ustawienia produktu służą do umieszczenia ilustracji produktu dostępnego w sklepie internetowym.

Jeśli jest kilka zdjęć produktu, można z nich zrobić pokaz slajdów. Kiedy gość sklepu kliknie obraz, w polu pokazu zostanie wyświetlona powiększona jego wersja.
Jednak w koszyku zakupów widoczny będzie tylko jeden obraz ilustrujący produkt. Wszystkie pozostałe wstawione tu obrazy będzie można wyświetlić na karcie produktu zdefiniowanej w obiekcie Lista produktów.

Oto opcje dostępne przy tworzeniu listy obrazów ilustrujących dany produkt:
- | Dodaj / Usuń: pozwalają dodawać i usuwać obrazy z listy pokazu slajdów. W oknie Wybór pliku można wybrać kilka plików do wstawienia.
- | W górę / W dół: wybrany obraz można przesunąć o jedną pozycję w górę lub w dół listy pokazu slajdów.
- | Edytuj: otwiera okno dialogowe Edytor obrazów, gdzie wybrany obraz można poddać edycji.

W grupie Właściwości pola pokazu dostępne są opcje:

-

Maks. szerokość / Maks. wysokość: tu można określić maksymalne rozmiary pola pokazu, w którym wyświetlane są powiększone obrazy.

Więcej informacji na temat ustawień pola pokazu znajdziesz w Krok 4 - Ustawienia zaawansowane, Style i modele | Pole pokazu.

Zagadnienia pokrewne:

-

Sklep | Produkty


Sklep | Produkty | Ustawienia produktu | Opcje

Opcje na karcie Opcje okna dialogowego Ustawienia produktu pozwalają określić wartości kilku dodatkowych parametrów dla nowego produktu dostępnego w sklepie internetowym.

Możesz zdefiniować różne Rodzaje produktu, takie jak rozmiar, kolor, model. Wszystkie będą wyświetlane na karcie produktu utworzonej za pomocą obiektu Lista produktów.

Do tworzenia listy rodzajów produktu służą następujące narzędzia:
- | Dodaj / Usuń: możesz dodać rodzaj produktu lub usunąć zaznaczony na liście.
- | Edytuj: możesz poddać edycji zaznaczony na liście rodzaj produktu. Dwukrotne kliknięcie rodzaju na liście także pozwala go edytować.
- | W górę / W dół: wybrany rodzaj można przesunąć o jedną pozycję w górę lub w dół listy rodzajów.

Jeśli zaznaczysz pole wyboru Udziel rabatu ilościowego, możesz utworzyć listę rabatów udzielanych w zależności od ilości zamówienia. Rabaty są wymienione w polu listy, a do ich definiowania służą przyciski:
- | Dodaj: w oknie Rabat ilościowy można określić, jaka ilość zamówionego produktu uprawnia do udzielenia rabatu określonej wysokości. Rabat o procentowej wysokości podanej niżej zostanie udzielony wtedy, gdy klient zamówi ilość produktu równą lub większą od określonej tu w polu Ilość.
- | Usuń: usuwa zaznaczoną pozycję rabatową z listy.
- | Edytuj: otwiera okno dialogowe Rabat ilościowy i pozwala poddać edycji wartości rabatu. Dwukrotne kliknięcie pozycji rabatowej na liście także otwiera to okno.

Zagadnienia pokrewne:

-

Sklep | Produkty


Sklep | Płatność

Opcje na karcie Płatność okna Sklep służą do definiowania sposobów płatności i dostawy, które chcesz zaoferować klientom swojego sklepu.

Na liście sposobów dostawy podane są Nazwa, Opis i Koszt wszystkich możliwych sposobów dostarczenia zamówienia.

Do tworzenia listy sposobów dostawy zamówienia w sklepie internetowym służą następujące przyciski:
- | Dodaj: kliknięcie tego przycisku otwiera okno dialogowe Sposób dostawy, gdzie można zdefiniować nowy sposób dostarczenia zamówienia.
- | Duplikuj: klikniecie tego przycisku tworzy kopię definicji istniejącego sposobu dostawy, z którego szybciej można zdefiniować nowy.
- | Usuń: usuwa zaznaczony sposób dostawy z listy.
- | Edytuj: otwiera okno dialogowe Sposób dostawy, gdzie można poddać edycji wybrany sposób dostawy. Dwukrotne kliknięcie sposobu dostawy na liście także otwiera to okno.
- | W górę / W dół:wybrany sposób dostawy można przesunąć o jedną pozycję w górę lub w dół listy.

Lista sposobów płatności jest podobna do listy sposobów dostawy. Podane są tu Płatność, Opis i Koszt każdego dostępnego sposobu płatności w sklepie internetowym.

Operacje na liście płatności wykonuje się tak samo, jak na liście sposobów dostawy, jedyna różnica polega na tym, że przyciski Dodaj i Edytuj otwierają okno dialogowe Sposób płatności.

Zagadnienia pokrewne:
- | Sklep
- | Sposób dostawy
- | Sposób płatności


Sklep | Płatność | Sposób dostawy

Okno Sposób dostawy otwiera się przyciskami Dodaj i Edytuj znajdującymi się obok listy sposobów dostawy na karcie Płatność sklepu internetowego. Tutaj można zdefiniować różne metody dostarczania produktów zamówionych w sklepie internetowym.

Okno dialogowe Sposób dostawy ma trzy karty:
- | Ogólne
- | Koszt
- | Wiadomość e-mail:

Na karcie Ogólne dostępne są następujące opcje:
- | Nazwa: każdy sposób dostawy należy jakoś nazwać.
- | Opis: tu możesz wpisać opis metody dostawy.

Na karcie Koszt możesz podać składowe kosztu dostawy.

Koszt dostawy można obliczać na różne sposoby:

-

Koszt stały: wybierz tę opcję, jeśli koszt dostawy w wybranej metodzie jest zawsze taki sam, niezależnie od wielkości i wagi zamówienia.

-

Koszt zależy od wielkości zamówienia: możesz określić dla wybranej metody dostawy koszty dla różnych zakresów ilości zamawianego towaru. Wartości podaje się w oknie dialogowym Koszt dostawy otwieranym przyciskiem Dodaj i Edytuj. Tu należy określić całkowitą ilość zamawianych produktów, powyżej której określa się Koszt dostawy.

-

Koszt zależny od wagi całkowitej: możesz określić dla wybranej metody dostawy koszty dla różnych zakresów wagi zamawianego towaru. Wartości podaje się w oknie dialogowym Koszt dostawy otwieranym przyciskiem Dodaj i Edytuj. Tu należy określić całkowitą wagę zamawianych produktów, powyżej której określa się Koszt dostawy.

Aby koszt dostawy zależny od wagi został obliczony poprawnie, należy upewnić się, czy w oknie Ustawienia produktu | Ogólne dla każdego produktu została podana waga.
Dostępność poniższej opcji zależy od parametru Ustaw wysokość VAT dla poszczególnych produktów , który można znaleźć na karcie Opcje sklepu.

-

VAT (%): w tym polu możesz określić wysokość podatku VAT dla danej metody dostawy.

Na karcie Wiadomość e-mail możesz wpisać tekst wiadomości, która opisuje i wyjaśnia wybrany sposób dostawy. Wiadomość ta zostanie umieszczona w e-mailu wysłanym do klienta jako potwierdzenie zamówienia.

Zagadnienia pokrewne:
- | Sklep | Płatność
- | Jak napisać wiadomość e-mail potwierdzającą zamówienie?


Sklep | Płatność | Sposób płatności

W tym oknie należy zdefiniować metodę płatności za towary zakupione w sklepie internetowym. Okno otwiera się przyciskiem Dodaj lub Edytuj znajdującymi się po prawej stronie listy sposobów płatności na karcie Płatność sklepu.

Okno dialogowe Sposób płatności ma trzy karty:
- | Ogólne
- | Rodzaj
- | Wiadomość e-mail:

Na karcie Ogólne dostępne są następujące opcje:
- | Nazwa: każdy sposób płatności należy jakoś nazwać.
- | Opis: tu możesz podać opis metody płatności.

Na karcie Rodzaj dostępne są następujące opcje:

- | Płatność później: klient może złożyć zamówienie teraz, a zapłacić później (na przykład przelewem bankowym).
- | Płatność teraz: klient płaci w tym samym czasie, co składa zamówienie (na przykład przez PayPal albo kartę kredytową).

Jeśli wybierzesz opcję Płatność teraz musisz zdefiniować wymagany Rodzaj płatności: każdy rodzaj wymaga podania innych parametrów:
PayPal/Karta kredytowa:

-

Rachunek PayPal: należy podać szczegóły dotyczące rachunku PayPal.

-

Strona potwierdzenia płatności: z mapy witryny należy wybrać stronę, która będzie wyświetlona jako potwierdzenie płatności.

-

Strona błędów płatności: z mapy witryny należy wybrać stronę, która będzie wyświetlona w wypadku błędu podczas operacji płatności.
Kod niestandardowy:

-

Kod HTML dla przycisku 'Płacę teraz': jeśli używasz systemu innego niż PayPal, wybierz tę opcję i wstaw kod HTML dostarczony przez dostawcę usług płatniczych.

 Kod HTML dostarczony przez dostawcę usług płatniczych trzeba jeszcze uzupełnić o numer zamówienia i całkowitą wartość zamówienia. Podane niżej tagi trzeba wstawić ręcznie, inaczej płatności nie będą działały poprawnie:
- | [ORDER_NO] - tu zostanie wstawiony numer zamówienia;
- | [PRICE] - tu zostanie wstawiony całkowity koszt zamówienia.

Dostępne są także następujące opcje:
- | Koszt: możesz tu podać koszt obsługi (jeśli jakiś jest), który zostanie zastosowany do wybranej metody płatności.
- | VAT (%): w tym polu możesz określić wysokość podatku VAT dla danej metody płatności. Dostępność tej opcji zależy od parametru Ustaw wysokość VAT dla poszczególnych produktów , który można znaleźć na karcie Opcje sklepu.

Na karcie Wiadomość e-mail możesz wpisać tekst wiadomości, która opisuje i wyjaśnia wybrany sposób płatności. Wiadomość ta zostanie umieszczona w e-mailu wysłanym do klienta jako potwierdzenie zamówienia.

Zagadnienia pokrewne:
- | Sklep | Płatność
- | Jak napisać wiadomość e-mail potwierdzającą zamówienie?


Sklep | Dane klienta

Opcje na karcie Dane klienta okna Sklep służą do tworzenia formularza zmówienia wykorzystywanego do składania zamówień w sklepie internetowym.

W grupie Formularz zamówienia znajduje się lista pól, które składają się na formularz zamówienia. Zaznacz pole wyboru Widoczne obok nazwy pola, które ma znaleźć się w formularzu, a pole wyboru Wymagane zaznacz wtedy, gdy wypełnienie pola przez klienta jest obowiązkowe.

Domyślna lista pól zawiera wszystkie pola, jakie spotyka się w typowych formularzach zamówienia.

Ostatnią pozycją na liście pól danych klienta jest pole adresu e-mail. To pole musi być zawsze widoczne i wymagane. Tego jednego ustawienia nie można zmienić. Bez adresu e-mail klienta składającego zamówienie sklep nie działał by poprawnie.

Dostępne są także następujące opcje:
- | Pokaż warunki umowy: zaznacz to pole wyboru, jeśli chcesz uzyskać od klienta akceptację warunków umowy wymaganą do złożenia zamówienia w sklepie. Powinny się w niej znaleźć na przykład zasady ochrony danych osobowych zbieranych i przetwarzanych na okoliczność składania zamówienia.
- | Treść umowy: możesz tu wpisać treść umowy między sklepem a klientem, którą klient musi zaakceptować przed wysłaniem zamówienia.

W grupie E-mail z listą zamówienia dostępne są opcje:
- | E-mail, na który będą spływały zamówienia: podaj tu adres e-mail administratora witryny, który będzie otrzymywał zamówienia złożone w sklepie internetowym.
- | Dołącz dane zamówienia w formacie CSV: zaznacz to pole wyboru, jeśli chcesz, aby dane zamówienia były dodatkowo zapisane i przesłane w załączniku w formacie CSV. W takim wypadku wszystkie dane odczytane z formularza zamówienia zostaną umieszczone w pliku CSV w formacie tekstowym jako lista elementów rozdzielonych średnikami. Taki plik można zaimportować do arkusza kalkulacyjnego takiego programu, jak Excel w celu uzyskania formy nadającej się do przetwarzania.

W grupie E-mail potwierdzający zamówienie redaguje się Tekst nagłówka i Tekst stopki wiadomości e-mail potwierdzającej zamówienie, która będzie wysyłana do klienta składającego zamówienie automatycznie. Możesz tu dopisać dodatkowe informacje dotyczące wybranego sposobu płatności i dostawy.

Zagadnienia pokrewne:
- | Sklep
- | Jak napisać wiadomość e-mail potwierdzającą zamówienie?


Sklep | Opcje

Ustawienia na karcie Opcje okna Sklep służą do zdefiniowania stylu sklepu i ustawiania opcji dotyczących wysokości podatku VAT i waluty.

W grupie Ustawienia waluty dostępne są następujące opcje:
- | Waluta: możesz zdefiniować walutę akceptowana w tym sklepie internetowym. Lista rozwijana zawiera wszystkie dotychczas zdefiniowane domyślne waluty. Aby dodać lub usunąć walutę z listy, kliknij przycisk [image] otwierający okno dialogowe Lista walut.
- | Grupowanie cyfr: możesz wybrać, jak zapisywane będą liczby: z przecinkiem oddzielającym tysiące i kropką dziesiętną (1,000.00) albo odwrotnie, z kropką rozdzielająca tysiące i przecinkiem dziesiętnym (1.000,00). W języku polskim część dziesiętną od całkowitej oddziela się przecinkiem, zatem wybrać należy opcję drugą. Z przyczyn technicznych nie ma możliwości wyboru spacji rozdzielającej tysiące. Importując plik danych CSV do programu Excel, należy o tym pamiętać i zachowując przecinek dziesiętny usunąć kropki rozdzielające tysiące, inaczej Excel nie potraktuje takiej wartości jako liczbę.
- | Pokaż walutę po prawej: zaznacz to pole wyboru, jeśli symbol waluty ma być wyświetlany po prawej stronie ceny.
- | Pokaż dwa miejsca po przecinku: zaznacz tę opcję, jeśli chcesz, aby ceny były podawane z dokładnością do grosza.

W grupie Ustawienia VAT-u znajdują się następujące opcje:
- | Cena produktu zawiera VAT: jest to opcja domyślna. Ceny w sklepie są wtedy podawane brutto, więc zawierają juz podatek VAT.
- | Ustaw wysokość VAT dla poszczególnych produktów: wybierz tę opcję, jeśli wolisz podawać ceny netto (bez VAT-u), a wartość zgodną ze stawką VAT podawać dla każdego produktu osobno.
- | Domyślna stawka VAT-u (%): ta opcja jest dostępna tylko wtedy, gdy zaznaczone jest pole wyboru Ustaw wysokość VAT dla poszczególnych produktów. Możesz podać domyślną stawkę VAT i ta będzie stosowana zawsze wtedy, gdy w oknie Ustawienia produktu | Ogólnenie zostanie podana inna.

W grupie Opcje dostępne są następujące ustawienia:
- | Zezwalaj na zamówienia powyżej minimalnej ilości: zaznaczenie tego pola wyboru oznacza, że zamówienia poniżej określonej wartości nie będą przyjmowane.
- | Minimalna ilość: to pole jest dostępne wtedy, gdy zaznaczone jest pole wyboru Zezwalaj na zamówienia powyżej minimalnej ilości. Należy w nim podać akceptowalną minimalną ilość zamawianego towaru.

W grupie Ustawienia graficznej tabeli produktów definiuje się wygląd tabel wymieniających produkty dostępne w sklepie lub włożone do koszyka.
- | Tło nagłówka / Tekst nagłówka / Tło komórki / Tekst komórki / Krawędź tabeli: te przyciski otwierają paletę kolorów, z której można wybrać kolory tekstu, tła i krawędzi tabeli produktów.
- | Ikona "Dodaj do koszyka" / Ikona "Usuń z koszyka": można wybrać obraz, jaki będzie reprezentował przyciski "Dodaj do koszyka" i "Usuń z koszyka".
- | Ikona "Podgląd niedostępny": możesz określić obraz, który będzie wyświetlany wtedy, gdy określony produkt nie ma obrazu, a w ustawieniach Lista produktów wybrana jest opcja "Obraz i tekst" albo "Tekst i obraz".

Zagadnienia pokrewne:

-

Sklep


Eksport

Kiedy ukończysz pracę na danym etapie lub skończysz tworzenie witryny, możesz przejść do kroku 5 i wyeksportować witrynę, czyli opublikować ją. WebSite X5 oferuje kilka sposobu eksportu witryny. Dzięki wbudowanemu mechanizmowi FTP możesz publikować pliki projektu bezpośrednio na serwerze. Obsługiwane są bezpieczne polaczenia. Można oszczędzić czas wykorzystując transfery jednoczesne albo wysyłając na serwer tylko pliki poddane edycji po ostatnim eksporcie. Ewentualnie można zapisać wszystkie pliki na twardym dysku komputera, tak by zachować kopię projektu opublikowanego na serwerze. W końcu wszystkie pliki projektu można zapisać w jednym folderze, który da się skopiować do innego komputera, na którym można kontynuować pracę.

Krótko mówiąc, są trzy opcje eksportu:

 Publikuj witrynę w Internecie

Eksportuj witrynę na dysk

Eksportuj projekt


Publikacja witryny w Internecie

W tym oknie możesz opublikować swoją witrynę w Internecie.

Program WebSite X5 zawiera wbudowany mechanizm FTP, dzięki któremu witrynę można wysłać bezpośrednio na serwer. Wszystkie pliki niezbędne do prawidłowego wyświetlania witryny w Internecie są zapisane na twoim komputerze. Jeśli chcesz, żeby inni mogli obejrzeć twoją witrynę, musisz skopiować pliki projektu na serwer, czyli na komputer, który jest cały czas połączony z Internetem.

Kiedy eksportuje się pliki witryny, przede wszystkim należy określić Profil sesji (dane uzyskane od dostawcy usług internetowych):

-

Typ serwera: wybierz, jakie połączenie będzie używane do publikowania plików witryny na serwerze. Wybierz jeden z poniższych:
- | FTP - Protokół transferu plików FTP: jest to opcja domyślna. FTP - File Transfer Protocol - jest najstarszym protokołem transmisji plików nadal w powszechnym użytku. Dane przesyłane między klientem a serwerem nie są szyfrowane, zgodnie z oryginalną specyfikacją FTP.
- | SFTP - Protokół transferu plików SSH: jest to protokół gwarantujący bezpieczny transfer dzięki zdalnej szyfrowanej sesji.
- | FTPS - FTP przez jawne TLS/SSL: w celu zwiększenia bezpieczeństwa ten protokół ten nakłada na protokół FTP szyfrowaną warstwę SSL/TLS i dodatkowo serie kodów komend i odpowiedzi.

-

Adres FTP: w tym polu należy wpisać adres serwera FTP. Przykładowo "ftp.websitex5.com", gdzie "websitex5.com" jest nazwą domeny.

-

Nazwa użytkownika / Hasło: w tych polach wpisz nazwę użytkownika i hasło.

-

Zapamiętaj hasło: jeśli zaznaczysz to pole wyboru, wprowadzone hasło zostanie zapamiętane i nie będzie go trzeba wpisywać za każdym razem.

Są jeszcze Parametry opcjonalne, których nie trzeba podawać, żeby uzyskać połączenie, ale można:

-

Katalog docelowy: wpisz ścieżkę dostępu do docelowego folderu wyznaczonego przez dostawcę przestrzeni dyskowej na serwerze. Jeśli nie zrobisz tego teraz, możesz podać ją w następnym oknie wyświetlonym przez program WebSite X5.

-

Port: możesz podać nazwę bramy na serwerze, przez którą ma być zrealizowane połączenie (tę informację można uzyskać od dostawcy usług internetowych). Na ogół nie ma potrzeby zmiany domyślnej wartości.

-

Transfery jednoczesne: możesz podać liczbę połączeń z serwerem, które FTP potrzebuje otworzyć jednocześnie w celu opublikowania plików witryny. Liczba połączeń jest równa maksymalnej liczbie plików jednocześnie eksportowanych.

Serwer musi obsługiwać połączenia jednoczesne. Choć obsługa połączeń jednoczesnych może być zapewniona, jedynie określona liczba jednoczesnych transferów może być wykonywana efektywnie. Spróbuj zacząć od 3 i stopniowo zwiększaj tę liczbę, aż znajdziesz najlepszą wartość, jaką serwer jest w stanie obsłużyć. Generalnie, nie zaleca się wymagania więcej niż 10 jednoczesnych połączeń.

-

Użyj pasywnego FTP: to pole wyboru jest domyślnie zaznaczone i oznacza, że podczas eksportu projektu używane jest pasywne FTP. Zapewnia to lepszą zgodność połączenia z serwerem.

-

Włącz kompresję gzip: ta opcja jest domyślnie zaznaczona i oznacza, że pliki projektu są kompresowane w procesie eksportu w celu przyspieszenia transferu.

Nie wszystkie serwery obsługują kompresję gzip. Jeśli ta opcja zostanie zaznaczona, a serwer nie obsługuje kompresji gzip, pliki nie będą kompresowane, ale projekt zostanie opublikowany. Kompresja gzip działa doskonale w wypadku dużych plików (na przykład zawierających dużo obrazów lub filmów), ale nie jest zalecana dla małych plików.

Kiedy podasz wszystkie parametry połączenia z serwerem, możesz określić Opcje eksportu (co i jak ma być opublikowane):

-

Publikuj wszystkie pliki witryny w Internecie: wysyła na serwer wszystkie pliki projektu witryny. Tę opcję należy wybrać, gdy witryna jest publikowana za pierwszym razem, albo gdy zmieniło się wiele plików.

-

Eksportuj tylko pliki zmodyfikowane od ostatniego eksportu: jeśli wybierzesz tę opcję, na serwer zostaną wysłane tylko pliki zmodyfikowane od czasu ostatniej publikacji. Zaleca się ten tryb eksportu w wypadku witryn regularnie aktualizowanych, ponieważ operacja trwa krócej w porównaniu z eksportem całej witryny.

Data publikacji jest zapisywane w pliku projektu, więc warto zapisywać projekt zaraz po publikacji.
Nawet jeśli wybierze się eksport tylko plików zmodyfikowanych, strony HTML i pliki źródłowe (z podfolderu RES) także zostaną zaktualizowane, ponieważ istnieje duże prawdopodobieństwo, że zostały uaktualnione.

-

Eksportuj wyłącznie blog i kanał RSS: jeśli wybierzesz tę opcję, wyeksportowane zostaną tylko pliki .PHP i .XML dotyczące blogu i pliki .XML dotyczące kanału RSS (patrz Krok 4 - Ustawienia zaawansowane). Opcję tę można wybrać tylko wtedy, gdy blog lub kanał RSS zostały już raz opublikowane w całości z witryną. Opcja ta przydaje się szczególnie wtedy, gdy poza blogiem i kanałem RSS nic w witrynie nie było zmieniane.

Co należy zrobić?

 Kiedy ustawisz już wszystkie parametry, kliknij przycisk Dalej, żeby połączyć się z serwerem. Gdy uzyskasz połączenie, zostanie wyświetlona lista plików już znajdujących się na serwerze. Za pomocą dostępnych poleceń przejdź do folderu, w którym mają być opublikowane pliki projektu.

 Folder, w którym ma być opublikowana witryna musi zawierać plik index.html. Jeśli nie masz pewności, którego folderu użyć, spytaj dostawcę przestrzeni dyskowej na serwerze. Nie wszystkie foldery na serwerze nadają się do publikowania witryn.

Oto polecenia dostępne na serwerze:

 Folder nadrzędny
Przenosi do folderu nadrzędnego.

Odśwież
Odświeża zawartość folderu.

Nowy folder
Możesz utworzyć nowy folder.

Usuń
 Pozwala usunąć zaznaczony plik lub folder.

Zmień nazwę
Pozwala zmienić nazwę zaznaczonego pliku lub folderu.

Eksportuj plik na serwer / Pobierz plik z serwera
Te polecenia pozwalają publikować na serwerze pliki nie należące do projektu albo pobierać pliki znajdujące się na serwerze i kopiować do komputera.

Wyświetl listę / Wyświetl szczegóły: Możesz wybrać poziom szczegółowości wyświetlanej listy plików.

Ponadto są dostępne jeszcze dwie opcje:
- | Dziennik: kliknij tę zakładkę, jeśli chcesz wyświetlać dziennik komunikatów i ewentualnych błędów podczas połączenia z serwerem.
- | Pliki w kolejce: kliknij tę zakładkę, jeśli chcesz wyświetlać stan kolejki plików transferowanych na serwer (liczba plików zależy od ustawienia liczby jednoczesnych transferów). Na pasku stanu widoczny jest postęp transferu każdego pliku. Po zakończeniu transferu plik jest usuwany z kolejki.

 Podczas eksportowania projektu program WebSite X5 kopiuje na serwer wszystkie pliki zawarte w folderze. Jeśli folder na serwerze zawiera jakieś pliki o tych samych nazwach, co publikowane, zostaną one nadpisane.

Zagadnienia pokrewne:

-

Eksport


Eksport został zakończony

Kiedy witryna zostanie pomyślnie opublikowana (patrz Publikacja witryny w Internecie), w tym oknie można znaleźć sugestie, jak powiadomić użytkowników Internetu o jej istnieniu.

Oto wybór opcji:

 Twoja witryna jest dostępna w sieci!
Możesz uruchomić domyślną przeglądarkę i otworzyć witrynę online, żeby sprawdzić, czy wszystko działa poprawnie.

Galeria WebSite X5
Możesz wejść do galerii WebSite X5 w witrynie my.WebSiteX5.com, żeby wysłać swoją witrynę do galerii. Galeria jest zbiorem witryn utworzonych w programie WebSite X5 i wysłanych przez ich autorów.

Aktualizuj plik mapy witryny w Google
Możesz poinformować Google o tym, że dostępny jest plik SiteMap nowo opublikowanej witryny, dzięki czemu wyszukiwarki mogą zacząć ją indeksować.

Ogłoś publikację na Facebooku
Możesz przejść na Facebook i podać swoim znajomym informację o publikacji witryny.

Ogłoś publikację na Twitterze
Możesz przejść na Twitter i podać informację o publikacji witryny.

Zagadnienia pokrewne:

-

Eksport


Eksport witryny na dysk

W tym oknie możesz wyeksportować witrynę na inny dysk lub do innego komputera.

Ta opcja przydaje się do zachowania lokalnej kopii plików, które są publikowane na serwerze, tak że można je skopiować na inny nośnik (CD, DVD lub USB) albo dokonać zmian w kodzie HTML stron, zanim opublikuje się witrynę.

Aby wyeksportować wszystkie pliki projektu, należy podać:

-

Katalog docelowy: Wpisz nazwę folderu, do którego chcesz skopiować pliki projektu. Jeśli folder nie istnieje, zostanie utworzony automatycznie.

Jeśli zależy ci na kopii zapasowej projektu, użyj opcji Eksportuj projekt: wtedy zostanie wykonana kopia oryginalnych plików projektu, a nie plików tworzonych na potrzeby publikacji.

Zagadnienia pokrewne:

-

Eksport


Eksport skompresowanego projektu

W tym oknie możesz zgrupować wszystkie pliki należące do jednego projektu w jednym skompresowanym pliku, który można łatwo przenieść na inny komputer lub potraktować go jak kopię zapasową.

Aby wyeksportować plik projektu, wystarczy podać:

-

Katalog docelowy: jeśli folder nie istnieje, to zostanie utworzony automatycznie.

Po wyeksportowaniu projektu w katalogu docelowym tworzony jest jeden skompresowany plik o tej samej nazwie, co projekt z rozszerzeniem .IWZIP. Jeśli projekt nazywał się, na przykład, "mojProjekt", nowy plik będzie nosił nazwę mojProjekt.iwzip. W skompresowanym pliku znajdują się zarówno plik projektu (.IWP), jak i wszystkie pliki w nim wykorzystywane (obrazy, filmy, czy animacje).

Skompresowany plik .IWZIP można przenieść do innego komputera i otworzyć go w programie za pomocą opcji Importuj dostępnej w oknie Wybór projektu.

Zagadnienia pokrewne:
- | Eksport
 | Wybór projektu | Import projektu


Wbudowana przeglądarka

Podczas budowania witryny dobrze mieć możliwość sprawdzenia ostatecznego jej wyglądu. W każdym oknie programu WebSite X5 dostępny jest przycisk Podgląd (patrz Środowisko robocze), wystarczy go kliknąć! Podgląd jest stale aktualizowany, więc daje pewność, że to co się widzi wygląda dokładnie tak samo, jak witryna po publikacji (patrz Zapisz przy każdym wyświetleniu podglądu w oknie Preferencje).

Program WebSite X5 wykorzystuje do wyświetlania podglądu wbudowaną przeglądarkę. Przeglądarka działa tak samo, jak Microsoft Internet Explorer i ma następujące narzędzia:

 Poprzednia
Wraca do poprzednio wyświetlanej strony.

Następna
Wyświetla stronę oglądaną przed kliknięciem przycisku Poprzednia.

Strona główna
Przechodzi do strony głównej witryny.

Pasek adresu
Podaje ścieżkę dostępu do wyświetlanej strony. Można tu także wpisać ścieżkę dostępu do strony, która ma być wyświetlona.

Przejdź do
Kliknięcie tego przycisku przenosi na stronę odpowiadającą adresowi wpisanemu na pasku adresu. Alternatywnie można nacisnąć klawisz ENTER.

Edytuj tę stronę
Kliknięcie tego przycisku powoduje powrót do środowiska roboczego programu i otwarcie strony w kroku 3 - Tworzenie strony w celu dalszej jej edycji. Jeśli strona jest częścią blogu, należy do strefy użytkownika albo sklepu internetowego, przycisk ten przenosi do odpowiedniego okna kroku 4 - Ustawienia zaawansowane.

Zauważ, że gdy otworzysz okno przeglądarki, żeby wyświetlić podgląd projektu, wygląd wyświetlanej strony zmienia się automatycznie wraz z wprowadzanymi zmianami. Kiedy przejdziesz do innej strony, ta sama strona także zostanie otwarta w oknie przeglądarki z podglądem.

Posiadanie wbudowanej przeglądarki do wyświetlania podglądu witryny ma swoje zalety:
- | Podgląd witryny nie zastępuje strony wyświetlonej w domyślnej przeglądarce internetowej, gdy jest ona otwarta i wyświetla coś z Internetu.
- | Podgląd witryny jest aktualizowany w wewnętrznej przeglądarce i nie otwiera więcej okien domyślnej przeglądarki internetowej.


Automatyczne zarządzanie tekstem

Niektóre elementy na stronach budowanych w WebSite X5 są wstawiane automatycznie przez program: Są to na przykład linki do innych części witryny, przyciski galerii obrazów, etykiety formularza e-mail, etykiety i tekst sklepu internetowego, tekst pojawiający się w mapie witryny.

Oczywiście tekst tych elementów musi być w języku odpowiednim dla witryny, a żeby mieć pewność, że tak będzie, należy wybrać język witryny z listy Język treści w oknie Ustawienia ogólne. Program WebSite X5 oferuje różne języki, w tym angielski, włoski, czy niemiecki z odpowiednimi tłumaczeniami. Domyślne tłumaczenie różnych elementów można zmienić, a ponadto można dodać lub zaimportować nowy język, ewentualnie usunąć niepotrzebny. W tym celu należy kliknąć przycisk [image] znajdujący się po prawej stronie pola Język treści i otworzyć w ten sposób okno dialogowe Zarządzanie treścią różnych językach.

Po lewej stronie okna Zarządzanie treścią w różnych językach znajduje się lista dostępnych języków, a po prawej tabela z tłumaczeniami z różnych języków. W pierwszej kolumnie tabeli podany jest opis pozwalający zidentyfikować przeznaczenie elementu programu. Potem po jednej kolumnie na każdy zaznaczony na liście język. Elementy można edytować bezpośrednio w tej tabeli.

W oknie dialogowym Zarządzanie treścią w różnych językach znajdują się przyciski:

 Dodaj nowy język: w otwieranym tym przyciskiem oknie dialogowym można podać identyfikator nowego języka. Identyfikator musi mieć format "ID - NazwaJęzyka", na przykład "PL - Polski".

Usuń wybrany język: usuwa zaznaczony sposób dostawy z listy.

Co należy zrobić? - Zmiana ustawienia dla istniejącego języka

Przykładem tekstu automatycznie wstawianego przez program w języku angielskim są etykiety przycisków "Send" i "Reset" umieszczane na dole formularza e-mail.
Wyobraź sobie, że jako język treści witryny wybrany jest "English" i chcesz zmienić etykietę przycisku "Reset" na "Ignore":
- | W oknie dialogowym Zarządzanie treścią w różnych językach zaznacz na liście dostępnych języków pole wyboru English, żeby wyświetlić tabelę tłumaczeń.
- | W pierwszej kolumnie tabeli znajdź identyfikator "form_reset", którego wartość jest etykietą przycisku, która ma być zmieniona. Przejdź w tym samym wierszu do komórki w kolumnie English. Dwukrotnie kliknij komórkę, tak by pojawił się kursor. Usuń słowo "Reset", a wpisz "Ignore".
- | Zatwierdź zmianę klawiszem ENTER i kliknij przycisk Zamknij.

Co należy zrobić? - Dodawanie nowego języka

Jeśli chcesz stworzyć witrynę w języku nie wymienionym na liście (na przykład, portugalskim), wtedy chcąc uniknąć wstawiania tekstu automatycznie w języku angielskim (domyślnym), musisz dodać nowy język do listy Zarządzanie treścią w różnych językach i przetłumaczyć wszystkie frazy tekstów wstawianych automatycznie. Wszystko co jest do tego potrzebne, to wystarczające znajomość języka:
- | W oknie Zarządzanie treścią w różnych językach kliknij przycisk Dodaj nowy język i w oknie dialogowym wpisz "PT - Português". Nowa pozycja pojawi się na dole listy dostępnych języków.
- | Kliknij pole wyboru "PT - Português", żeby wyświetlić w tabeli kolumnę tłumaczenia na portugalski.
- | Klikaj kolejne komórki kolumny "PT - Português" i wpisuj potrzebne tłumaczenia.
- | Kiedy skończysz zatwierdź i zapisz zmiany.

Zagadnienia pokrewne:
- | Ustawienia ogólne | Podstawowe
- | Ustawienia zaawansowane | Strona wstępna


Model komórki w programie WebSite X5

W programie WebSite X5 strony tworzy się w tabeli układu strony składającej sie z komórek, których wygląd i marginesy określa się w oknie dialogowym Margines komórki otwieranym przyciskiem [image] w oknie krok 3 - Tworzenie strony.

Aby dobrze zrozumieć pojęcie marginesów i prawidłowo określić ich wartości, należy wiedzieć jak wygląda model komórki.

Kiedy piszesz kod strony, wszystkie elementy HTML są zagnieżdżonymi prostokątami, których ustawienia definiują wygląd elementu. Każdy prostokąt składa się z kilku składników - marginesy zewnętrzne, krawędzie, marginesy wewnętrzne i właściwa treść - z których każdy można modyfikować we właściwościach CSS.

Poniższy diagram ilustruje poszczególne składniki modelu komórki:

W programie WebSite X5 domyślna tabela układu strony ma kilka komórek, do których wstawia się zawartość strony. Każda komórka ma taką budowę, jak pokazano powyżej.

Elementami składowymi komórki są:
- | Zawartość (zielona): zawartość wstawia się do komórki przez przeciągnięcie obiektu z palety dostępnych obiektów.
- | Margines wewnętrzny (różowy): jest to przestrzeń między zawartością a krawędzią.
- | Krawędź: krawędź leży wokół zawartości w odległości zdefiniowanej marginesami wewnętrznymi. Wygląd krawędzi definiuje się w oknie Styl komórki.
- | Margines zewnętrzny (żółty): jest to przestrzeń między krawędzią a liniami tabeli układu strony.
Zgodnie z tymi definicjami odległość między dwoma obiektami (w pionie lub poziomie0 jest równa sumie marginesów zdefiniowanych dla komórek, w których obiekt jest umieszczony.

Zagadnienia pokrewne:
- | Tabela układu strony
- | Styl komórki


Jak wstawić w tle obraz wypełniający komórkę?

W oknie Styl komórki | Styl możesz określić wygląd komórki zaznaczonej w tabeli układu strony.

Wśród różnych opcji możesz wybrać wstawienie w tle komórki obrazu. Obraz musi mieć format .JPG, .GIF lub .PNG. Aby uzyskać najlepszy efekt, musisz dla opcji Obraz w tle określić Powtórzenie i Wyrównanie.

Oto kilka przykładów.

Przykład 1 - Jeśli obraz jest tej samej wielkości co komórka, możesz wybrać:
Tło: Obraz w tle
Powtórzenie: Bez powtarzania
Wyrównanie: Góra - Lewa

Przykład 2 - Jeśli obraz jest motywem i po powtórzeniu go sąsiadująco (w pionie i w poziomie) nie widać miejsca styku, możesz określić:
Tło: Obraz w tle
Powtórzenie: Powtórz sąsiadująco
Wyrównanie: Góra - Lewa

Przykład 3 - Jeśli obraz jest ramką, którą można zaadoptować do komórek o różnych rozmiarach, możesz wybrać:
Tło: Wykadruj w blokach i dopasuj do komórki
Szerokość bloku / Wysokość bloku: wybierz szerokość i wysokość zależnie od wielkości komórki.

Na poniższym schemacie zilustrowano, jak użyć opcji Wykadruj w blokach i dopasuj do komórki:

Rysunek 1

Rysunek 2

Rysunek 3

Oryginał (rysunek 1) jest ozdobną ramą, którą łatwo podzielić na bloki i dopasować do dowolnej wielkości. Ornamenty w narożnikach są takiej samej wielkości, a brzegi można powielić bez niebezpieczeństwa utraty ciągłości koloru.

Rysunek 2 ilustruje, jakie wielkości powinny być podane w polach Szerokość bloku i Wysokość bloku. Tutaj szerokość i wysokość są takie same i mogą być wyrażone jako procent szerokości i wysokości oryginalnego obrazu. zakres dozwolony jest od 5% do 45%. Kadrowanie w tym przykładzie wynosi 35% dla szerokości i wysokości. Taka wartość zapewnia, że każdy z narożnych bloków mieści cały narożnik ramy.

Rysunek 3 ilustruje jak z zadanych bloków A, B, C i D uzyskuje się pozostałe 5 bloków a, b, c, d i e. Na takie bloki program dzieli obraz, żeby otrzymać wszystkie fragmenty potrzebne do złożenia tła komórki. Bloki A, B, C i D są zachowywane bez zmian na swoich miejscach w narożnikach komórki, natomiast pozostałe bloki, a, b,c, d i e, są powtarzane ta, by wypełniły pozostałą przestrzeń.

Zatem opcja Wykadruj w blokach i dopasuj do komórki doskonale nadaje się do zaadoptowania tego samego obrazu do komórek różnej wielkości.

Zagadnienia pokrewne:
- | Tabela układu strony
- | Styl komórki


Jak napisać wiadomość e-mail potwierdzającą zamówienie?

Kiedy klient sklepu internetowego złoży zamówienie, oczekuje otrzymania wiadomości e-mail z potwierdzeniem zamówienia i instrukcjami dotyczącymi płatności.

Program WebSite X5 generuje wiadomość e-mail potwierdzającą zamówienie automatycznie i sam wstawia szczegóły zamówienia.

Wiadomość e-mail budowana jest w następujący sposób:

 | Opis | Przykład | Gdzie znaleźć ustawienie
Tekst nagłówka: | To jest wstępna część wiadomości e-mail. Należy tu podziękować klientowi za zamówienie i streścić to, co będzie napisane poniżej. | Szanowny Kliencie! Dziękujemy za dokonanie zakupu w naszym sklepie. Poniżej znajduje się podsumowanie wraz z listą zamówionych produktów, danymi do faktury, terminem dostawy i wybranym sposobem płatności. | W polu Tekst nagłówka na karcie Dane klienta.
Dane klienta | W tej części wiadomości powtarza się dane do faktury, które klient podał w formularzu zamówienia. |  | Formularz zamówienia definiuje się na karcie Dane klienta.
Podsumowanie zamówienia | Jest to tabela wyliczająca wszystkie zamówione produkty. Podaje ilość produktów, ceny detaliczne i całkowitą wartość zamówienia. |  | Tabela ta jest generowana automatycznie zgodnie z zamówieniem.
Sposób płatności | W tej części trzeba podać klientowi czytelne i precyzyjne instrukcje dokonania płatności zgodnie z metodą płatności, jaką sam wybrał. | W wypadku transferu bankowego: Przelew bankowy należy dokonać na numer konta: XXX YYY ZZZ Po dokonaniu płatności prosimy o wysłanie kopii potwierdzenia wraz z numerem zamówienia. | Na karcie Wiadomość e-mail okna dialogowego Sposób płatności.
Sposób dostawy | W tej części trzeba podać klientowi informacje o wybranej przez niego formie dostawy i, jeśli to możliwe, podać czas i miejsce dostarczenia wraz ze wszystkimi pogrzebnymi wskazówkami. | W wypadku dostawy ekspresowej: Sposób dostawy: Przesyłka ekspresowa. Towar zostanie dostarczony w przeciągu 1-2 dni roboczych. | Na karcie Wiadomość e-mail okna dialogowego Sposób dostawy.
Treść stopki: | To standardowy akapit zawierający stosowny końcowy zwrot pożegnalny wiadomości e-mail. | Jeśli potrzebujesz więcej informacji, skontaktuj się z nami. Z poważaniem Nazwa firmy | W polu Tekst stopki na karcie Dane klienta.

Podobnie jak wszystkie inne automatycznie wysyłane wiadomości e-mail, wiadomość potwierdzająca zamówienie ma styl graficzny zdefiniowany w Style i modele | E-mail.

Kopia wiadomości potwierdzającej zamówienie jest także wysyłana w formacie tekstowym.

Zagadnienia pokrewne:
- | Sklep | Dane klienta
- | Sposób dostawy
- | Sposób płatności
- | Style i modele | E-mail


Jak korzystać z narzędzi webmasterów Google?

Google Narzędzia dla webmasterów to bezpłatny serwis Google, który pomaga administratorom witryn korzystać z narzędzi analitycznych Google. Narzędzia te pomagają rozwiązywać problemy z witrynami i jeśli są właściwie używane, mogą poprawić pozycję witryny w wynikach wyszukiwania.

Aby móc korzystać z Narzędzi dla webmasterów Google, należy najpierw uzyskać konto w Google i udowodnić, że jest się właścicielem witryny, która będzie analizowana. Jednym ze sposobów udowodnienia, że jest się właścicielem witryny jest skopiowanie metatagu dostarczonego przez Google do tagu <head> strony głównej witryny, przed tagiem <body>.

A robi się to tak:

-

Otwórz konto w Google.

-

Przejdź na stronę główną Google Narzędzia dla webmasterów i zaloguj się.

-

Na stronie głównej kliknij Dodaj witrynę i wpisz pełny adres URL witryny, którą chcesz dodać.

-

Kliknij Dalej, żeby otworzyć stronę Weryfikacja własności.

-

Jako metodę weryfikacji wybierz „Dodaj metatag do strony głównej swojej witryny”.

-

Skopiuj metatag podany na tej stronie przez Google i wklej go w pole Kod metatagu dla Narzędzi webmasterów Google w oknie Ustawienia ogólne | Zaawansowane programu WebSite X5. WebSite X5 wstawi metatag w odpowiednie miejsce kodu HTML strony głównej witryny.

Kod weryfikacyjny Google wygląda mniej więcej tak:
<meta name="google-site-verification" content="04-zmocCs9ORiys3cP80pqQ_pdtgtXplKtKbdAcsyKA" />
- Kiedy opublikujesz witrynę, przejdź na stronę Weryfikacja witryny wGoogle Centrum dla webmasterów i kliknij Weryfikuj.

Zagadnienia pokrewne:

-

Ustawienia ogólne | Zaawansowane


Jak monitorować wydajność strony za pomocą usług statystycznych, takich Google Analytics?

W Internecie jest dostępnych wiele narzędzi statystycznych. Jednym z najpopularniejszych jest Google Analytics. To bezpłatne narzędzie generuje różne raporty służące do monitorowania i analizowania odwiedzin twojej witryny. Google Analytics można wykorzystać do prostej analizy, na przykład zliczania liczby odwiedzin, aż do złożonych zadań, takich jak sondowanie efektywności reklam zamieszczanych przez poszczególne firmy - tym ostatnim zajmuje się narzędzie Google AdSense.

Aby korzystać z Google Analytics, musisz poinformować Google, którą witrynę ma analizować i które strony śledzić. W tym celu trzeba na stronach witryny umieścić specjalny kod Google śledzący określone działania.

W tym celu wykonaj następujące czynności:

-

Otwórz konto w Google.

-

Przejdź na stronę główną Google Analytics i zaloguj się.

-

Na stronie Google Analistics kliknij Zarejestruj się i na stronie Rejestracja nowego konta podaj adres URL witryny do śledzenia, poczym kliknij Kontynuuj i wykonaj pozostałe czynności, o które poprosi kreator.

-

Kiedy profil będzie już gotowy, przejdź na stronę Przegląd i w ostatniej kolumnie Działania kliknij Edytuj w wierszu tej witryny, która ma być analizowana.

-

W ustawieniach profilu będzie informacja "Śledzenie nieznane". Kliknij Sprawdź status, żeby wyświetlić kod, którego należy użyć do śledzenia stron.

-

Skopiuj podany kod i wklej go w pole Kod dla statystyki witryny w oknie Ustawienia ogólne | Zaawansowane programu. WebSite X5 umieści kod jako wartość metatagu w odpowiednim miejscu w kodzie HTML stron witryny.

Kod śledzenia dostarczony przez Google wygląda mniej więcej tak:
<script type="text/javascript">
var gaJsHost = (("https:" == document.location.protocol)? "https://ssl." : "http://www.");
document.write(unescape("%3Cscript src='" + gaJsHost + "google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E"));
</script>
<script type="text/javascript">
try {
var pageTracker = _gat._getTracker("UA-110367-1");
pageTracker._trackPageview();
} catch(err) {}</script>

Zagadnienia pokrewne:

-

Ustawienia ogólne | Zaawansowane


Jak utworzyć link do pliku SiteMap witryny?

Program WebSite X5 generuje dla witryny plik XML SiteMap i dołącza go do kodu HTML stron witryny w metatagu <sitemap>.

SiteMap jest plikiem XML i zawiera listę wszystkich stron witryny. Został on wprowadzony przez Google (i dziś wykorzystywany także przez Yahoo! i MSN) w celu szybkiego i efektywnego skanowania witryn. Innymi słowy, utworzenie i wysłanie pliku SiteMap do webmastera, może zapewnić, że jego wyszukiwarka, w tym wypadku Google, będzie poinformowana o zawartości witryny i wszystkich jej stronach, włącznie z tymi, których normalnie nie widać.

Mapa witryny w pliku SiteMap można także ukierunkować działanie wyszukiwarek na znajdowanie określonych treści, takich jak filmy, obrazy, nowości itd. Plik SiteMap może zawierać dodatkowe informacje o tym, jak często strony są aktualizowane, kiedy były ostatni raz edytowane, na ile są ważne w całej witrynie (ten parametr nie ma wpływu na pozycję strony w wynikach wyszukiwania).

Tworzenie pliku SiteMap - Co należy zrobić?

Aby wygenerować plik SiteMap witryny, zostaw domyślne ustawienie (włączone) opcji Automatycznie twórz plik mapy witryny w oknie Ustawienia ogólne | Zaawansowane.

Wtedy możesz wstawiać do pliku SiteMap dodatkowe informacje o każdej stronie.

- | W kroku 2 - Tworzenie mapy witryny zaznacz stronę.
- | Kliknij przycisk [image] , żeby otworzyć okno dialogowe Właściwości strony i przejdź na kartę Zaawansowane.
- | Ustaw Częstotliwość aktualizacji i Priorytet treści.
- | Powtórz te czynności dla wszystkich stron w witrynie.

Podanie w pliku SiteMap informacji o obrazie - Co należy zrobić?

 Plik SiteMap można wykorzystać do podawania wyszukiwarce Google dodatkowych informacji na temat obrazów wstawionych w witrynie. To pomaga wyszukiwarkom znaleźć ten obraz, w przeciwnym wypadku mogłyby go przeoczyć (na przykład obrazy zawarte w modułach JavaScript), i zidentyfikować go jako ważniejszy od innych. Przykładowo, nie umieszczając w pliku SiteMap obrazów stanowiących cześć składową graficznego wzorca witryny albo elementów dekoracyjnych, dajesz Google do zrozumienia, że są one mniej ważne od innych.

Zgodnie ze specyfikacją Google możesz umieścić w pliku SiteMap do 1000 obrazów na stronę i masz gwarancję, że wszystkie one zostaną zindeksowane i będą brane pod uwagę wszystkie pozostałe informacje.

Dodawanie informacji do pliku SiteMap jest bardzo proste.

- | Dwukrotnie kliknij obiekt obrazu, o którym informacje chcesz zamieścić. To spowoduje otwarcie okna Obraz.
- | Przejdź na kartę Mapa witryny i zaznacz opcję Dodaj obraz do pliku mapy witryny.
- | Wypełnienie pól Tytuł, Nagłówek, Położenie geograficzne i Adres URL licencji jest opcjonalne.
- | Powtórz te czynności dla wszystkich ważnych obrazów w witrynie.

Więcej informacji znajdziesz w Obraz | Mapa witryny.

Podanie w pliku SiteMap informacji o filmie - Co należy zrobić?

Plik SiteMap można także wykorzystać do poinformowania Google o filmie umieszczonym w witrynie. Tak samo tutaj, Google nie daje gwarancji, ale jeśli umieścisz informacje o filmie w pliku SiteMap, zwiększasz prawdopodobieństwo odszukania go przez wyszukiwarki i podania w wynikach Google Video.

Możesz użyć pliku SiteMap do podania dodatkowych informacji o filmie, takich jak tytuł, opis i czas trwania, co może ułatwić wyszukiwanie. Te oraz inne informacje są umieszczane w wynikach wyszukiwania Search Engine Results Pages (SERP). Jednakże Google może podać w wynikach wyszukiwania SERP tekst znaleziony na stronie zawierającej film, zamiast tekstu zamieszczonego w pliku SiteMap, jeśli różnią się treścią.

Umieszczenie informacji o filmie w pliku SiteMap jest łatwe.
- | Dwukrotnie kliknij obiekt Wideo/Dźwięk, żeby otworzyć okno Wideo/Dźwięk.
- | Przejdź na kartę Mapa witryny i zaznacz opcję Dodaj wideo do pliku mapy witryny.
- | Podaj informacje wymagane w pliku SiteMap: Tytuł, Opis i Stopklatka z filmu.
- | Poniższe informacje mogą, ale nie muszą być podane w pliku SiteMap: Kategoria, Słowa kluczowe, Data publikacji, Treść odpowiednia dla każdego.
- | Powtórz te czynności dla każdego filmu, o którym informacji ma zawierać plik SiteMap.

 Więcej informacji znajdziesz w Wideo/Dźwięk | Mapa witryny.

Usunięcie strony z pliku SiteMap - Co należy zrobić?

Kiedy tworzony jest plik SiteMap, domyślnie wszystkie strony witryny są w nim wymienione. Jeśli nie chcesz, żeby wyszukiwarki internetowe znajdowały jakąś stronę, wystarczy usunąć ją z pliku mapy witryny.
- | W oknie Tworzenie mapy witryny (krok 2) zaznacz stronę, która chcesz usunąć z pliku SiteMap.
- | Kliknij przycisk [image] , żeby otworzyć okno dialogowe Właściwości strony i przejdź na kartę Zaawansowane.
- | Usuń zaznaczenie pola wyboru Dodaj tę stronę do pliku SiteMap:
- | Potwierdź i zapisz.

Zagadnienia pokrewne:
- | Ustawienia ogólne | Zaawansowane
- | Tworzenie mapy witryny | Właściwości strony | Zaawansowane
- | Obraz | Mapa witryny
- | Wideo/Dźwięk | Mapa witryny


Panel sterowania

WebSite X5 do każdej witryny automatycznie dodaje działający online. Panel sterowania służy administratorowi do zarządzania komentarzami do blogu, wpisami do książki gości i wyświetlania informacji na temat diagnostyki witryny i optymalizacji wyszukiwania.

Wszyscy członkowie grupy Administrator mają dostęp do panelu sterowania. Ustawienia tej grupy określa się w strefie użytkownika w kroku 4 - Ustawienia zaawansowane.

Aby uzyskać dostęp do panelu sterowania:
- | przejdź do www.mojawitryna.com/admin, gdzie www.mojawitryna.com jest adresem URL twojej witryny.
- | podaj nazwę logowania i hasło.

Opcje panelu sterowania są rozmieszczone na następujących kartach:

-

Blog: możesz zarządzać komentarzami do wpisów nadsyłanymi przez gości blogu witryny (patrz Jako za pomocą panelu sterowania zarządzać komentarzami do wpisów w blogu?).

-

Guestbook: możesz zarządzać wpisami do księgi gości swojej witryny (księgę gości wstawia się jako gadżet za pomocą obiektu HTML i gadżety).

-

WebSite Test: możesz wyświetlać informacje diagnostyczne o swojej witrynie i serwerze, na którym jest opublikowana. Diagnostyka obejmuje:
- | PHP Version - serwer musi prawidłowo obsługiwać język PHP (niezbędny do wysyłania wiadomości e-mail tworzonych w formularzu e-mail oraz sklepie internetowym), a także dawać dostęp do stron chronionych hasłem. Ta funkcja sprawdza, czy serwer obsługuje PHP i jaka jest jego wersja.
- | Session support - tak jak serwer musi obsługiwać język PHP, musi też obsługiwać sesje, żeby za pomocą nazwy logowania i hasła można było uzyskać dostęp do stron chronionych hasłem.
- | Folder with write permission - musisz podać ścieżkę dostępu do folderu na serwerze, który ma prawo do zapisu (folder podaje się w oknie Blog | Komentarze), żeby móc przechowywać i zarządzać komentarzami do wpisów do blogu i mieć gwarancję prawidłowego działania gadżetów przechowujących dane (patrz HTML i gadżety). Funkcja sprawdza, czy folder istnieje i czy ma dostęp do zapisu.
- | MySQL support and database settings - kiedy definiujesz Formularz e-mail, możesz zdecydować, że zgromadzone dane mają być przechowywane w bazie danych (Opcja "Wyślij dane do bazy danych" w oknie Formularz e-mail | Wyślij): trzeba podać informacje potrzebne do dostępu do bazy danych na serwerze. Ta funkcja sprawdza, że serwer obsługuje MySQL i że podane informacje dają dostęp do bazy danych.

-

SEO: możesz przeglądać wyniki pracy wyszukiwarek internetowych, żeby wiedzieć, jak indeksują twoją witrynę. Będziesz widzieć stan pliku SiteMap, indeksowanych słów kluczowych i komunikaty wysyłane przez GoogleBot (pająka Google, który skanuje witryny, żeby zaktualizować indeksowanie).

Zagadnienia pokrewne:
- | Blog
- | Zarządzanie dostępem
- | Sklep
- | Formularz e-mail
- | HTML i gadżety
- | Jak za pomocą panelu sterowania zarządzać komentarzami do wpisów w blogu?


Informacje i pomoc

Opracowano w Incomedia S.r.l. www.websitex5.com
 www.incomedia.eu

Copyright© 2011 Incomedia. Wszelkie prawa zastrzeżone.

Program WebSite X5 wykorzystuje DotNetZip na licencji MS-PL Licence (Microsoft Public Licence)

Więcej informacji oraz pomoc techniczną można znaleźć pod adresem: www.websitex5.com/help


Blog: co to jest i jak to działa?

Definicja

Wikipedia definiuje blog jako sieciowy dziennik.

Słowo „blog” powstało z połączenia „web log”. Termin „weblog” został wprowadzony w roku 1997 przez Jorna Bargera, który wykorzystywał go w swojej prywatnej sieci. Obcięta wersja „blog” została natomiast utworzona przez Petera Merholza, który w 1999 roku umieścił „we blog” w swojej witrynie dając początek angielskiemu czasownikowi „to blog” (czyli prowadzić blog).

Początkowo z weblogs korzystali ci, którzy po prostu mieli coś do powiedzenia i doszli do wniosku, że Internet doskonale się do tego nadaje. Ten fenomen zrodzony w USA w 2001 roku eksplodował i rozprzestrzenił się na cały świat, stał się modny dzięki pierwszym darmowym usługom, które go oferowały.

Charakterystyka blogów określona jest przez ich strukturę, ich treść i przez formę, w jakiej treść ta jest prezentowana.

Struktura

Zatem blog jest stroną WWW, gdzie osoba pisząca blog (bloger) może publikować opowiadania, informacje opinie, albo cokolwiek tylko chce, w ten sposób dzieląc się swoimi opiniami z szerokim audytorium i tworząc coś w rodzaju osobistego dziennika.
Blogi mają obecnie standardową strukturę, gdzie każdy wpis (czyli artykuł albo post) ma swój numer, jest umieszczony na specjalnej przeznaczonej do tego stronie i ma swoistą kontynuację w postaci komentarzy pozostawionych przez czytelników. Wpisy (artykuły) są na ogół podzielone na określone kategorie, które stanowią pierwszy z powszechnie stosowanych sposobów segregowania archiwów blogów. Drugi rodzaj segregowania archiwów porządkuje artykuły według daty, zatem można w nim znaleźć wpisy wstawione określonym okresie, na ogół jest to miesiąc. Wpisy (artykuły) są wyświetlane w kolejności odwrotnej do wstawiania (od najnowszych do najstarszych), mogą zawierać rysunki, dźwięk, filmy i hiperłącza do innych witryn sieciowych. Każdy wpis jest jednoznacznie identyfikowany przez łącze trwałe (ang. permalink), które wskazuje dokładnie ten wpis. Blog może zawierać blogroll, czyli zbiór hiperłączy do innych blogów.
W zależności od potrzeb blog może oferować czytelnikom różne narzędzia, na przykład kanał RSS i wewnętrzną wyszukiwarkę. Ponieważ blogi wymagają częstych, ale nie koniecznie regularnych aktualizacji, takie narzędzia zachęcają czytelników do porównywania publikowanych treści.

Treść

Treść jest esencją blogu. Wpisy w blogu są generalnie czymś pośrednim między wiadomością prasową a opowiadaniem. Często zawierają streszczenie, podobne w strukturze do wiadomości kanału RSS.
Treść artykułów jest na ogół związana w jakiś sposób z kategorią, do której należą, ale wpisy publikowane są w kolejności chronologicznej. Tematyka postów może być rozmaita - to zależy od rodzaju blogu. Większość osób traktuje swoje blogi jako prywatne dzienniki, w których wyrażają swoje opinie, przemyślenia, a czytelnicy przechodzą od jednego odnośnika do drugiego, wędrując po blogosferze. Najbardziej obszerne są blogi prowadzone przez dziennikarzy (albo tych, którzy chcieliby nimi zostać) pisarzy i satyryków. Monotematyczne blogi są poświęcone hobby lub pasji ich autora. Są też blogi polityczne i ogłaszające najświeższe nowinki, a także blogi firmowe.
Z wyjątkiem blogów firmowych lub należących do poważnych instytucji, blogi na ogół nie są planowane czy specjalnie przygotowywane do publikacji. Autorzy sami organizują swoje blogi i często wyrażają w nich swoje przemyślenia spontanicznie, bez jakiegoś porządku czy schematu.

Forma

Z treścią blogu ściśle związana jest jego forma. Zazwyczaj blogi są pisane w pierwszej osobie, ponieważ ich treść jest osobistym komentarzem lub refleksją. Nie przypadkowo wiele osób pisze w swoich blogach monologi lub, jak kto woli, transkrypcję własnych przemyśleń.
Nawet blogi firmowe lub komercyjne są prawie zawsze pisane w pierwszej osobie, co ma stworzyć mniej oficjalną atmosferę kontrastującą z oficjalnym językiem witryny sieciowej.

W programie WebSite X5

Program WebSite X5 pozwala bardzo łatwo utworzyć blog i zarządzać nim. Można wybrać szatę graficzną blogu; szybko pisać, formatować i publikować artykuły; dołączać do każdego z nich treści multimedialne, takie jak obrazy, dźwięki, czy filmy; pozwolić czytelnikom na komentowanie artykułów i kontrolować online publikowanie tych komentarzy.
Blog będzie miał wszystkie typowe narzędzia nawigacyjne i wyszukujące: wyszukiwarkę fraz, listę ostatnich wpisów, archiwum chronologiczne (z podziałem na miesiące) i archiwum tematyczne (z podziałem na kategorie), a także zestawienie popularności tematów. Zamieszczane artykuły będą publikowane jeden po drugim na stronie głównej blogu oraz w pełnej wersji na pojedynczych stronach.

Ponieważ WebSite X5 rozwiązuje wszystkie problemy techniczne, użytkownik może zająć się samą edycją treści, pamiętając, żeby:
- | Wybrać rodzaj blogu, który chcesz utworzyć. Wybrać identyfikator i tytuł, który trafnie go określi.
- | Pisać co najmniej jeden post dziennie, albo przynajmniej regularnie go aktualizować. W wypadku blogów firmowych warto umieścić na stronie kalendarz dla udziałowców.
- | Napisać i przygotować materiał przynajmniej miesiąc przed publikacją blogu. W ten sposób możesz odpowiednio zadbać o poprawność i wprowadzić ewentualnie poprawki, gdyby blog miał być w jakiś sposób ukierunkowany.
- | Kiedy blog przyjmie już odpowiednią formę, to znaczy będzie miał treść i swój styl, opublikuj go powiadamiając o tym przyjaciół i znajomych, a wypadku blogu firmowego, zastosuj najbardziej skuteczne metody powiadamiania (notkę prasową, biuletyn itp.).
- | Aby zwiększyć popularność swojego blogu w Internecie, przeglądaj inne podobne blogi i wykorzystuj je do promocji swojego. Czytaj artykuły publikowane w podobnych blogach i zostawiaj swoje komentarze, jeśli to możliwe, na temat i konstruktywne. Nie zapomnij o wstawieniu łącza do do swojego blogu. Wystrzegaj się naruszania zasad edycji blogów, które odwiedzasz!
- | Buduj sieć kontaktów z innymi użytkownikami blogosfery i nawiązuj przyjaźnie online. To najlepszy sposób na pozyskanie czytelników swojego blogu.
Jeśli uda Ci się stworzyć poczytny blog, odwiedzany przez liczną rzeszę czytelników i autorytety w dziedzinie, której blog dotyczy, możesz rozważyć nawet możliwość przekształcenia swojego blogu w blog komercyjny i zamieszczać w nim reklamy.


Jak działa wewnętrzny mechanizm wyszukiwania w programie WebSite X5?

WebSite X5 pozwala umieścić w witrynie pole Szukaj. Mechanizm przeszukujący sprawdza tytuły stron oraz ich zawartość i wyświetla wynik na stronach generowanych przez program automatycznie.

Poniższe informacje pomogą najefektywniej wykorzystać mechanizm przeszukujący programu WebSite X5:
- | Strony Mechanizm przeszukujący sprawdza na stronach takie elementy, jak tytuły, opisy i słowa kluczowe (patrz Właściwości strony | Ogólne), a także samą treść. Liczba wystąpień każdego słowa w tytułach stron jest mnożona przez współczynnik korygujący, a potem porównywana z liczbą wystąpień w treści. Następnie obliczana jest względna liczba wystąpień słowa i wyniki wyszukiwania na poszczególnych stronach są wyświetlane zgodnie z ustaloną wartością.
- | Strefa użytkownika Strony zablokowane wymagające przed wyświetleniem podania nazwy logowania i hasła (patrz Strefa użytkownika) nie są brane pod uwagę w wynikach wyszukiwania, jeśli żaden użytkownik nie jest aktualnie zalogowany.
- | Strony ukryte Strony ukryte nie są w ogóle brane pod uwagę w wynikach wyszukiwania.
- | Wykluczenie strony z wyszukiwania Jeśli nie chcesz, żeby jakaś strona była przeszukiwana, zaznacz ją na mapie witryny , otwórz okno Właściwości strony i na karcie Zaawansowane usuń zaznaczenie pola wyboru Dodaj tę stronę do pliku SiteMap.
- | Wielkie i małe litery Wewnętrzna przeszukiwarka nie rozróżnia małych i wielkich liter. Dlatego nie ma znaczenia jakimi literami wpisana jest szukana fraza.
- | Strony wyników przeszukiwania Wyniki przeszukiwania są wyświetlane na stronach automatycznie generowanych przez program. Aspekt graficzny tych stron definiuje się w oknie Style i modele w kroku 4 - Ustawienia zaawansowane.

Zagadnienia pokrewne:
- | Edytor wzorca | Pole Szukaj
- | Ustawienia zaawansowane | Style i modele


Jak WebSite X5 obsługuje witryny wielojęzyczne?

Dla Internetu nie istnieją granice międzypaństwowe, zatem jeśli myślisz, że twoją witrynę mogą odwiedzać goście z innych krajów, możesz zaoferować im jej treść w ich języku.

Wprawdzie utrzymanie witryny wielojęzycznej komplikuje zarządzanie nią, ale jak ma się narzędzia oferowane przez program WebSite X5 i dobre tłumaczenie treści witryny, obsługa kilku języków nie stanowi problemu.

Przede wszystkim ważne jest, aby poinformować program WebSite X5, żeby generował wszystkie pliki HTML stron witryny używając kodowania UTF-8 (Unicode Transformation Format, 8 bitowy). Kodowanie UTF-8 pozwala tworzyć witryny w dowolnym języku, także takim, który nie używa alfabetu łacińskiego, na przykład grecki, cyrylica, koptyjski, armeński, hebrajski, arabski, chiński, japoński i koreański. Poza tworzeniem witryny w dowolnym języku istnieje także możliwość użycia kilku języków w tej samej witrynie bez obawy o wyświetlanie różnych liter i znaków pochodzących z różnych alfabetów: na przykład możesz napisać tekst po rosyjsku z angielskim lub polskim tłumaczeniem.

Kiedy tworzysz witrynę, WebSite X5 wybrać domyślny język obowiązujący w projekcie (wybierz Język treści w oknie Ustawienia ogólne | Ogólne). To ważne dla prawidłowości zarządzania tekstem wstawianym przez program automatycznie. W programie WebSite X5 jest już zdefiniowanych sporo języków: Jeśli jakiegoś języka, którego chcesz użyć w witrynie, nie ma na liście, otwórz okno Zarządzanie treścią w różnych językach kliknięciem przycisku [image] i zdefiniuj lub zaimportuj nowy język albo zmień ustawienia już istniejącego.

Gdy stworzysz witrynę wielojęzyczną, możesz dać jej gościowi wybór, w jakim języku chce ją oglądać. Wystarczy tylko utworzyć projekt witryny dla każdego języka, jaki chcesz zaoferować, i połączyć je razem tak, by stanowiły części tej samej witryny. Można to zrobić na dwa sposoby: albo za pomocą strony wstępnej, albo dodając przyciski wyboru języka w nagłówku witryny.

Więcej informacji znajdziesz pod hasłami:
- | Zarządzanie treścią w danym języku
- | Jak utworzyć witrynę wielojęzyczną wykorzystując stronę wstępną?
- | Jak utworzyć witrynę wielojęzyczną wykorzystując przyciski w nagłówku strony?

Zagadnienia pokrewne:
- | Ustawienia ogólne | Ogólne
- | Strona wstępna


Jak utworzyć witrynę wielojęzyczną wykorzystując przyciski w nagłówku strony?

Kontynuujmy przykład budowania witryny w trzech językach: angielskim, włoskim i portugalskim. Alternatywnym sposobem umożliwienia gościom witryny wyboru języka jest umieszczenie przycisków wyboru języka na górnym banerze w nagłówku witryny, zamiast na stronie wstępnej albo dodatkowo. Ta metoda ma tę zaletę, że język wyświetlania witryny można zmienić w każdej chwili przeglądania witryny, nie tylko podczas wyświetlania strony wstępnej.

Tworzenie witryny w języku angielskim
Krok 1
Najpierw zajmiemy się anglojęzyczną wersją witryny, a potem przejdziemy do wersji włoskiej i portugalskiej.

Otwórz anglojęzyczną wersję projektu i przejdź do Edytora wzorca, tak by móc umieścić przyciski z wyborem języka na banerze górnym witryny. Kliknij przycisk [image] Wstaw obraz i plik [flag_en.jpg] zawierający obraz flagi reprezentującej język angielski. Jeśli chcesz, żeby flaga zmieniała wygląd pod myszą, użyj opcji Plik obrazu pod wskaźnikiem myszy i wstaw obraz [flag_b_en.jpg] reprezentujący flagę nieco różniącą się od pierwszej.

Powtórz procedurę tworzenia przycisków dla flag włoskich [flag_it.jpg] i [flap_b_it.jpg] oraz portugalskich [flag_pt.jpg i [flag_b_pt.jpg].

Zakładamy, że jesteśmy w anglojęzycznej wersji projektu. Zaznacz przycisk z flagą włoską i kliknij przycisk [image] Wstaw link. W oknie dialogowym wybierz opcję Plik lub adres URL, potem zaznacz Plik Internetowy, wpisz adres strony głównej włoskojęzycznej wersji witryny, taki jaki będzie po opublikowaniu jej na serwerze (na przykład http://www.mojawitryna.com/it/index.html).

Te same czynności powtórz dla flagi portugalskiej, przypisując jej adres http://www.mojawitryna.com/pt/index.html.

Kiedy pracujesz w anglojęzycznej wersji witryny, nie ma potrzeby przypisywania linku fladze odpowiadającej językowi angielskiemu.

Tworzenie witryn w językach włoskim i portugalskim
Krok 2
Aby przyspieszyć proces tworzenia witryny po włosku, zacznij od skopiowania wersji angielskiej. Najpierw w oknie Wybór projektu zaznacz projekt [witryna EN] i kliknij przycisk Duplikuj. Następnie zaznacz skopiowany projekt i kliknij przycisk Zmień nazwę, po to żeby nazwać drugi projekt [witryna IT]. Teraz możesz otworzyć projekt i przetłumaczyć cały tekst z angielskiego na włoski bez konieczności rekonstruowania struktury witryny.

Powtórz tę procedurę dla witryny w języku portugalskim.

Teraz musisz utworzyć hiperłącza dla flag umieszczonych na banerze górnym witryny, otwórz więc okno Edytor wzorca:
- | Projekt witryny w języku włoskim: zaznacz przycisk reprezentujący witrynę anglojęzyczną i utwórz hiperłącze do adresu http://www.mojawitryna.com/en/index.html. Usuń link zdefiniowany dla przycisku z flagą włoską.
- | Projekt witryny w języku portugalskim: zaznacz przycisk reprezentujący witrynę anglojęzyczną i utwórz hiperłącze do adresu http://www.mojawitryna.com/en/index.html. Usuń link zdefiniowany dla przycisku z flagą portugalską.

Publikowanie witryn
Krok 3
Przyciski do różnych wersji językowych witryny będą działać poprawnie tylko pod warunkiem opublikowania witryn na serwerze w odpowiednich katalogach docelowych. Dlatego na serwerze, gdzie witryny będą publikowane musisz utworzyć dwa podfoldery i nazwać je IT oraz PT. Wtedy możesz opublikować projekty każdy w swoim folderze. Witryna anglojęzyczna jako domyślna jest publikowana w folderze głównym, a wersja włoska i portugalska odpowiednio w podfolderach IT i PT.

Zagadnienia pokrewne:
- | Jak WebSite X5 obsługuje witryny wielojęzyczne?
- | Jak utworzyć witrynę wielojęzyczną wykorzystując stronę wstępną?
- |
- |


Jak utworzyć witrynę wielojęzyczną wykorzystując stronę wstępną?

Wyobraź sobie, że chcesz utworzyć witrynę dostępną w trzech językach: angielskim, włoskim i portugalskim. W programie WebSite X5 możesz łatwo obsłużyć kilka języków wykorzystując stronę wstępną, która pojawia się jeszcze przed wyświetleniem strony głównej witryny.

Tworzenie witryny w języku angielskim
Krok 1
Żeby utworzyć witrynę w języku angielskim, musisz zdefiniować jej strukturę i treść. Chcąc dać użytkownikowi wybór języka, trzeba na stronie wstępnej umieścić przyciski z flagami odpowiadającymi językowi angielskiemu, włoskiemu i portugalskiemu.

W kroku 4 - Ustawienia zaawansowane kliknij przycisk Strona wstępna i w oknie, które się otworzy, zaznacz pole wyboru Pokaż stronę wstępną. Należy wybrać jakieś obrazy lub animacje, które będą widoczne na stronie i zdefiniować ustawiania wyglądu strony wstępnej.

Krok 2
Kiedy zdefiniujesz grafikę strony wstępnej, możesz wstawić przyciski, których kliknięcie wyświetli witrynę w określonym języku: w naszym przykładzie angielskim, włoskim i portugalskim.

W tym celu:

-

Zaznacz pole wyboru Pokaż hiperłącza do innych do języków.

-

Zdefiniuj listę języków: zaznacz na liście "Deutsch", "Español", "Français" i dla każdego z nich kliknij przycisk Usuń, aby usunąć je z listy. Kliknij przycisk Dodaj, żeby otworzyć okno dialogowe Ustawienia języka i dodać portugalski. W pole Wyświetlana nazwa języka wpisz "Português" wybierz plik graficzny[flag_pt.jpg] przedstawiający flagę portugali i w pole Ścieżka dostępu na serwerze lub adres URL dla tego języka wpisz "PT". W ten sposób łączysz folder projektu zawierającego pliki witryny po portugalsku z przyciskiem portugalskiej flagi..
Teraz zaznacz na liście "English" i "Italiano" i kliknij przycisk Edytuj, żeby otworzyć dla nich okno Ustawienia języka. Znajdź pliki flag reprezentujących języki angielski i włoski ([flag_en.jpg] oraz [flag_it.jpg]). W polu Ścieżka dostępu na serwerze lub adres URL dla tego języka powinno być odpowiednio "EN" dla witryny po angielski i "IT" dla witryny po włosku.

Istnieje możliwość zmiany kolejności języków na liście za pomocą przycisków W górę i W dół.

-

Jeśli domyślnym językiem projektu ma być angielski, (tylko jeden język może być domyślny i strona wstępna należy do projektu w tym języku), zaznacz na liście języków "English" i kliknij przycisk Domyślny.

Teraz twoja witryna jest gotowa na zaoferowanie swoim gościom kilku języków, ale wymaga jeszcze wstawienia treści w języku włoskim i portugalskim.

Tworzenie witryn w językach włoskim i portugalskim
Krok 3
Aby przyspieszyć proces tworzenia witryny po włosku, zacznij od skopiowania wersji angielskiej. Najpierw w oknie Wybór projektu zaznacz projekt [witryna EN] i kliknij przycisk Duplikuj. Następnie zaznacz skopiowany projekt i kliknij przycisk Zmień nazwę, po to żeby nazwać drugi projekt [witryna IT]. Teraz możesz otworzyć projekt i przetłumaczyć cały tekst z angielskiego na włoski bez konieczności rekonstruowania struktury witryny.

Powtórz tę procedurę dla witryny w języku portugalskim.

Pamiętaj o wyłączeniu opcji wyświetlania strony wstępnej we włoskiej i portugalskiej wersji witryny, bo strona wstępna może być tylko w wersji witryny wyświetlanej w języku domyślnym.

Publikowanie witryn
Krok 4
Wykonaj następujące czynności w celu opublikowania witryn na serwerze:
- | Publikacja wersji angielskiej witryny: pamiętaj, że umówiliśmy się w tym przykładzie, że tylko wersja angielska witryny ma stronę wstępną. Podczas publikowania na serwerze witryny w wersji angielskiej tworzony jest plik index.html: odpowiada on stronie wstępnej i jest zapisany w domyślnym folderze (w tym przykładzie "EN"). Podfoldery wszystkich pozostałych języków wymienionych na liście języków także są tworzone. W tym przykładzie podfolder "IT" dla włoskiej wersji i "PT" dla wersji portugalskiej. Gdy angielska wersja witryny jest już opublikowana na serwerze, jest dostępna online i na stronie wstępnej widnieją wszystkie przyciski wyboru języka, ale tylko ten z flagą języka angielskiego działa.
- | Publikacja włoskiej wersji witryny: przycisk na stronie wstępnej z flagą włoską zacznie działać, gdy projekt w tym języku zostanie opublikowany na serwerze w podfolderze "IT".
- | Publikacja portugalskiej wersji witryny: przycisk na stronie wstępnej z flagą portugalską zacznie działać, gdy projekt w tym języku zostanie opublikowany na serwerze w podfolderze "PT".
Kiedy wszystkie trzy wersje zostaną opublikowane na serwerze każda w swoim folderze, wszystkie przyciski z flagami na stronie wstępnej będą działać poprawnie i gość witryny będzie mógł sobie obejrzeć witrynę w każdym z trzech języków.

Zagadnienia pokrewne:
- | Jak WebSite X5 obsługuje witryny wielojęzyczne?
- | Jak utworzyć witrynę wielojęzyczną wykorzystując przyciski w nagłówku strony?
- | Hak utworzyć stronę wstępną?


Tworzenie stron

Jak zbudować tabelę układu strony?

Żeby ułatwić zagospodarowanie przestrzeni strony, program WebSite X5 wstawia na stronie tabelę układu strony widoczną w oknie Tworzenie strony domyślnie złożoną z dwóch wierszy i dwóch kolumn. W komórkach tej tabeli umieszcza się różne obiekty. W tabeli układu strony można wstawiać nowe wiersze i kolumny, zwiększając liczbę jej komórek, co pozwala tworzyć dowolnie skomplikowane układy stron.

Aby dodać nowy wiersz lub kolumnę, kliknij przycisk [image] Wstaw wiersz lub [image] Wstaw kolumnę. Nowy wiersz lub kolumna będą wstawione przed wierszem lub kolumna zawierającą aktywną komórkę. Tabela układu strony może mieć do 64 wierszy i 12 kolumn.

Aby usunąć wiersz lub kolumnę, zaznacz komórkę w tym wierszu lub kolumnie i kliknij przycisk [image] Usuń wiersz lub [image] Usuń kolumnę.

Początkowo kolumny i wiesze tabeli układu strony mają tę samą szerokość i wysokość. W tabeli układu strony z dwoma kolumnami o tej samej szerokości treść rozmieszczona jest w dwóch kolumnach, z których każda zajmuje 50% dostępnego miejsca. Rzeczywista szerokość treści jest obliczana w zależności od dostępnej przestrzeni.

obrazek

Względną i bezwzględną szerokość każdej kolumny można zmienić ręcznie przeciągając uchwyty na dole tabeli.

obrazek

Kliknij uchwyt i przeciągnij go w prawo lub w lewo: w miarę przesuwania uchwytu szerokość kolumny zmienia się, a jej parametry w pikselach i procentach są podawane we wskazówce ekranowej. Dokładniejsze ustawienie można uzyskać, klikając uchwyt prawym przyciskiem myszy, wybierając z memu kontekstowego polecenie Ustaw szerokość kolumny i wpisując dokładna wartość w pikselach.

Jeśli chcesz, żeby kolumny znowu miały tę sama szerokość, kliknij uchwyt zmiany szerokości kolumny prawym przyciskiem myszy i z menu kontekstowego wybierz polecenie Ustaw równą szerokość kolumn.

Zagadnienia pokrewne:

- Tworzenie stron

- Tabela układu strony


Edytor wzorca | Obraz

Kiedy w oknie Edytor wzorca zaznaczy się obiekt obrazu wstawiony w nagłówku lub stopce w dolnej części okna pod etykietą Obraz dostępne są następujące opcje:
- | Plik obrazu: tu możesz wybrać plik graficzny do wstawienia. Pliki mogą mieć następujące rozszerzenia: .JPG, .GIF, .PNG, .BMP, .PSD, .TIF, .DIB, .PCX, .RLE, .TGA, .WMF.
- | Plik obrazu pod wskaźnikiem myszy: tu możesz wybrać plik graficzny, który pojawi się w miejscu obrazu, gdy najedzie sie na niego wskaźnikiem myszy. Ta opcja przydaje się na przykład do tworzenia przycisków z efektem naciśnięcia.
- | Włącz przezroczystość: jeśli zaznaczysz to pole wyboru, obszar obrazu w wybranym kolorze staje się przezroczysty.
- | Kolor przezroczysty: kliknięcie tego przycisku otwiera paletę kolorów i pozwala wybrać kolor, który na wstawionym obrazie ma być niewidoczny, jeśli zaznaczone jest pole wyboru Włącz przezroczystość. "Zakraplacz" dostępny na palecie kolorów przydaje się do pobrania koloru bezpośrednio z obrazu.
- | Tolerancja: tu możesz określić stopień tolerancji stosowany dla koloru przezroczystego. Im wyższa tolerancja, tym większy obszar będzie na obrazie przezroczysty.

Zagadnienia pokrewne:

-

Edytor wzorca